*COMDECK HISTORY
 CL5A248  FIX FAILURE IN UNSTRING UNDER UNUSUAL CASES 
          LVW    76/10/11    SET6,GSTRING 
 CL50088  FIX RESTRICTED FIELD LENGTH COMPILATIONS
          DFN    76/10/26    CMMPOA,TBLPROC,VIRTUAL 
CL50091   REWORD MESSAGE 3152 TO MAKE IT MORE INFORMATIVE 
          TMH    76/11/04    DIAGTXT
 CL50090
          ADD 6 EXTRA WORDS TO FIT TO PROVIDE FOR RUNNING OLD BINARIES
          AT A LATER DATE (CRM 2 TIME)
          DFN    76/11/11    CRFIT
 CL50092  THE END DECLARATIVES CTEXT ATOM WAS NOT A KEY ELEMENT 
          TMH    76/11/05    INTERPRE 
 CL50093
          FIX DIAGNOSTIC OVERFLOW TO EXTRA LINE 
          JPW    11/02/76    CBLIST,D$FORMAT
 CL50094
          FIX ACCEPT FROM CONSOLE TO SET PAUSE BIT SO IT WILL WORK ON 
          NOS AGAIN - ALSO FIX SO IT WILL NOT ABORT IF NO DATA OR 36
          CHARS OF DATA ENTERED.
          DFN    76/11/10    CBACCMN
 CL50095
          DELETE CRM VARIABLE BLOCK ROUTINES FROM COBOL5 PL 
          DFN    76/11/11    -SKEL-,CMM$ALV,CMM$XX
 CL50087  FIX ASSEMBLY ERROR IN CBDMRDR IF CDCS IS OFF
          ALSO COMPILATION ERROR IN CRFIT 
          JN     76/10/15    CBDMRDR
          JN     76/12/02    CRFIT
 CL50089
          PREVENT ABORT IN CGEN ON PERFORM VARYING A NON-INDEX NAME WHEN
          THE PERFORM FOLLOWS ANOTHER PERFORM WITH NO VARYING 
          ALSO, VARYING AN INDEX ITEM BY A NON-INTEGER WILL NOT BE
          DIAGNOSED AND CAN CAUSE A COMPILER ABORT
          ALSO, VARYING AN INDEX FROM AN INDEX CAN CAUSE A COMPILER 
          ABORT 
          ALSO INCLUDE FIXES TO REMOVE ASSEMBLY ERRORS IN DEBUG COMPILER
          TMH    76/10/26    SET4,PPCOMMON2 
          JN     76/10/27    XF,DUMPS,GTXTDMP 
 CL50098 FIX "E" PARAM NOT WORKING
         SRN = SVL27602      (WAS CL5A102)
         JPW     11/23/76    CBLIST 
 CL50099
          SUBSCRIPT OPTIMIZATION INTERFERES WITH SEARCH STATEMENT 
          KILL ALL SUBSCRIPTS AT START OF SEARCH
          TMH    76/11/24    PTABLES
 CL50100  CORRECTLY DIAGNOSE THE CASE WHERE THE FILE RECORD KEY IS A
          DATA ITEM WITH AN -OCCURS- CLAUSE SPECIFIED.
          JN     76/11/29    DIAGTXT, DA3 
 CL50103  REPAIR 10 CHARACTER TO 10 CHARACTER SUBSCRIPTED MOVES 
          JPW    12/07/76    GMOVSA 
 CL50104  FIX PRINT DENSITY PROCESSING
          SRN = ST0185
          JPW    12/07/76    CBLIST,COBOL5
CL50105   01  A PIC X REDEFINES B.
          01  B PIC 9.
          01 C REDEFINES C PIC X. 
          FROM NOW ON, YOU WILL GET A DIAGNOSTIC
          THIS ALSO SATISFIES CL5A058 
          TMH    76/11/76    DA3
 CL50107
          FORWARD REFERENCES IN THE REPORT SECTION CANNOT LOOK AT 
          ERRTYPE IN THE DNAT WITHOUT GETTING INTO TROUBLE
          PTR=CL5A067 
          TMH    76/12/06    R$SUBS 
 CL50108
          USE FOR DEBUGGING ON I
          PERFORM P VARYING V FROM F BY B UNTIL I = 1 
                    DEBUGGING IS REQUIRED ON I
          USE FOR DEBUGGING ON I
          IF I = 1 ETC
                    DEBUGGING IS NOT REQUIRED ON I
          UP TO THIS POINT WE WERE NOT MAKING THIS DISTINCTION
          PTR=CL5A170 
          TMH    76/12/09    SET10
 CL50106
          THE FOLLOWING SOURCE STATEMENTS CAUSE CP TIME LIMIT IN
          CSTCONDEPI (SUBSCRIPT OPTIMIZATION) 
               MOVE A TO B (I,J). 
               IF X < 50
                   ADD 1 TO I 
                   GO TO P1.
               IF Y < 4 
                   ADD 1 TO J 
                   GO TO P2.
          AS IT TURNS OUT, JUST ABOUT EVERY LINE ABOVE IS REQUIRED
          TO CAUSE THE INFINITE LOOP. 
          SRN=ADEL171 
          TMH    12/15/76    SET1 
 CL50117  PREVENT ERRONEOUS RUN TIME SORT DIAG FOR USING FILE WITH Z
          RECORDS.
          ALSO FIX MESSAGE TO HOLD FULL LFN (NOT STRIP FIRST 3 CHARS) 
          DFN    76/12/27    CBSORT 
 CL50118  SET AND CLEAR SWITCHES VIA SYSTEM METHODS RATHER THAN SETTING 
          THEM IN RA+0
          DFN    76/12/28    GSET,OBJDEFS,CBSETSW 
 CL50119  CLEAR CODE AND STATUS OF SCRATCH FILES ON RETURN
          PREVENTS RANDOM ADDRESS NOT ON FILE ON STACKED COMPS ON NOS 
          DFN    76/12/29    SCFLTAB
 CL50120  DIAGNOSE PRESENCE OF -SUB-SCHEMA IS- CLAUSE IN NON-CDCS 
          COMPILER. 
          JN     76/12/29    DIAGTXT, ETABLES 
 CL50113  FIX -ALPHABET- CLAUSE PROCESSING IN -SPECIAL-NAMES- 
          JPW    12/18/76    ETABLES,E$SUBS,DIAGTXT,INTERPRE,DRIVER 
          SRN = SVL -ST0062  WAS CL5A196
 CL50121
          CORRECTS CONDITION WHERE MOVING ALL ZEROS TO A -BLANK WHEN
          ZERO- RECEIVING FIELD MAY DESTROY CHARACTER POSITIONS TO THE
          LEFT OF THE RECEIVING FIELD.
          PTR=CL5A166 
          JN     76/12/30    CBEDIT 
 CL50125  SUBSCRIPT MNEMONIC NUMBERS ASSIGNED DURING THE COMPILATION
          OF AN INITIALIZE STATEMENT WERE NOT BEING CONSIDERED IN THE 
          DETERMINATION OF THE MAXIMUM MNEMONIC NUMBER ASSIGNED 
          WHICH IS SUBSEQUENTLY STORED INTO CCTMAXMNEM
          THIS CAUSED EM1 OR CMM ERROR IN CGEN
          TMH    77/01/05    SET6 
 CL50126
          FIX IF ALPHABETIC WITH VARIABLY SUBSCRIPTED IDENTIFIER
          LVW    77/1/7      GCONDIT
 CL50128
          THE COMPILER IN ITS PRESENT STATE DOES NOT ALLOW THE
          UNSTRING INTO IDENTIFIER TO BE A GROUP ITEM.  THIS IS 
          UNDERSTANDABLE BECAUSE SYNTAX RULE 3 REFERS OPENLY TO 
          THE PICTURE CLAUSE ASSOCIATED WITH THIS ITEM.  HOWEVER, 
          NOWHERE DOES IT ACTUALLY SAY THE ITEM MUST BE ELEMENTARY. 
          NOTE ALSO, THAT MESSAGE 7174 IS ALSO PUT OUT BY 
          THE STRING STATEMENT AND THAT GROUP ITEMS ARE ALLOWED AS
          AN ANSI EXTENSION.
          PTR=CL5A210 
          TMH    01/03/76    PQ,DIAGTXT 
 CL50130
          FIX PRINTF=YES TO MOVE THE PRINT LINE OVER 1 CHARACTER
          DFN    77/01/04    CRFIT,PROCTAB,DIAGTXT
 CL50131
          FIX UNSTRING DELIMITER IN WITH ALL DELIMITER
          LVW    77/01/11    CBUNST,CBUNSTR 
 CL50132
          FIX MOVE OF COMP2 TO COMP1
          SRN=CSFC770107
          LVW    77/01/18    GMOVC2 
 CL50129
          FIX ERROR IN SIZE 14  COMP-1 TO DISPLAY CONVERSION
          LVW    77/01/10    CBR1S14
 CL50133  FIX BAD BINARY DUE TO DISPLAY OF 88 ITEM
          WAS CL5A299 
          JPW    1/14/77           SET5,ASM2
 CL50135  REPAIR PERFORM ... VARYING IN SEGMENTED PROGRAMS
          WAS CL5A297        SRN= 36785 
          JPW    1/22/77     SNAKE1,PQ,CGSETRG,CBPERF 
 CL50137  FIX MOVE OF SENDER LARGER THAN RECEIVER AND SUM OF  SENDER
          BCP PLUS SIZE DIFFERENCE GREATER THAN 9  AND SENDER IS
          JUSTIFIED.  CAUSED ERROR MODES ON CMU INSTRUCTION.
          CMU ONLY. 
          DFN    77/01/28    GCMUMOV
 CL50087A 
          ADD AN ADDITIONAL CONTROL IF TO BALANCE AN UNMATCHED
          CONTROL FI - NO ERRORS RESULTED, IT JUST RESULTED IN MORE 
          CODE BEING ASSEMBLED THAN NEEDED. 
          DFN    77/02/02    CRFIT
 CL50136  FIX MOVE TO PIC ZZ...Z WHEN SOURCE SHORTER
          LVW    02/14/77    GMOVRN 
 CL50138  FIX MOVE OF GROUP TO NUMERIC ON CMU - WILL BLANK FILL INSTEAD 
          OF ZERO FILL. 
          DFN    77/01/31    GMOVSUB
 CL50139  CHANGES EXECUTION-TIME PROCESSING TO IGNORE THE NEW NON-FATAL 
          CRM ERRORS 52 AND 176.
          SSJ    02/01/77    CBCOMIO
 CL50140
          INCREASE SIZE OF MAIN COMPILER SEQUENTIAL FILES IN ORDER TO 
          INPROVE THROUGHPUT AND DECREASE CIO REQUESTS
          DFN    77/02/07    COBIOM 
 CL50148
          REMOVE NON-STANDARD RELOCATION IN SOME OBJ ROUTINES - CAUSES
          CAPSULE LOADS CALLING THESE ROUTINES TO ABORT 
          ALSO REMOVE REFERENCES TO MEM6RM IN CBOMM AND CBMSG WHICH 
          LOADS ERR.RM WHICH ALSO HAS NON-STANDARD RELOCATION 
          DFN    77/02/23    CBOMM,CBR1U06,CBR1U10,CBS08RU,CBMSG
 CL50149  FIX MOVE TO VARIABLY SUBSCRIPTED ONE CHARACTER ALPHANUMERIC 
          ITEM
          LVW    02/25/77    GSUBSC 
 CL50150
          REPAIR AN MOVE WHERE SENDER SMALLER THAN RECEIVER AND SENDER
          AND SENDER DATA ENDS IN CP 9 OF NEXT TO LAST WORD OF
          RECEIVER. 
          DFN    77/02/16    GANMOVE
 CL50151
          FIX POSSIBLE ERROR MODE OR LOOP IN PROCTAB OR LATER WHEN
          SEARCH ALL USED IN PROGRAM
          SRN = LASL226 
          DFN    77/02/24    PROCTAB
 CL50114
          MOVE OVERLAY AND LINE TO RA+20 AND 21 AND PUT LIST FET PTR
          IN RA+2 SO IT WILL BE FLUSHED.
          LVW    77/01/10    ASM2,CGSETRG,COBASM,GETSEQ,INSTGEN,READSEQ 
          TMH    77/01/10    DRIVER 
          DFN    77/01/10    RALINE,LOVER,COBOL5,VIRTUAL,COBIO
 CL50144  REPAIR MODE 1 DURING CGEN 
          SRN = LRZ770201B1 
          JPW    02/22/77    GBRANCH
 CL50111  ]HE TRACE FILE, COBTRFL, IS NOT BEING CLOSED IF THE PROGRAM 
          ABORTS DURING EXECUTION.  FIXED BY SETTING UP A JOB REPRIEVE
          WITH A ROUTINE TO CLOSE THE FILE ON ANY TERMINATION.
          DJC    12/14/76    CBTRACE,GBRANCH
 CL50112
          FIX ACCEPT AND DISPLAY TO PROCESS SCREEN COMMAND
          RATHER THAN IGNORE IT 
          DFN    76/12/14    CBACDSC
 CL50118A 
          USE SETJCI TO SET SWITCHES NOW THAT CCL MODS EXIST
          REQUIRES CCL MODS IN THE OS - LEVEL 446 OR LATER
          DFN    77/02/22    CBSETSW
 CL50147  FIXES BUG IN *COPY* WHERE A COLON ON THE SOURCE LIBRARY WAS 
          CONVERTED TO TWO BLANKS IN THE SOURCE PROGRAM.
          SRN=LRZ770204B4 
          DJF    03/11/77    CPYMAIN
 CL50152
          PREVENT OPEN OF NON-EXISTING FILE ON RELATIVE FILE WITH RECORD
          LENGTH LESS THAN 41 CHARACTERS
          DFN    77/03/15    CBRLOC 
 CL50154  STRING INTO LEVEL 77 ITEM 
          LVW    03/03/77    GSTRING,STOFUNC
 CL50155  STORE OF NUMERIC RESULT WITH ZERO POINT LOCATION TO 
          UNSIGNED NUMERIC ITEM WITH NONZERO POINT LOCATION 
          LVW    02/28/77    GMOVSTO
 CL50164
          REMOVE UNSATISFIED EXTERNALS C.RAAE AND C.FNOP
          DFN    77/03/15    CBRLSQ 
 CL50170  SOURCE CLAUSE IDENTIFIER WAS
          NOT ALLOWING COMP-1 SUBSCRIPTS
          TMH    03/17/77    R$SUBS 
          SRN%CL5A326 
 CL50171  COMP-1 IS FLOATING POINT IN PL COBOL
          PICTURE WAS ILLEGAL 
          COMP-1 IS BINARY IN COBOL 5 
          PICTURE IS REQUIRED 
          MESSAGE 4012 IS OUT OF DATE 
          DIAGNOSTIC IS ISSUED PROPERLY , HOWEVER 
          TMH    03/17/77    DIAGTXT,DFTABLE,DIAGTBL
          SRN%CL5A330 
CL50089A  PERFORM VARYING INDEX-NAME
                  AFTER DATA-NAME 
          GENERATES BAD GTEXT 
          THE COMPILER FLAGS WHICH CONTROL THE GTEXT MUST BE
          INITIALIZED IN THE FBU PROLOGUE INSTEAD OF IN THE PERFORM 
          VARYING PROLOGUE
          TMH    03/23/77    SET4 
 CL50142
          PREVENT IO STACK UNDERFLOW ON ERRORS IN REWRITE ON SQ FILE
          ALSO CHECK FOR BAD RECORD TYPE BEFORE LENGTH ERROR
          DFN    77/20/21    CBSQWR 
 CL50143
          CHANGE COBIO TO DO A RECALL ON A BUSY FILE ON RETURN
          WHICH PREVENTS BUFFER ARGUMENT ERRORS DURING COMPILATION. 
          ALSO FIX CLOBIN TO POINT TO FILE ON RETURN
          DFN    77/02/18    COBIO,CLOBIN 
 CL50159  REPAIR PAGE EJECT WITH "/" IN COL 7 
          JPW    03/04/77    CBLIST,GETCH 
          SRN = LRZ 770211B3
 CL50169  COMPARE OF SUM OR DIFFERENCE OF DISPLAY NUMERIC OPERANDS
          LVW    03/14/76    GCONDIT
          PTR=CL5A324 
 CL50172  THE -RERUN- RECORD COUNT IS INCREMENTED BY SX COMPASS INSTRUC-
          TIONS AND SO HAVE ONLY 17 USABLE BITS, NOT INCLUDING THE SIGN.
          CHANGING THE SX TO IX INSTRUCTIONS ALLOWS THE USE OF 29 BITS, 
          SINCE THE RRC FIELD IS 30 BITS LONG.
          DJC    03/23/77    CBRERCT
 CL50173
          ALLOW READ OF COBOL4 RELATIVE FILE
          ALSO PROPERLY TAKE AT END ON SEQUENTIAL READ OF EMPTY RL FILE 
          DFN    77/03/24    CBRLSQ,CBRLOC
 CL50176
          FIX AK KEYS TO BE LESS THAN 47 BITS IN LENGTH 
          AN AK FIX NOW DIAGNOSES THIS ERROR
          DFN    77/03/23    CBSETKY
 CL50162  FIXES BUG WHERE *COPY* DID NOT REPLACE WORDS ON LIBRARY 
          DEBUG LINES WHEN IN DEBUG MODE. 
          DJF    03/11/77    CGETC
          SRN=LRZ770288B6 
 CL50174  EDITED RECEIVING FIELD WITH CONSTANT SUBSCRIPT
          LVW    03/28/77    EDITPAT
          SRN = LASL241 
 CL50180  ADD *BETA* TO CPU TYPES IN LIST HEADER...BETA = *76*
          SINCE ITS A *7600* TYPE CPU (NOMINALLY) 
          JPW    04/04/77          SFETS,CB5TEXT
 CL50186  DEBUGGING FAILS ON OPTIMIZED GO TO. 
          TMH    03/31/77    PTABLES
 CL50148A FAST-DYNAMIC-LOADER REQUIRES ENTRY POINTS AND VFD STATEMENTS
          TO BE OF STANDARD FORMS.  THE ENTRY POINTS, USED WITH RJ, MUST
          BE OF THE FORM -DATA   0- AND THE VFDS, IF THE LAST FIELD IS A
          LABELLED ADDRESS, MUST GIVE EXACTLY 18 BITS FOR THIS FIELD. 
          DJC    03/29/77    CBEDIT,CBND2RN,CBR1S02,CBR1S06,CBR1S09,
                             CBR1S10,CBR1S14,CBR1U02,CBR22XF,CBR4S18, 
                             CBS09R1,CBS14R1,CBS18R4,CBU08R1,CBU09R1, 
                             CBU10R1,CBU14R1,CBSTRNG,CBUNSTR,CBSTRIN, 
                             CBUNST,CBXTAB
          SRN=SDMR41110 
CL50153   COMPILER FAILS TO DIAGNOSE OCCURRING
          ITEMS WHICH ALLOCATE MORE THAN 65535 CHARACTERS 
          TMH    04/04/77    DA4,DIAGTXT,DACOMDK
 CL50177
          CHANGES TO MAKE COBOL5 WORK WITH TRANEX 
            MOVE CCOMMON TO BE IN FROMT OF C.HASHV
            REMOVE CMM CALL FROM C.ENTRY
          ADD CTL CARD PARAMETER FOR TRX - DOES NOTHING AT PRESENT
          DFN    77/03/28    CCT,CCKRACK,PROCTAB,CBENTRY
 CL50178  MOVE SHORT LITERAL TO VARIABLY SUBSCRIPTED ALPHANUMERIC 
          LVW    5/12/77     LP 
 CL50179
          SET KEY COUNT FIELD (KC) CORRECTLY FOR REPEATING GROUP KEYS 
          DFN    77/03/30    CRFIT
CL50187 
          CAUSE DIAGNOSTICS FOR USE LITERAL TO POINT TO CORRECT COLUMN
          DFN    77/04/28    CRFIT
 CL50190
          GENERATE LDSET FOR COB5LIB ON A RUN FROM A FILE COMPILER
          ALSO FIX POSSIBLE BUG IN GROUP ID FOR CMM.ALF 
          DFN    77/05/03    LOVER,CMM$SYP
 CL50191  FIX LOAD OF OVERLAYS FROM LIBRARY 
          LVW    05/05/77    CGENTXT,CCT,INTERPRE,ASM2,GBRANCH,EXTDEFS, 
                             CBSEG,PUTLINK
 CL50194
          DO NOT DESTROY RA+2 THRU 62B DURING INITIALIZATION
          DFN    05/12/77    CBINIT 
 CL50189
          ALLOW USING FILE TO BE A RELATIVE FILE - MRL GREATER MESSAGE
          WAS BEING GIVEN 
          THIS WILL ALSO FIX A POSSIBLE READ INTO BUG WITH RELATIVE 
          FILES WHERE TOO MUCH DATA IS MOVED
          ALSO FIX IO ON V4 RELATIVE FILE DESTROYING WORD AFTER REC AREA
          DFN    05/05/77    CBSORT,CBRLOC
 CL50195
          LOAD MEM6RM INTO 0,0 OVERLAY
          DFN    05/13/77    CRFIT
 CL50196
          FIX REWRITE ON SQ FILES AT OR NEAR EOR
          DFN    05/18/77    CBSQRP 
          SRN CL5A367 
 CL50185  FIX NUMERIC IFS WITH LBZ OPTION 
          SRN = ETR003
          JPW    6/1/77      LP 
 CL50193
          WRITE CORRECT RECORD LENGTH  WHEN PRINTF=YES SPECIFIED OR 
          IMPLIED - WAS 1 CHAR SHORT
          ALSO DO NOT SET RECORD LENGTH FOR D OR T RECORDS
          DFN    05/10/77    GIO,VALFUNC
CL50199   THE PERFORM T DEBUG ROUTINE WAS PRODUCING DEFECTIVE GTEXT FOR 
          THE STATEMENT PERFORM P1 THRU P2 5 TIMES. SPECIFICATLY, THE 
          PERFORM END GTEXT PACKET WAS REFERENCING THE P1 PNAT INSTEAD
          OF THE P2 PNAT
          TMH    06/01/77    SET10
          SRN = CL5A362 
 CL50200
          PREVENT MODE ERROR IN EXECUTION ON BETA MACHINE IF A
          DECLARATIVE IS EXECUTED 
          DFN    05/31/77    CBCOMIO
          SRN = CL5A387 
 CL50203
          DISPLAY COMP-1 PIC S9(6)V99 WAS NOT DISPLAYING SIGN 
          FIX IS TO SET DN$SIGNBIT IN THE NUMERIC-EDITED TEMP 
          CREATED BY SET5 
          TMH    06/02/77    SET5 
 CL50206
          CALCULATE BUFFER SIZE CORRECTLY FOR WA AND RELATIVE FILES 
          DFN    06/07/77    CRFIT
 CL50207
          PREVENT BUFFER ARGUMENT ERRORS IF COMPILATION ABORTED IN
          PROCTAB BECAUSE OF FATAL ERRORS 
          DFN    06/10/77    DIAGSCN,WOTEXT 
          SRN = CL5A388 
 CL50208
          PROVIDE CORRECT LINE NUMBER ON OPEN ERRORS FOR RELATIVE FILES 
          OR WORD-ADDRESS FILES 
          DFN    06/14/77    CBRLOC,CBWAIO
          SRN = CL5A391 
 CL50209 INSPECT SIGNED NUMERIC 
          LVW    06/20/77    GSTRING,CBINSPT,CBINSPF
          SRN = CL5A365 
CL5A404   DBTRANS FAILS ON COMP-1 ITEMS WITH NO PICTURE SPECIFIED 
          TMH    06/21/77    TYPE 
 CL50160
          FIX DISPLAY WHICH EXCEEDS ONE LINE ADDING ONE EXTRA CHAR
          FOR EACH LINE DISPLAYED 
          DFN    06/23/77    CBDSPLY
 CL50210
          PROBLEM:  MOVE NON-NUMERIC LITERAL TO SECONDARY STORAGE FAILS.
          THE CODE WAS NEVER WRITTEN INTO GMOVECS WHICH WOULD GENERATE
          THE NEEDED OBJECT CODE TO PERFORM THE ABOVE MOVE. THIS FIX
          CONSISTS OF THIS CODE.  ALSO LP WAS CHANGED SO ALL NON-NUMERIC
          LITERALS OF 2 CHARS OR LESS BEING MOVED INTO ECS SHALL NOW BE 
          POOLED. 
          SRN = CL5A378 
          DEW     77/06/24     GMOVECS,LP 
CL5A411   4104 IF A RECORD KEY OR AN ALTERNATE KEY
          IS AN ELEMENTARY NUMERIC ITEM ITS PICTURE 
          MUST NOT CONTAIN AN -S- UNLESS ITS USAGE
          IS COMP-1. WE GIVE THIS MESSAGE EVEN WHEN 
          THE USAGE IS COMP-1 BECAUSE BY THE TIME 
          WE EXECUTE CHKKEYVAL, DN$USAGE HAS BEEN 
          DESTROYED BY DN$BYTEOFFSET. WE WISH TO
          TEST DN$TYPE INSTEAD. 
          TMH    06/06/77    DA 
 CL50175
          ALLOW ACCEPT FROM INPUT AND OPEN OF INPUT WITHOUT 
          AN EOR BETWEEN DATA 
          DFN    77/04/05    IOMICROS,CBCOMIO,CBSQOC,CBSQRD,CBSQWR
 CL50181  NO OUTPUT FILE IS CREATED BY A -SORT USING ... GIVING-
          STATEMENT WHEN NO RECORDS ARE SORTED. 
          DJC    05/11/77    CBSORT 
          SRN=LASL250 
 CL5A364
          77 LEVEL PARAMETER
          LVW    06/24/77    DA,GBRANCH,CBADSUB,CB5TEXT,INITCCT 
 CL5A434
           PREVENT PROCTAB MESSAGE FROM APPEARING ON LISTING IF ERRORS
           IN SOURCE
          DFN    07/25/77    PROCTAB
CL5A435   SSCANNER (INTERPRETTER) DOES NOT BUILD AN SPBT
          ENTRY FOR RETURN OR RELEASE UNLESS IT IS
          FOLLWED BY AN ASSIGNED WORD REFERENCE.
          PPARSER THOUGHT THE SBPT ENTRY HAS TO BE
          THERE AND GIVES 7094 INDICATIONG A
          SICK COMPILER.  FIX IS TO REMOVE 7094 
          MESSAGE.  THE STATEMENT WILL FAIL WHEN
          PPARSER DETECTS MISSING DNREF.
          TMH    07/22/77    SET8 
 CL50219  INSPECT REPLACING LEADING SINGLE CHARACTER
          LVW    07/27/77    CBINSPF
 CL50175F 
          CHANGES TO CL50175 FOR COBOL 5.2
          DFN    07/26/77    CBSQWR 
 CL50211  NO CCOMMON PRESETS IN SUBCOMPILE
          LVW    07/06/77    PROCTAB,DIAGTXT, 
 CL50202  REPAIR XF (CROSS REF) - ENTIRE ROUTINE REPLACED 
          JPW    07/07/77    XF 
          SRN= ETR0045
 CL5A438  INCORRECT SCALING OF NUMERIC OPERANDS 
          LVW    08/11/77    GMOVSCA
 CL5A440  STORE TWO WORD RESULT IN SINGLE WORD WITH TRAILING SIGN 
          OR LARGER POINT LOCATION
          LVW    08/03/77    GMOVSCA
 CL50198  ADD CODE TO HANDLE ALPHANUMERIC LITERAL MOVED TO NUMERIC ITEM 
          LVW    5/25/77     GMOVLIT,FUNCTIONS,STOFUNC,VALFUNC,CGSETRG
          SRN = CL50123 
 CL50213  IF -USING- FILE FOR SORT HAS Z-TYPE RECORDS,
          THE RECORDS RETURNED BY SORT DO NOT HAVE THE
          TRAILING BLANKS RESTORED. 
          DJC    07/29/77    CBSORT 
          SRN=LASL
CL50214   REPORT WRITER BUG CAUSES DIAGNOSTIC 8021
          8021 IS A COMPILER ERROR ORIGINATING IN L-POOLER
          THE TROUBLE IS CAUSED BY AN ITEM DEFINED
          IN A DETAIL REPORT GROUP WHICH HAS A
          SOURCE CLAUSE BUT NO COLUMN CLAUSE. THIS
          IS LEGAL BUT NOT VERY USEFUL. G$DTAIL 
          GENERATES CTEXT FOR A MOVE OF A LITERAL TO
          THIS ITEM.  THIS WOULD BE APPROPRIATE 
          FOR AN ITEM WITH A VALUE CLAUSE. GIVEN THAT 
          OUR ITEM IS NOT PRINTABLE, G$MOVE 
          NOT ONLY FAILED TO ABANDOM THE ITEM BUT 
          THOUGHT THE ITEM CONTAINED A VALUE CLAUSE INSTEAD OF
          A SOURCE CLAUSE.  FIX IS TO IGNORE THIS ITEM. SERVES EM RITE
          TMH    08/02/77    D$DTAIL
CL5A461   THE COMPILER FAILS TO RECOGNIZE THE CONSTRUCTS
          SWITCH-N IS SWITCH-N
          A IS A
          BOTH ARE ILLEGAL BUT OUR DIAGNOSTICS ARE NOT VERY GOOD
          THE FIX IS TO PARSE THE ILLEGAL PHRASE AND GIVE A NEW 
          DIAGNOSTIC WHICH ACCURATELY DESCRIBES THE PROBLEM 
          TMH    08/16/77    ETABLES,DIAGTXT
CL5A469   INFINITE LOOP IN CRFIT CALLED BY PROCTAB
          LOOP CAUSED BY FAILURE TO ESTABLISH CORRECT 
          VIRTUAL INDEX FOR KEYINDEX FOR THE
          INITIAL ITERATION OF THE LOOP IN THE
          FINDRORD PROC TO FIND THE RECORD ORDINAL
          FOR A SUBSCRIPTED ALTERNATE KEY.
          TMH    08/26/77    CRFIT
 CL50134
          PREVENT ERROR ON FILE NOT EXISTING ON INPUT ON NOS
          DFN    06/22/77    CBCOMIO
 CL50158
          FIX DISPLAY OF VARIABLE LENGTH ITEM 
          DFN    06/30/77    GIO,SET5,CBDSPLY 
CL50231 
          DIAGNOSTIC 4080 USES INCORECT LINE NUMBER 
          DIAGNOSTIC 4081 USES INCORECT LINE NUMBER 
          DIAGNOSTIC 4082 USES INCORECT LINE NUMBER 
          DIAGNOSTIC 4098 USES INCORECT LINE NUMBER 
          TMH    08/29/77    DA 
CL5A363   USE FOR DEBUGGING ON R
          COBOL5 WILL BE CHANGED TO DEBUG ON R
          IN EACH OF THE FOLLOWING STATEMENTS 
          WRITE R.
          WRITE R FROM A. 
          REWRITE R.
          REWRITE R FROM A. 
          ALSO, INVALID KEY WILL BE CHANGED TO WORK ON THE ABOVE CASES
          TMH    06/30/77    PTABLES
          DFN 08/08/77       IOMICROS,GIO,CBCOMIO 
 CL5A375  MAKE ASCII AND EBCDIC PUNCH AND INPUT FILES WORK RIGHT
          WITHOUT THE SYSTEM HAVING TO BE IN ASCII MODE 
        NOTE - CHANGE TO CMM$SYP HAS NOTHING TO DO WITH THIS PTR. 
               CMI$ALV WHEN CALLED PASSES 6 PARAMS.  THE LAST PARAM,
               WHICH APPEARS TO BE SELDOM USED CONTAINED GARBAGE QUICKLY
               CAUSING A MODE 1 WHEN IT WAS USED FOR INDIRECT ADDRESSING. 
          SRN = SVL38836
          JPW,DEW 9/09/77    D$SUBS,PROCTAB,CRFIT,CBSQRD,CBSQWR,DFTABLE,
                             DIAGTBL,DEAGTXT,CMM$SYP,GSET,TABINIT,
                             CB12TO6 (ADDED), AND CB6TO12 (ADDED) 
 CL5A371  VALUE EXCEEDS ITEM LENGTH DIAGNOSTIC
          LVW    08/23/77    PROCTAB,DIAGTXT
 CL5A478
          IF NOT ALPHABETIC   FAILED.  CBALPCM MISCALCULATED THE BCP
          WHEN A SUBSCRIPTED ITEM WAS BEING CHECKED, BECAUSE X5 WAS 
          INCORECTLY SET TO 6 IT IS NOW SET TO 10.
 CL5A483  LOAD ITEM WITH TRAILING SEPARATE SIGN IN NEXT WORD WHEN 
          LEFT SHIFT NECESSARY FOR ALIGNMENT
          LVW    09/06/77    GMOVLOD
 CL5A510  TEST SQ206 FAILS WHEN READING REVERSED BECAUSE
          THE FILE HAS BEEN REWOUND AND IS NOT REPOSITIONED 
          AT THE END BEFORE REVERSE READING.
          DJC    10/05/77          CBSQRD 
 CL5A513  FIX MOVE OF SPACES TO SUBSCRIPTED RECEIVING FIELD 
          LVW    9/27/77     CBMOVE 
 CL50116  IF GROUP DEFINED IN SUBSCHEMA WITH -OCCURS 1 TIME-, PREVENT 
          FATAL COMPILER DIAGNOSTIC WHEN THIS GROUP OR ITEM SUBORDINATE 
          TO IT IS USED IN A COBOL PROGRAM WITH A SUBSCRIPT OF 1. 
          ALSO, FORCE  ITEMS WITH OCCURS 1 TIMES CLAUSE FROM SUBSCHEMA
          TO BE SUBSCRIPTED BY THE USER IN THE COBOL SOURCE PROGRAM.
          JN     76/12/21    DBOCCUR
          SSJ    06/08/77    DA3
CL50238   THE FOLLOWING SEQUENCE FAILS IN PPARSER 
          IF NOT X THEN GO TO P1. 
          PERFORM P2 UNTIL A = B. 
          THEN SIGN OF THE BRANCH IN THE TEST IN
          THE PERFORM STATEMENT IS INVERTED BECAUSE 
          OF THE LOGICAL NOT IN THE PRECEDING 
          IF STATEMENT.  THE FIX IS TO NEUTRALIZE 
          THE EFFECT OF THE NOT BY CORRECTLY
          INITIALIZING THE VARIABLE NEGATION BEFORE 
          PROCEEDING WITH THE PERFORM STATEMENT.
          TMH    10/03/77    SET2 
 CL50245  ADD CODE FOR MOVE OF COMP1 ITEM TO SUBSCRIPTED AN ITEM
 CL50247  MOVE UNSIGNED NUMERIC TO UNSIGNED NUMERIC WHERE DESTINATION 
          OCCUPIES 3 WORDS AND SOURCE FITS ENTIRELY IN THIRD WORD 
          LVW    10/11/77    GANMOVE
 CL5A364A GIVE CORRECT LINE NUMBER WITH CALL STATEMENT EXECUTION
          ERRORS.  ADD CAPABILITY FOR HANDLING OLD BINARIES.
          LVW    10/14/77    GBRANCH,OBJDEFS,CBADSUB,CBINIT,CBSEG,CBPERF
 CL5A406  LOADER ERRORS IN EXECUTION DUE TO BAD BINARY
          NEW LOADER DIAGNOSES ERRORS - OLD ONE DID NOT 
          LVW    08/18/77    ASM2,CB5TEXT,C$GTERR 
 CL5A473  FIX OBJECT CODE LISTING TO REMOVE COLON AND GARBAGE LINES 
          ALSO WRITE DOUBLE SPACE RATHER THAN 2 BLANK LINES 
          LVW    10/18/77    ASM2,CBLIST
 CL5A493
          CHANGES THE SEVERITY OF DIAG 1076 FROM F TO W.  CHANGES TEXT
          OF DIAG 1075 AND 1076.
          DEW        10/24/77     DIAGTXT DFTABLE DIAGTBL 
 CL50234  WHEN DOING A COMPARISON WITH AN ARITHMETIC EXPRESSION, THE
          RESULT OF THE EXPRESSION IS STORED IN A REGISTER.  THUS CMU 
          CODE, WHICH WORKS WITH CORE, IS NOT APPROPRIATE AND THE 
          COMPARISON SHOULD BE PERFORMED USING SUBTRACTION. 
          DJC    10/24/77          GCONDIT
          SRN=CSFC770822
CL50239   THE COMPILER DIAGNOSES UNSTRING GROUP-ITEM
          WE WILL CHANGE NONNUMSTR TO ALLOW GROUPS
          FOR REFERENCES TO NONNUMID(4). THIS WILL
          MAKE GROUP ITEMS  LEGAL AS PROGRAM NAMES IN 
          THE CALL AND CANCEL STATEMENTS, AND AS KEYS 
          IN THE ENABLE AND DISABLE STATEMENTS AS 
          WELL AS IN OUR UNSTRING STATEMENT.
  
          A SECOND COMPLAINT IS THAT WE DIAGNOSE
          UNSTRING INTO GROUP-ITEM. THIS WAS FIXED
          BY CL50128.  IT WILL BE FIXED BY THIS 
          PSR AS WELL.
          TMH    10/20/77    PQ 
CL50246   ERROR MODE IN SORT GIVING/USING PHRASE
          FIX IS TO INVENT NEW SYNTAX COMMAND ... FILEREF 
          IN THE FUTURE, USING A DATA-NAME WHERE A FILE-NAME IS 
          REQUIRED WILL ABORT THE SYNTAX ANALYSIS OF THE SORT STMNT 
          TMH    10/11/77    DRIVER,PTABLES,DPPPMACRO 
 CL50248  FIX FREEING OF USE TABLE (TYPE 3 CMM BLOCK) 
          LVW    10/17/77    COBASM 
CL50253 
          WE DO NOT DIAGNOSE THE MISSING PERIOD AFTER THE 
          SPECIAL-NAMES PARAGRAPH CLAUSES 
          IN ADDITION, THIS CODE FIXES MISC TYPO ERRORS IN THE DIAG LIST
          TMH    10/14/77    DIAGTXT,E$SUBS,ETABLES 
 CL50257  INTRODUCES CODE TO SAVE -CCTDPARAM- AND -CCTSSNAME- ACROSS
          STACKED COMPILATIONS. 
          SSJ    10/25/77    INITCCT
 CL5A375A 
          CODE TO ALLOW TRANSLATIONS FROM EBCDIC, ASCII, AND STANDARD-1 
          TO OCCUR ON DISK FILES ONLY BY CHECKING DEVICE TYPE WAS ADDED.
          MOVES SOME FEAT186 CODE IN CRFIT SO MRL IS CALCULATED FOR 
          FILES WITH CODE-SET CLAUSES CORRECTLY.  FIXES 6TO12 AND 12TO6 
          BIT ROUTINES BUG WITH RECORDS WHOSE RL DOES NOT FALL ON A WORD
          BOUNDARY.  CHECKS FOR CODE-SET HAVING BEEN SET TO STANDARD-1
          WERE OVERLOODED IN THE ORIGINAL RESPONSE, THE FOLLOWING CODE
          ADDS THESE CHECKS.   NOTE.....FOLLOWING APPLIES TO 5.2 ONLY...
          DEW      11/7/77       CBSQRD,CBSQWR,CB6TO12,CB12TO6
                                 DNATVALS,CB5TEXT,CRFIT 
 CL5A539  CHANGE CODE FOR DOUBLE PRECISION EDITED STORE TO AVOID
          REGISTER JAM WHEN SIZE ERROR IS SPECIFIED.
          LVW    11/08/77    GMOVRN 
 CL5A547
          FIXES DIAG 2008 SO WHEN IT IS ISSUED IT IS THE FIRST OCCURANCE
          OF A SERIES OF IDENTICAL MISPLACED CHARS. IN A PIC. STRING
          INSTEAD OF THE LAST.  THIS IS DONE BY CHECKING A FLAG WHEN
          2008 IS ISSUED.  THIS FLAG IS ON ONLY WHEN THE CHAR. IN 
          QUESTION IS ONE OF A SERIES OF IDENTICAL CHARS.  THUS THE 
          CORRECT POINTER IS USED DEPENDENT ON THIS FLAG. 
          SRN = ST0906
          DEW        11/07/77         PA
 CL50263  A SUBSCRIPTED AN IF WHERE THE SECOND FIELD IS SHORTER THAN
          THE FIRST MAY NOT WORK IN ALL CASES 
          DFN    11/03/77    CBBCDCM
          SRN = DKE02 
 CL5A371A REMOVE ERRONEOUS DIAGNOSTIC ON VALUE FOR COMP2 ITEM 
          LVW    11/16/77    PROCTAB
CL5A422 
          C TYPE DIAGNOSTIC GIVEN ON ENVIRONMENT DINVISION
          INTERPRETTER CALLS EDCTEXTBUILD IMMEDIATELY UPON ENTRY
          TO ENVIRONMENT DIVISION PROCESSING ASSUMING THE RESERVED WORD 
          DIVISION TO BE IN HAND.  FIX IS TO CHECK THAT AN ASSIGNED WORD
          IS NOT PRESENT IN PLACE OF THE RESERVED WORD DIVISION 
          TMH    11/16/77    INTERPRE 
CL50224   RELATIVE INDEXING FAILS WHEN ITEMS ARE PIC X(10)
          AND ZERO BCP.  IN THIS SPECIAL CASE, THE
          COMPILER TAKES ADVANTAGE OF THE FACT THAT THE 
          WORD OFFSET INTO THE TABLE WILL BE EQUAL
          TO THE VALUE OF THE SUBSCRIPT.  THIS WORKS
          FINE EXCEPT THAT WE DO NOT MAINTAIN THE VALUE 
          OF THE LITERAL PORTION OF A RELATIVE INDEX. 
          ASSUMING THIS VALUE TO BE PRESENT, THE SUM
          FOR THE RELATIVE INDEX INCLUDES A ZERO INSTEAD
          OF THE LITERAL SUPPLIED IN THE SOURCE PROGRAM.
          THE FIX IS TO MAINTAIN THE VALUE IN THE LOWER 
          PORTION OF THE WORD CONTAINING THE SUBSCRIPT
          CALCULATION FOR THE LITERAL PORTION OF THE
          RELATIVE INDEX. 
  
          IN ADDITION, THIS CODE SOLVES MAY PROBLEMS
          ASSOCIATED WITH SUBSCRIPT RANGE CHECKING. 
  
          THE NEW CODE ALLOWS SUBSCRIPT OPTIMIZATION AND
          RANGE CHECKING TO COEXIST.  PPARSER WILL PROVIDE RANGE
          CHECKING GTEXT.  THE NEW GTEXT WILL CONTAIN THE 
          MNEMONIC NUMBER OF THE SUBSCRIPT TO BE CHECKED
          AND THE MAXIMUM VALUE TO CHECK AGAINST.  PPARSER
          WILL MAKE SURE THAT EACH COMPONENT OF MULTIPLY
          SUBSCRIPTED IDENTIFIER WILL BE CALCULATED AND 
          AVAILABLE FOR RANGE CHECKING.  PREVIOUSLY,
          SUBSCRIPT OPTIMIZATION MADE SOME COMPONENTS 
          UNAVAILABEE BECAUSE SUBSCRIPT SUMS COULD BE 
          DONE IN ANY ORDER.  PURE INDEX-NAMES ARE
          ONLY RANGE CHECKED ONCE.  SECOND, THIRD, ETC.,
          USES ARE NOT CHECKED.  LITERAL SUBSCRIPTS 
          ARE CHECKED AT COMPILE TIME.  DATA-NAME 
          SUBSCRIPTS ARE RANGE CHECKED SEPARATELY EVEN
          THOUGH THEY MAY BE OPTIMIZED. 
  
          THIS CODE ALSO FIXES A POTENTIAL CP TIME LIMIT
          IN PPARSER IF A( I, 3 ) IS CODED WHEN ONLY
          ONE SUBSCRIPT IS REQUIRED.
  
          TMH    10/21/77 
          LVW    10/21/77 
                             GTXTVB,FUNCTIONS,CGENTXT,GSUBSC,DIAGTXT
                             SET6,GTXTDMP,SUBINFO,VALFUNC,STOFUNC 
                             COBCG,CGSETRG,EVALCFN,PPCOMMON2,SET1 
 CL50236
          FOR CMU WHEN A LITERAL 0 IS LESS THAN THE RECIEVING FIELD BY
          20 OR MORE CHARS LP SETS THE ALL FLAG SO THE RECIEVING FIELD
          RECIEVES ALL ZEROES.  FOR NON-CMU AS WELL AS CMU A LIT OF ALL 
          ZEROES THAT IS 1,2,3... WORDS IN SIZE (I.E. 10,20,30... CHARS)
          BEING MOVED TO A LARGER RECIEVING FIELD, LP AGAIN SETS THE ALL
          FLAG AND THE RECIEVING FIELD RECIEVES ALL ZEROES. 
          THE FOLLOWING CODE FIXES THIS SO THE ALL FLAG IS NOT SET UNDER
          THESE CONDITIONS. 
          SRN = 770831
          DEW     11/01/77      LP
 CL50259
          MODE 1 DURING COMPILATION WHEN CLOSING QUOTE IS MISSING ON A
          FILENAME FOR THE SELECT CLAUSE.  DA CLOBERED FNAT PTRS WHEN IT
          WAS CHECKING FOR VALID OR DUPLICATE FILE NAMES, BECAUSE WHEN
          IT RETRIEVED THE FILENAME FROM THE PLST IT FAILED TO CHECK ITS
          SIZE FIRST THUS OVERFLOWING THE WORD THE FILE NAME WAS STORED 
          INTO.  A NEW PROC GETFILENAME WAS ADDED WHICH WILL RETRIEVE A 
          FILE NAME TRUNCATING ANY FILENAME GR 7 TO 7 CHARS AND ISSUE 
          NEW DIAG 4143.  DIAG 4126 TXT WAS CHANGED, ALSO.
          SRN = 771018
          DEW        11/17/77       DA,DIAGTXT,DFTABLE,DIAGTBL
 CL50268  INCREASES THE SIZE OF THE CORRESPONDENCE TABLE IN DBTRANS.
          SSJ    11/16/77    DBCTADD,DBKEYFNAT,DBRESOLWA,DBWA2DNAT
 CL50269  IF ALPHABETIC, SUBSCRIPTED SINGLE CAHRACTER 
          LVW    11/11/77    CBALPC1
 CL50272  UNSTRING RANDOMLY CLOBBERS CORE UNDER RARE CIRCUMSTANCES
          BY INTERPRETTING WORD FOLLOWING PARAMETER LIST AS DELIMITER 
          OR COUNT IN PARAMETER.  ADD CHECK FOR END OF PARAMETER LIST.
 CL50274
          DIAGNOSE Q READ ON A RELATIVE FILE OPENED FOR OUTPUT
          SRN=LASL306 
          DFN    11/18/77    CB5TEXT,CBRLRA,CBRLSQ
 CL50275  FIX CONVERSION FROM DISPLAY TO COMP-1 
          LVW    11/17/77    GMOVRN 
 CL5A452
          1. CORRECTS TEXT OF DIAG 1011.
          2. ADDS NON-ANSI DIAG 3752 FOR COMP-4 ITEMS AND CHANGES TEXT
             OF DIAG 3047 BY ADDING COMP-4 TO IT. 
          3. FIXES PTABLES SO DIAG 7459 IS ONLY ISSUED WHEN TRUE FLAG 
             HAS BEEN SET BECAUSE A LIST OF IDENTIFIERS ARE PRESENT IN
             AN ADD CORRESPONDING STATEMENT.
             DIAG 7288 WAS NOT ISSUED PROPERLY ON ADD CORR STATEMENTS 
             WITH NO CORR DATA NAMES.  A TEST OF FREEZE FLAG WAS THE
             OPPOSITE OF WHAT IT SHOULD HAVE BEEN.  THIS IS CORRECTED 
             HERE IN SET3, CORR END ROUTINE.
          4. D$FORMATER CAUSED AN EXTRA BLANK LINE TO BE ISSUED ON ANY
             DIAGNOSTIC WHOSE TEXT WAS 131 CHARS.  A LOOP COUNTER WAS 
             INITIALIZED WRONG.  IT IS NOW INITIALIZED CORRECTLY. 
  
          DEW    11/30/77      DFTABLE,DIAGTBL,DIAGTXT,DTABLES,D$FORMAT 
                               PTABLE,SET3
 CL5A562  FIX  77 LEVEL PARAMETER WITH SIZE MULTIPLE OF 10
          LVW    11/30/77     PROCTAB 
CL50265 
          IF A = CONDITION-NAME 
          CAUSES COMPILER ERROR 7094
          FIX WILL BE TO ADD A NEW TEST 
          AND NEW MESSAGE FOR CONDITION-NAMES 
          TMH    11/30/77    SET2,DIAGTXT 
CL50266 
          SEARCH T
          WHEN T (I, J) = 100 
          WRITE RECORD-NAME FROM A AFTER ADVANCING 2 LINES. 
  
          BAD GTEXT OCCURS WHEN AN I-O STATEMENT
          IS PART OF THE IMPERATIVE STATEMENT IN
          A SEARCH STATEMENT.  THIS HAPPENS BECAUSE 
          THE I-O STATEMENTS IN SET7 USE
          SEARCHSTACK WHICH IS STILL IN USE BY SEARCH.
          FIX IS TO DEFINE A NEW ARRAY FOR I/O STATEMENTS.
          TMH    11/29/77     SET7
 CL50277  IF  NOT LESS THAN FAILS FOR ALPHANUMEIRC ITEMS
          LVW    11/29/77    GCONDIT
 CL5A312  MAKES COMDECK CHANGES TO STAY CONCURRENT WITH DDL.
          ADDS CODE TO IGNORE ALTERNATE KEYS WHICH ARE FLAGGED ON THE 
          SUBSCHEMA FILE AS NOT HAVING BEEN LISTED BY THE USER IN THE 
          SUBSCHEMA, ALTHOUGH THEY ARE LISTED ON THE SCHEMA.
          SSJ    11/17/77    DBDARVAR,DBDCEENT,DBDDLVAR,OVLSUBS,DDLPRS, 
                             DBTRANS,DBBASICF,DBSLNXAR,DBSLNXDCE, 
                             DBSLNXITM,DBSLNXKI,DBSLNXREC,DBSLNXREL,
                             DBSLNXRKY,DBSLNXRR,DBBASICD,DBBLDFD,DBBLD01
                             DBCTADD,DBIERR,DBINDEX,DBKEYDNAT,DBKEYFNAT,
                             DBOCCUR,DBREDEF,DBRENAME,DBSIZE,DBSLNXAR,
                             DBTYPE,DBUSAGE,DBXERR
 CL5A445  HANDLE *DATE-COMPILED* PROPERLY.
          DJF    10/28/77    INTERPRE 
 CL5A564  CORRECT SIZE ERROR CHECK FOR COMP2 RESULT WITH NONZERO
          POINT LOCATION
          LVW    12/01/77    GMOVSUB
 CL5A492  DIAG 8044 NEVER GAVE LINE OR COL NO.  IT NOW IS ISSUED BY 
          CALLING PRINTDIAG IN PROCTAB WHICH WAS INTRODUCED BY CL50130
          AND MODIFIED BY CL5A375.  DIAGSCN TREATED D8044 AS TOO LARGE
          DIAGNOSTIC NUMBER BECAUSE CNT IN DIAGTBL WAS SET TO 1 LESS
          THAN THE NUMBER OF DIAGS COBOL5 HAS, FIXED BY CORRECTLY SETING
          CNT.
          SRN = 70391 
          DEW     09/26/77     PROCTAB,DIAGTBL,DFTABLE,DIAGTXT
 CL5A582  FIX BINARY GENERATION FOR INCOMPLETE TEXT TABLES. 
          BAD BINARY CAUSES OVERLAY LOADING ERRORS. 
          LVW    12/20/77    ASM2 
 CL50280  DIAGNOSE GROUP LARGER THAN 65535 CHARACTERS 
          LVW    12/20/77    DA4
 CL50088A 
          PREVENT AUTO RECALL ERROR ON RESTRICTED FL COMPILATIONS 
          DFN    01/03/78    VIRTUAL
 CL50281
          TRIV DIAGS 3275 AND 4275 ADDED TO E$SUBS AND DA RESPECTIVELY. 
          DIAG 4275 IS ISSUED THEN 2 IMPLEMENTOR-NAMES APPEAR IN AN 
          ASSIGN CLAUSE FOR A FILE OTHER THAN INDEXED, DIRECT,OR ACTUAL-
          KEY, WITH ALTERNATE RECORD KEYS.  DIAG 3275 IS ISSUED WHEN 3
          OR MORE IMPLEMENTOR-NAMES ARE IN THE ASSIGN CLAUSE. 
          SRN     771207
          DEW       1/4/78     E$SUBS,DA DIAGTBL,DFTABLE,DIAGTXT
 CL50286  PREVENT MODE ERROR ON NONNUMERIC VALUE FOR NUMERIC ITEM 
          LVW    12/29/77    PROCTAB
 CL5A565  RESTORE B6 TO -C.LOK- AFTER RETURNING FROM DM$LOK.
          SSJ    01/05/78    CBDMLOK
 CL5A585  XMIT MISSING IN SPECIAL CASE SUBSCRIPTED STORE OF NUMERIC 
          LITERAL 
          LVW    12/20/77    MACDEFS
 CL50279  THE FUNCTION -FNKNBOF- IN VALFUNC WAS NOT FINDING THE CORRECT 
          ALTERNATE KEY AUX TABLE ENTRY WHEN SEARCHING FOR THE AUX AND
          DNAT ENTRIES OF A KEY ON A KEYED I/O STATEMENT.  THE PROPER 
          CHARPOS AND WORDOFF MUST BE CALCULATED BY ADDING BACK THE 
          OFFSETS CAUSED BY KEYS WHICH ARE LOCATED WITHIN -OCCURS-
          CLAUSES.
          DFN    12/28/77    VALFUNC
          SSJ    12/28/77 
 CL50285  ENTER C.STPTR CAUSES CRM ERROR
          LVW    1/3/78      CBTRACE
 CL5A531  DIAGNOSE ILLEGAL EXIT FORM PERFORM
          LVW    2/13/78     CB5TEXT,CBPERF 
 CL5A595
          ADDS BACK THE -OCCURS- LENGTH FOR COMPUTATIONS OF KEYTWORDNB
          AND KEYTBCP WHEN A KEY IS SUBSCRIPTED (THIS IS ALLOWED FOR
          CDCS FILES WHERE THE KEYS CAN BE DESCRIBED -OCCURS 1
          TIME-.).
          DFN    01/03/78    CRFIT
          SSJ    01/03/78    CRFIT
 CL5A602
          CHANGE DIAG SEVERITY FROM F TO W FOR 3148 AND 3199. 
          DEW         01/11/78         DIAGTXT,DFTABLE DIAGTBL
 CL5A614  DEBUGGING ON SECTION FAILS IN SEGMENTED PROGRAM 
          LVW    01/27/77    SET10
          TMH    01/27/77 
 CL5A647  MODIFY BETA CODE FOR NEW ASSEMBLER INTERFACE
          LVW    2/14/78     GBRANCH
 CL5A649
          TURN ON A BIT IN THE CONTEXT MATRIX OF DRIVER SO A LEVEL 88 IS
          LEGAL AFTER AN 01 IN THE FILE SECTION.  CORRECT DOCUMENTATION 
          OF THE CONTEXT MATRIX IN DRIVER.  MAKE MISC. CORRECTIONS TO 
          DACOMDK, DA4, DA3, AND PROCTAB SO REFERENCES TO THE FNAT ARE
          NOT MADE WHEN THERE ARE NO FNATS. 
          SRN = DEW001
          DEW     2/15/78     DRIVER,DACOMDK,DA,DA2,DA3,DA4,PROCTAB 
 CL50224A WHEN RANGE CHECKING IS SELECTED REFERENCE COUNT IS INCORRECT
          FOR MULTIPLE SUBSCRIPTS USED MORE THAN ONCE CAUSING COMPILER
          ERROR MESSAGES
          LVW    2/13/78
          TMH    2/13/78     SET1 
CL50288   LINE CLAUSE OUT OF CONTEXT CAUSES ERROR MODE
          THE TROUBLE OCCURS WHEN THE SEQUENCE OF CLAUSES 
          MAKING UP A PAGE LIMITS DESCRIPTION, CONTAINS AN ERROR
          AND FOLLOWING THE ERROR CONTAINS A FIRST DETAIL OR
          LAST DETAIL SUB-CLAUSE.  THE COMPILER RECOVERS ON 
          EITHER OF THESE TWO RESERVED WORDS BUT CONTAINS NO
          TABLE TO PROCESS THESE CLAUSES INDEPENDENTLY FROM THE PAGE
          LIMITS CLAUSE.
          THE FIX WILL BE TO THROW OUT ALL OF THE SUB-CLAUSES 
          IN A PAGE LIMITS DESCRIPTION IF AN ERROR OCCURS ... IN OTHER
          WORDS LAST, FIRST, HEADING, AND FOOTING WILL NO LONGER
          BE KEY ELEMENTS IN THE REPORT SECTION PARSER
          TMH    02/01/78    RTABLES
                             DIAGTXT,DFTABLE,DIAGTBL
                             RWINFOV,CHKRW,INITRWV,INTERPRE 
 CL50296
          LEVEL 66 ITEMS IN THE FILE SECTION CAUSED C DIAG 7094 IN THE
          PROCEDURE DIVISION.  PTABLES DOES TWO TSTCNTXT TO DETERMINE A 
          DEF PT WHEN PROCESSING LEVEL 66 ITEMS, IGNORING THE EFECT ON
          THE SYNTAXONLY FLAG.  SINCE THIS CLOBBERS THE FLAG THE DNAT 
          FOR THE LEVEL 66 ITEM GETS BUILT INCORRECTLY IN D$SUBS
          ROUTINES ST$RENAMES AND ST$RENAMES2 WHICH TEST THIS FLAG.  THE
          FOLLOWING CODE REMOVES THESE UNNECCESSARY TESTS OF THIS FLAG. 
          SRN = 780109
          DEW          2/8/78         D$SUBS
CL50299   IF THE RESERVED WORD ENTER IS NOT 
          FOLLOWED BY AN IMPLEMENTOR-NAME OR LITERAL, 
          THE ENTER STATEMENT AND SOME OR ALL 
          OF THE REST OF THE PROGRAM MAY VANISH.
          THE SPECIAL PARSE FOR ENTER RETURNS 
          WITHOUT RESETTING THE MUSTSAVECTEXT SWITCH. 
          ALL PROGRAM TEXT BETWEEN THE ENTER
          AND THE NEXT SPECIAL PARSE GOEST INTO THE 
          CTEXT STACK BUT IS SUBSEQUENTLY LOST. 
          THE FIX IS TO FORCE THE SPECIAL PARSE FOR 
          ENTER TO RETURN VIA PREXIT. 
          ALSO, WE ARE FIXING TWO UNNECESSARY TESTS IN THE SPECIAL PARSE
          TMH    01/25/78    INTERPRE 
CL50306   MOVE ZEROES TO B ( I, J ).
          IF J LESS THAN 200
             ADD 1 TO J 
             GO TO P1.
          MOVE A ( I ) TO X.
  
          THE STATEMENTS ABOVE LOOP ENDLESSLY IN CSTCONDEPI.
          SEE CL50106 FOR A SIMILAR PROBLEM.
          THE CODE WHICH LOOPS THRU THE CHAIN OF UNUSED CST ENTRIES 
          LOOKING FOR ENTRIES WHICH WERE DELETED AND WHICH CAN NOW
          BE RESTORED CONTAINS AN ERROR.  CSTPREVIOUS IS UPDATED
          INCORRECTLY WHEN A RESTORATION TAKES PLACE.  CONSEQUENTLY,
          THE SAME ENTRIES ARE APPEARING ON BOTH THE USED AND UNUSED
          CHAINS SIMULTANEOUSLY.  LATER PROCESSING RESULTS IN THE 
          LOOPING.
          TMH    02/10/78    SET1 
 CL5A611  CORRECTIVE CODE TO PREVENT DIAG 3303 ON MULTIFILE TAPE
          CLAUSE WITH PSEUDO FILE NAME. 
          MJH    02/27/78    ETABLES,E$SUBS 
 CL5A613  CHANGE SEVERITY OF DIAGNOSTIC 7038 FROM F TO W. 
          MJH    02/27/78    DIAGTXT
 CL5A657
          PREVENT ILLEGAL FILE NAME IF FATAL ERRORS AND B=0 GIVEN.
          PROBLEM IS IN DIAGSCN WHICH IS NOT CHECKING FOR B=0 WHEN
          WRITING FATAL ERROR MESSAGE TO BINARY 
          DFN    02/23/78    DIAGSCN
 CL5A658  PREVENT MODE ERROR IN TERMINAL DUMP WHEN LEVEL 88 APPEARS 
          IN SUBSCHEMA
          LVW    2/23/78   DBTYPE 
 CL5A663
          CHANGE ROUNDING TABLE IN VALFUNC TO AVOID SYMPL DIAGS 
          ALSO MAKES TABLE MORE READABLE
          DFN    03/06/78    VALFUNC
 CL50297
          SUM$GROUP IN DA4 IS ENTIRELY CONTAINED IN A DO LOOP WHICH IS
          REPEATED UNTIL THE GROUP ITEM JUST "CLEANED UP" IS AT THE SAME
          LEVEL AS THE NEXT ITEM (SEE DA4).  TO EXIT THIS LOOP A TEST OF
          NXT$ITM$LVL EQ GROUP$LEVEL IS MADE.  THIS CODE CHANGES THIS 
          TEST TO GQ SO WHEN A NEW GROUP IS FOUND BUT IT IS NOT AT THE
          SAME LEVEL AS A PREVIOUS GROUP, PROCESSING OF SUM$GROUP CEASES
          WHEN A GROUP WITH A LOWER LEVEL NO. IS FOUND.  SEE PSR FOR
          EXAMPLE.    (THIS IS NON-ANSI)
          SRN = LASL320 
          DEW     2/14/78     DA4 
 CL50311
          REWRITE DTABLES PROCESSING OF ASCENDING/DESCENDING KEY AND
          INDEXED BY PHRASES SO THEY ARE NO LONGER ORDER DEPENDENT. 
          SRN = 771117
          DEW      2/23/78       DTABLES
CL50313   NESTED SEARCH STATEMENTS CAUSE COMPILER TO ABORT
          IN PARTICULAR, WORK5 INDEXES GO NEGATIVE
          THE OUTER SEARCH STATEMENT EXECUTES THE ELSE ROUTINE AFTER
          THE INNER SEARCH EXECUTES THE PERIOD ROUTINE. 
          THE ELSE ROUTINE SETS THE PRIORITY STACK INDEX TO -1. 
          FUTURE STATEMENTS THEN DESTROY THE ZERO 
          PRIORITY STACK ENTRY WHICH ACTS AS A STOPPER
          DURING UNSTACKING OPERATIONS AND EVENTUALLY 
          THE UNSTACK PROC USES A NEGATIVE INDEX. 
          THE NESTED SEARCHES DO NOT THEMSELVES ABORT 
          BUT FUTURE STATEMENTS USING THE PRIORITY STACK
          ARE IN JEOPARDY.
          THE FIX IS TO ADD A TEST IN THE ELSE ROUTINE
          TO GAURANTEE THE PRIORITY STACK INDEX REMAINS NON-NEGATIVE
          TMH    03/01/78    SET2 
 CL5A655  REMOVE CONDITIONAL BETA CODE
          LVW    2/21/78     GBRANCH,FIXED,COBCG
 CL5A656
          PREVENT ERROR MODES OR OTHER ABORTS IN PROGRAMS WITH COPY 
          AND LONG REPLACEMENT STRINGS DUE TO A COPY TABLE REFERENCE
          OUTSIDE OF THE TABLE BOUNDS 
          DJF    03/15/78    SETPAIR
 CL5A662
          FIXES THE FOLLOWING PROBLEMS
          1.  COMP-4 WITH ZERO VALUE CLAUSE FAILS.
          2.  TYPE 3 ERRORS IN ASSEMBLY OF P2TBL1 
          3.  ZZZZZ49 NOT RETURNED AFTER COMPILATION. 
          4.  BINARY TO 6 DIGIT DISPLAY FAILS WITH NBRS > 599999. 
          5.  BAD SELECT OR FD CAN CAUSE ASM-25 IF DB=B.
          6.  A OCCURS ... DEPENDING ON A IS NOT DIAGNOSED. 
          7.  COMPARISON OF COMP-4 WITH ZERO OR 0 ALWAYS FAILS. 
          DFN    03/03/78    PROCTAB
          TMH    03/03/78    DA,DA3,DAPT1 
          LVW    03/03/78    CBRUU06,COBASM,INSTBLK,TERMPROG,COBOL5,
 CL5A665
          SET LANGUAGE TYPE CORRECTLY SO OPEN FILES ARE CLOSED ON STOP
          RUN.
          DFN    03/07/78    FITDEFS,CRFIT
 CL5A668
          PREVENT ERROR MODES OR LOST ID DIV HDRS IN COMPILATIONS 
          WITH TDF OR LO=M SPECIFIED
          BUG DUE TO SPLIT TABLE RE-OPENED AND ZEROED OUT IN VIRTUAL
          DFN    03/14/78    VIRTUAL
 CL50319
          PREVENT VARIOUS ERRORS WITH RESTRICTED FL COMPILATIONS
          DUE TO COBIO BEING ENTERED BY OVERFLOW ACTION THEREBY 
          CLOBBERING LINKAGES AND POINTERS
          ALSO INCREASE NUMBER OF SCRATCH FILES - RUNNING OUT CAUSED
          PP CALL ERROR 
          ALSO DO NOT WRITE EOR ON OUTPUT IF L=0 GIVEN
          DFN    03/13/78    COBIO,SYSFET,COBOLSS,COBPT,SCRFLTAB
 CL50320  INSPECT REPLACING ALL SINGLE CHARACTER
CL50321   THIS PSR CONCERNS THE SPECIFICATION 
          OF INPUT AND OUTPUT PROCEDURES IN A 
          SORT STATEMENT.  WHEN THE THROUGH 
          PHRASE IS OMITTED AND THE FIRST 
          (ONLY) PROCEDURE NAME IS FOLLOWED BY
          A COMMA, THE COMPILER ABORTS. 
          THE SSCANNER IS BUILDING AN INCORRECT 
          SPBT ENTRY, USING THE VALUE FOR THE 
          COMMA INSTEAD OF REPEATING THE VALUE
          FOR THE PROCEDURE NAME IN THE HIBOUND 
          FIELD OF THE SPBT.
          TMH    03/09/78    INTERPRE 
 CL5A499
          PREVENT 3653 ERRORS AND VARIOUS OTHER IO ERRORS ON CDCS 
          SUBSCHEMAS
          DFN    03/10/78    DAIO,COBIO 
 CL5A531A FIX MODE 1 IN CBPERF WHEN PERFORMS NESTED DEEPER THAN 16
          LVW    03/28/78    CBPERF 
 CL5A655A FIX REPRORT WRITER COMPILER ABORT 
          LVW    3/31/78     PPEND
 CL5A673
          PREVENT VARIOUS ERRORS WHEN L=0 SPECIFIED AND DATE-COMPLED
          IS INCLUDED - USUALLY AN EM 1 IN COBIO
          DFN    03/21/78    INTERPRE,DATECMP 
 CL50314
          CLEAR EXTRA BITS IN PARAM LIST IF FORTRAN-X IS SPECIFIED IN 
          ENTER.
          SRN=780210         CSFC 
          DFN    03/31/78    GBRANCH
 CL50322  REGTABLE ENTRY FOR A CGEN-CREATED PERMANENT DNAT MUST 
          BE INITIALIZED TO ZERO.  FAILURE TO DO SO RESULTS IN RANDOM 
          EXECUTION FAILURES INCLUDING MODE ERRORS. 
          LVW    3/22/78     CGSTART,COBCG
CL50331   STATEMENTS FOLLOWING A WRITE ADVANCING IDENTIFIER 
          STATEMENT MAY BE SUBJECT TO INVALID DIAGNOSTICS.
          THE PROBLEM IS CAUSED BY INCORRECT USE OF THE TRUEFALSE 
          FLAG.  ROUTINES USING THE TRUEFALSE ASSUME THAT ITS VALUE IS
          1 UPON ENTRY.  THE WRITE ADVANCING IDENT ROUTINE WAS LEAVING
          TRUEFALSE FLAG 0 AND CAUSING THE SPURIOUS DIAGNOSTIC 7138 
          IN THE FOLLOWING IF A NUMERIC STATEMENT.
          THE FIX WILL BE TO CORRECT THE WRITE STATEMENT BUT IN ADDITION
          REMOVE THE REMAINING DEPENDENCIES UPON THE INITIAL VALUE IN 
          TRUEFALSE FLAG.  THIS SHOULD REMOVE ANY FUTURE PROBLEMS.
          TMH    03/31/78    SET1,SET2,SET3,SET4,SET7 
 CL5A633
          LINE NUMBERING ERROR IN COPY STATEMENT
          MJH    04/05/78    SETCOPY
 CL5A674
          DIAGNOSE FIFO KEYS WITHIN OCCURS IF ORG = NEW 
          ALSO RESET KEYS TO ASCENDING
          DFN    03/24/78    DIAGTEXT,DFTABLE,DIAGTBL,CRFIT 
CL5A676   MAKE PIC AB9 LEGAL
          TMH    04/11/78    PA 
CL5A682   THE PRESENT INSTALLATION PROCEDURE FAILS BECAUSE CBLIST 
          ASSUMES THE COBOL DEFAULT PRINT DENSITY IS THE SAME AS THE
          SYSTEM DEFAULT PRINT DENSITY.  THIS IS NOT NECESSARILY TRUE.
          ALSO, THE COMPILER IS NOT USING THE SYSTEM DEFAULTS WHEN
          IT SHOULD BE.  ALSO, THE PS=N PARAMETER DOES NOT WORK PRO-
          PERLY BECAUSE N IS NOT CONVERTED PROPERLY BY CCKRACK. 
  
          THE INSTALLATION PROCEDURE IS BEING CHANGED.
          IPTEXT WILL BE USED TO CALCULATE THE PRINT DENSITY. 
          CB5$PDENS AND CB5$LINP WILL BE USED TO OVERRIDE THE IPTEXT
          VALUES.  PS=N WILL BE FIXED.  THIS PROCEDURE CONFORMS TO DAP
          SVL1295 FOR THE CONTROL CARD. 
          TMH    04/20/78    CBLIST,CCKRACK,TERMPROG,CB5TEXT,ASSEMOP
                             SFETS
 CL50333
          MOVCHAR SUBROUTINE OF GMOVSUB WHICH GENERATES CMU CODE TO MOVE
          CHARS FAILED TO CHECK FOR MAX ALLOWABLE CHARS TO MOVE IN A IM 
          INSTRUCTION.  THE FOLLOWING CODE CHECKS FOR THIS AND GENERATES
          THE APPROPRIATE IM AND DM INSTRUCTIONS. 
          SRN = 780328
          DEW        4/18/78        GMOVSUB 
 CL50335  1. SIZE 10, UNSIGNED, DISPLAY EXPRESSION MOVED TO NUMERIC 
             EDITED FIELD.
          2. LITERAL MOVED TO SUBSCRIPTED AN EDITED FIELD.
          LVW    4/13/78     GMOVLIT,GMOVRN 
 CL50337
          MOVE OF ECS TO CM OF MORE THAN 100 WORDS FAILS WHEN CBEC2AN 
          MODES OUT BECAUSE IT FAILS TO CONVERT A TRAILING CHAR COUNT TO
          A WORD COUNT.  THIS CODE DOES THIS CONVERSION.
          SRN = 0007
          DEW        4/19/78        CBEC2AN 
 CL50312
          THE PROC PROCVALUE IN PROCTAB WHICH PROCESSES VALUE CLAUSES 
          FAILED TO DIAGNOS A NUMERIC VALUE ASSIGNED TO AN ALPHANUMERIC 
          ITEM.  THE LOCATION FOR THE DIAG WAS FLAGED WITH A COMMENT BUT
          THE DIAG ITSELF WAS LEFT OUT.  THIS CODE ADDS THIS DIAG (8039)
          SRN = 71117 
          DEW       03/01/78       PROCTAB,DIAGTXT,DFTABLE,DIAGTBL
CL5A675   DISPLAY NUMERIC ITEMS WITHOUT EDITING 
          ADD NOEDIT AND 77LEFT OPTIONS TO THE ANSI CONTROL CARD PARAM
          CHANGE CCTDUMP IN DUMPS 
          CHANGE INITCCT SO NEW PARAMETERS WILL WORK IN SUBCOMPILES 
          TMH    04/06/78    SET5,CCKRACK,CCT,DA2,DUMPS,INITCCT 
 CL50342  MODE 4 ERROR IN COMPUTE WHEN COMPOSITE POINT EXCEEDS 18 
          LVW    04/18/78    GARITH 
 CL5A614  ALTER OF GO TO IN INDEPENDENT SEGMENT IS NOT DEBUGGED ON
          CORRECTLY SINCE ALTERED PARAGRAPH IS NEVER ENTERED. REDESIGN
          ALTER IN SEGMENTED PROGRAMS TO CHANGE THE GO TO INSTEAD OF
          THE PARAGRAPH ENTRY.
          LVW    4/24/78     PROCTAB,AUXT,AUXT1,GBRANCH,FUNCTIONS,
                             VALFUNC,STOFUNC,CBSEG,AUXTVALS,COBCG,FIXED 
 CL5A628
          REMOVE THE REPORT SECTION FROM THE DATA MAP.  FIX PROCTAB SO
          SUBMSEC FOR AN FD IS SET PROPERLY.  IT WAS PREVIOUSLY UNSET.
          SRN = 
          DEW       5/2/78       PROCTAB,DATAMAP
 CL5A666  WHEN COMMENT FIRST CARD IN PROGRAM DIAG EMPTY INPUT APPEARS 
          MJH    05/12/78          READIT 
 CL5A667
          PROVIDE ERROR DIAGNOSTIC WHEN RETURN GIVEN AFTER AT END 
          DFN    03/10/78    CBSORT,CB5TEXT 
 CL5A683
          PREVENT ASSEMBLY ERRORS IN CDCS TURNED OFF
          DFN    05/08/78    DBKEYDNAT,DBSLNXKI,DBSLNXRKY 
 CL5A685
          CBAN2EC LACKED CODE TO MOVE BLOCKS OF MORE THAN 100 WORDS FROM
          CM TO ECS.  ENCLOSED CODE COMPLETES THIS ROUTINE. 
          SRN = DEWCOB2 
          DEW       5/12/78     CBAN2EC 
 CL5A687  BAD CODE GENERATED WHEN FIRST INSTRUCTION IN OTEXT
          SEQUENCE IS A MACRO 
          LVW    5/16/78     READSEQ
 CL5A688
          COMPARISON OF AN FIELDS WITH ONE ONE CHARACTER SHORTER THAN 
          THE OTHER AND THE SHORT ONE ENDS ON A WORD BOUNDARY FAILS 
          DFN    5/22/78     CBBCDCM
 CL50242
          CODE CHANGES HOW STOP "LITERALS" ARE PROCESSED ON NOS, AND
          REARRANGES PROCESSING ON NOS/BE, BY REMOVING THE CODE FROM
          CBINIT AND PLACING IT IN CBSTOPL, WHICH IS CALLED FROM IN 
          LINE CODE NOW GENERATED BY GBRANCH.  STOP RUN IS STILL
          PROCESSED IN CBINIT VIA A RJ C.STOPR GENERATED BY GBRANCH.  TO
          PRESERVE OLD BINARIES CBSTOP WAS PLACED IN A DECK BY THE SAME 
          NAME WHICH CALLS C.CLOSF AND C.STOPR FOR STOP RUNS AND
          PROCESSES STOP "LITERALS" AS CBINIT USE TO.  CODE IN CBINIT 
          TO CLOSE THE REMAINING OPEN COBOL FILES WAS MOVED TO A DECK 
          CALLED C.CLOSF WHICH IS CALLED VIA A RJ GENERATED BY GBRANCH
          JUST PRIOR TO THE RJ C.STOPR.  A CHANGE TO CBACCMN TO CORRECT 
          A LINE FEED BUG WAS ALSO ADDED.  RPV PROCESSING CHANGED ALSO. 
          SRN = RIV08 
          DEW     3/17/78     CGENTXT,OBJDEFS,TABLES,GBRANCH,SET6 
                              CBACCMN,CBCALL,CBCLOSF,CBINIT,CBSQWR
                              CBSTOP,CBSTOPL
 CL50307  IMPROVE EXECUTION SPEED FOR SUBSCRIPTED MOVES ON CMU
          LVW    2/13/78     CBCMUMV
 CL50324
          ACCEPT FROM INPUT WHEN INTERACTIVE ON NOS FAILS WITH CRM ERROR
          070.  THE FOLLOWING CODE CORRECTS THIS BY CHECKING THE FIT
          POINTED TO BY THE FILENAME IN LOF$RM TO BE SURE IT IS A COBOL5
          CREATED FIT IF NOT WE CONTINUE SEARCHING LOF$RM FOR THIS
          FILENAME POINTING TO A COBOL5 CREATED FIT OR WE MAKE ONE. 
          SRN = 780313F 
          DEW           CBACDSC           5/9/78
 CL50344
          EXTRANEOUS COLONS IN COBOL5 DAYFILE MESSAGES.  CORRECTED BY 
          RE-ARRANGING ITEMS FOR DAYFILE MESSAGES SO SYMPL B FUNCTIONS
          MAY BE USED TO CORRECTLY ALLIGN THE ZERO-BYTE TERMINATION CHRS
          SRN = 491 
          DEW       5/5/78       COBOL5,TERMPROG
 CL50346  1. ROUNDING SIZE 10 UNSIGNED RESULT FAILS.
          2. INCORRECT RESULTS FROM MULTIPLY WHERE PRODUCT EXCEEDS 14 
            DIGITS AND RECEIVING FIELD IS 14 OR FEWER DIGITS
           LVW   5/11/78     GMOVER,GARITH
 CL50354
          PROVENT LOOP IN CGEN OR VARIOUS ABORTS WHEN INDEX DATA-ITEM 
          IS DISPLAYED. 
          DFN    05/16/78    GSET 
 CL5A631
          COPY REPLACING NOT PRINTING RIGHT WHEN LINE OVERFLOWS 
          MJH    05/31/78          TKNCLAS
 CL5A677
          FIX LINAGE TO NOT USE CARRIAGE CONTROL IF LINES AT TOP OR 
          LINES AT BOTTOM ARE SPECIFIED.
          THIS IS FOR NAVY AUDIT TEST SQ213.
          DFN    05/11/78    FITDEFS,IOMICROS,CRFIT,CBLINAG 
 CL5A686
          COMPARISON OF NUMERIC ITEM VS SPACES FAILS ON CMU MACHINE 
          ALSO, EXTRA UNNEEDED COMPARISONS ARE GENERATED IN MANY CASES
          AND COMPARE COLLATED IS USED WHEN COMPARE UNCOLLATED SHOULD 
          BE USED 
          DFN    05/23/78    GCONDIT
 CL5A690
          PREVENT ERROR MODE 1 WHEN IF D-N = ALL LITERAL AND D-N IS 
          LOCATED ABOVE 30000B AT EXECUTION 
          ERROR MODE IS IN CBBCDCM
          DFN    05/23/78    CBLITCM
 CL5A691
          PREVENT SPURIOUS ERRORS IF FILE OPENED BY ACCEPT OR DISPLAY 
          IS OPENED IN PROGRAM WITH DIFFERENT PROCESSING DIRECTION
          DFN    05/31/78    CBCOMIO,CB5TEXT
 CL50148B PROBLEM. WHEN COMPUTING THE SIZE OF BLOCK USED FOR
          PERFORM STACK *COMM* USED THE BLOCK INCREMENT INSTEAD OF
          (OLD SIZE + INCREMENT). 
          SM     5/29/78     COMM 
 CL50339
          N-DIAG 7029 ADDED TO CATCH EXIT PROGRAM STATEMENTS WHICH ARE
          NOT THE ONLY STATEMENT IN A PARAGRAPH.
          SRN = 887 
          WRH      6/19/78   SET4,PTABLES,DFTABLE,DIAGTBL 
 CL50345
          GANMOVE FAILS TO RESET A CGEN REGISTER, WHEN GENERATING A MOVE
          OF DP SOURCE TO EP RECIEVER, WHEN A CALL TO GENERATE THE FIRST
          TRAILING SPACE CHARS IS MADE BY AN2AN980.  PROGRAM SYMPTOMS 
          ARE FAILURE TO COMPLETELY SPACE FILL RECIEVER.
          SRN = ISC526
          DEW    6/22/78     GANMOVE
 CL50351  MINUS ZERO DOES NOT PASS TEST FOR ZERO
          LVW    5/9/78      GMOVLOD,GBRANCH,CBND2RN,CBN22RN
 CL50358
          PREVENT COMPILER ABORTS IN VERY LARGE PROGRAMS - ONES WITH
          MORE THAN 2048 DATA DIVISION ITEMS
          THIS WAS DUE TO TTABSHOFFSET FIELD IN VIRTUAL TABLES BEING
          TOO SMALL - CAUSED TABLE TO BE CLOBBERED IF SPLIT 
          DFN    05/22/78    TABLEDF,VIRTUAL
 CL50374
          COBOL5 FAILED TO CHECK FOR A CONNECTED FILE WHILE CLOSING A 
          FILE WHICH WAS OPENED FOR OUTPUT THUS IT ATTEMPTED TO WRITE AN
          EOF CAUSING A MODE OUT IN CRM.  FIX TEST FOR CONNECTED FILE 
          AND JUMPS OVER THE ATTEMPT AT ISSUING AN EOF IF SO. 
          SRN = SWB001
          DEW    6/8/78      CBSQOC 
 CL50375
          FIX FILE-SET-ID TO PROPERLY SET THE LABEL FIELD - RATHER THAN 
          THE MFN BEING IN THAT FIELD FOR MULTI-FILES.
          WILL NOT INSTALL ON PRE-472 SYSTEMS 
          DFN    06/14/78    E$SUBS,CCT,DIAGTXT,WORKTABS,GETIPS,ETABLES,
                             INITCCT,CRFIT
 CL5A614B GENERATE IN OVERLAY FAILS SINCE NO ENTRY INDEX ASSIGNED FOR 
          REPORT PROCEDURES 
          LVW    06/16/78    PPBEGIN,PROCTAB,VALFUNC,CCT,DUMPS
 CL5A702
          FIX UNEQUAL LENGTH SUBSCRIPTED ALPHANUMERIC COMPARISONS.
          EITHER ONE OR BOTH CAN BE SUBSCRIPTED- NON-CMU ONLY.
          DFN    06/27/78    CBBCDCM
 CL5A710
          DIAGNOSE AUTOMATIC SWITCH OF RECORDING MODE FROM DECIMAL TO 
          BINARY IF RECORD TYPE IS W OR BT=I
          DFN    07/12/78    CRFIT,DIAGTBL,DFTABLE,DIAGTXT
 CL50193A 
          SET RECORD LENGTH TO MAXIMUM FOR D AND T TYPE RECORDS.
          IT WAS BEING SET TO MAX + 1 IN SOME CASES FOR THESE 
          RECORD TYPES. 
          DFN    06/28/78     VALFUNC 
 CL50243
          ADD CODE TO CBDSPLY TO PLACE THE CORRECT LINE TERMINATOR FOR
          LINES BEING DISPLAYED WITH NO ADVANCING ON NOS CONNECTED FILES
          SRN = RIV07 
          DEW    5/26/78           CBDSPLY
 CL50310  63-CHARACTER SET CAUSES INCORRECT OVERLAY CARD GENERATION.
          SM       4/20/78   ASM2 
  
 CL50346A 
          PREVENT MODE ERRORS IN COMPILATION CAUSED BY MISSING CODE IN
          CL50346A. 
          DFN    07/27/78    GMOVER 
 CL50379   MOVE IDENTIFIER TO SUBSCRIPTED ALPHANUMERIC-EDITED ITEM
          LVW    6/27/78     GMOVAN,GMOVLIT 
 CL5A703
          "COPY" FOLLOWING WORD "PICTURE" NOT RECOGNIZED
          MJH    07/13/78    TKNCLAS
 CL5A700
          PREVENT LOOPS IN COMPILATION OR VARIOUS ABORTS IF PSQ 
          SPECIFIED AND NO LINE NUMBERS ARE GOOD. 
          DFN    07/31/78    READIT,DIAGTXT 
 CL5A724
          ALIGN 01 ITEMS ON WORD BOUNDARIES IN THE COMMON-STORAGE SEC 
          DFN    08/09/78    DA 
 CL5A725
          PREVENT VARIOUS ERRORS ON COMPILATIONS WITH A LARGE FDL FILE
          - ERROR USUALLY IS IN FIRST COMPILATION AND IS MOST OFTEN AN
          ERROR MODE 0
          ALSO PREVENT VARIOUS MODE ERRORS ON STACKED COMPILES WITH FDL 
          ALSO SET UP FILE NAMES CORRECTLY IN RA+2 UP SO BUFFERS WILL 
          BE FLUSHED ON NOS AND LARGE STACKED COMPILES WILL NOT ABORT 
          DFN    08/02/78    COBIO,TERMPROG,DATAMAP 
 CL50391  APPLIES CL50121 FIX FOR CBEDIT TO CORRECT THE SAME ERROR IN 
          CBEDITA WHEN THE LBZ OPTION IS SELECTED.  I.E. MOVING ALL ZEROES
          TO  A -BLANK WHEN ZERO- RECEIVING FIELD MAY DESTROY CHARACTER 
          POSITIONS TO THE LEFT OF THE RECEIVING FIELD. 
          SRN= ETR029 
          WRH    8/2/78   CBEDITA 
 CL5A726
          PREVENT COMPILER ABORTS ON GARBAGE PROGRAMS 
          DFN    08/15/78    INTERPRE,DIAGTXT 
CL5A730   GENERATE GTEXT IN SPITE OF FATAL ERROR 7632 
          THIS MAKES IT POSSIBLE TO PERFORM OUTSIDE A SORT PROCEDURE
          IF YOU COMPILE YOUR PROGRAM WITH DB=B 
          TMH    08/17/78    PQ 
CL5A731   DIAGNOSE CALL IDENTIFIER WITHOUT FDL FILE 
          ALSO MAKE DIAGNOSTIC FOR USING IN PD HEADER IN MAIN PROGRAM 
          NOT A FATAL ERROR (NO ABORT GTEXT)
          ALSO DO NOT ABORT AT EXECUTION WITH REFERENCE TO LINKAGE SEC
          ITEM NOT IN USING LIST  - INSTEAD CAUSE EM 1 FOR SUCH REFS
          TMH    08/23/78    SET8,DIAGTXT 
          DFN    08/25/78    SET9,CBADSUB 
 CL5A736
          PUT OUT LDSET TABLE FOR SUBPROGRAMS - WAS NOT DOING THIS
          WILL NOT OUTPUT OMIT TABLE, HOWEVER.
          DFN    08/22/78    ASM2 
 CL5A738
          SET STATUS TO 00 ON START - WAS BEING SET TO 02 
          DFN    08/22/78    CBISRD 
 CL50381  CORRECTS ERRONEOUS CODE GENERATED FOR "IF POSITIVE" AND 
          "IF NEGATIVE" TESTS ON DISPLAY ITEMS, WITH TRAILING OVERPUNCH 
          SIGN, WHEN THE ITEM WAS NOT CONTAINED IN A SINGLE WORD. 
          THE PROBLEM WOULD MANIFEST ITSELF ONLY IF THE LOW ORDER 
          DIGIT WAS A ZERO AT THE TIME OF THE TEST. 
          SRN = LASL353 
         WRH    8010/78     GCONDIT 
 CL5A735  STRING, UNSTRING, INSPECT FAIL WITH VARIABLE LENGTH GROUPS
          LVW    8/23/78     GSTRING
          TMH    8/25/78     SET6 
 CL5A740
          FIX REFERENCES TO FITS BEING TWO WORDS OFF IF SPARSE KEYS 
          SPECIFIED - CAUSED VARIOUS CRM ABORTS.
          DFN    09/01/78    CRFIT
 CL5A743
          FIX MULTI FILE REELS - PREVENT CRM ERROR 325
          DFN    09/07/78    CBSQOC 
 CL50340  THE CODE GENERATED FOR A SEARCH X STATEMENT WHERE X IS AN 
          INDEXED ARRAY WAS NOT GENERATING THE INSTRUCTION WHICH SETS AN
          X REGISTER TO THE MAXIMUM NUMBER OF OCCURRENCES CORRECTLY WHEN
          THAT NUMBER EXCEEDED 32767.  IT NOW WORKS UP TO 262143. 
          ACV    09/13/78    LAT,LAT1,SNAKE1
          SRN=RUG889
CL50389 
          OVERLAPPED LINAGE CLAUSE AND CODE-SET CLAUSE POINTER
          FIELDS IN THE FNAT WERE SEPARATED SO THAT THE OCCURRENCE
          OF ONE OF THE CLAUSES WOULD NOT BE ALSO INTERPRETED AS AN 
          OCCURRENCE OF THE OTHER.
          SNR = 535 
          WRH    8/24/78     FNAT,FNAT1,PPCOMMON3,SNAKE3
 CL5A531B MAKE ILLEGAL PERFORM EXIT NON FATAL 
          LVW    9/1/78      CBPERF 
 CL5A652
          SUBSEQUENT LINES IN PSEUDO-TEXT REPLACE SHOULD ADHERE TO COLS 
          REPLACE OF ==PICTURE IS X== NOT WORKING 
          MJH    09/21/78          SETPAIR,TKNCLAS
 CL5A659
          A COPY STMT AT END OF PROG (EXCEPT FOR COMMENTS) CAUSES MD 1
          MJH    09/28/78          TKNCLAS,GETSTR 
CL5A719 
          CORRECTS SOURCE LISTING ERRORS WHEN PW PARAMETER IS SPECIFIED ON
          COMPILER CALL, I.E. CONTINUATION OF LINES LONGER THAN SPECIFIED 
          RESULTED IN A LOST CHARACTER AND EXTRANEOUS CHARACTERS APPEARING
          IN THE CONTINUATION LINE.  THE SHORT TITLE FUNCTION WAS DELETED 
          FROM CBLIST AND A DEFAULT, TRIGGERED ON PW, WAS SUBSTITUED. 
          CODE WAS ADDED TO MAKE NOS TERMINAL OUTPUT REASONABLY IDENTICAL 
          TO NOS/B'S TERMINAL OUTPUT, I.E. CARRIAGE CONTROL SIMULATED FOR 
          NOS TERMINAL OUTPUT.
          WRH    9/25/78     CBLIST 
 CL5A728
          IF D IS SPECIFIED IN CTL CARD, DEFAULT SUBSCHEMA LIBRARY
          SHOULD BE SUBSCHEMA NAME
          DFN    09/18/78    CCKRACK
 CL5A734  MOVE ALL LITERAL TO NUMERIC 
          LVW    8/29/78     LP,GMOVLIT,CGSETRG 
CL5A744 
          COBOL5 FAILS TO PASS THE CCVS FIPS DIAGNOSTIC TESTS 
          THIS CODE ATTEMPTS TO MAKE ALL OF THE TESTS PASS
          TMH    10/09/78    PPCOMMON2,WORKTABS,TKNCLAS,PTABLES,DIAGTXT 
                             DRIVER,PPBEGIN,SET2,SET6,SETLIB,SETCOPY
                             SET10,SET1,CHAR$,READIT,ETABLES,E$SUBS 
                             DTABLES,D$SUBS,SET7
 CL5A755
          PREVENT TRIPLE SPACES FOR WRITE ADVANCING IF *NOTRIP IS 
          SPECIFIED IN LGO CARD 
          SRN = FRN 
          DFN    09/22/78    CBINIT,CBADVAN 
 CL5A756
          PREVENT ERROR MODES OR BAD PROCESSING DIRECTION DIAG IF 
          OPENING A FILE PREVIOUSLY DISPLAYED UPON AND IS CONNECTED 
          DFN    09/13/78    CBCOMIO
 CL5A757
          GETSTR FAILED TO RETURN THE LENGTH AND CHARACTERS OF A PSEUDO-
          TEXT DELIMITER.  FOLLOWING CODE FIXES THIS. 
          SRN = DEW 
          DEW    9/13/78           GETSTR 
 CL5A760
          IF EOF DETECTED ON CONNECTED FILE, RETURN BLANKS ON ACCEPT. 
          DFN    09/29/78    CBACCMN
 CL5A762
          DIAGNOSE EMPTY FDL FILE 
          ALSO ALLOW AN = WITH NO SPACES BETWEEN PROG EQUIVALENCE 
          ALSO DELETE PROCESSING FOR ON LIBRARY 
          DFN    10/02/78    DIAGTXT,COBOL5,INITFDLT
 CL5A763
          UNSATISFIED EXTERNAL FOR CALL LITERAL WITH LONG FDL FILE
          LVW    9/5/78      VALFUNC
 CL5A764
          FIX GENERATION OF BAD CODE ON REWRITE OPERATIONS FOR RELATIVE 
          FILES WITH NO KEY SPECIFIED.
          DFN    10/02/78    GIO
 CL5A768
          GETSTR FAILED TO SET TOKEN VALUES CORRECTLY WHEN A LITERAL
          WITHOUT A CLOSING QUOTE IS THE LAST TOKEN OF THE SOURCE 
          PROGRAM, CAUSING MODE ERROR.  FOLLOWING FIXES THIS. 
          SRN = DFN 
          DEW    10/5/78     GETSTR 
 CL5A769  FIX MOVE OF COMP2 WITH VALUE EXCEEDING 2**48 - 1 TO 
          DISPLAY ITEM LARGER THAN 14 CHARACTERS
          LVW    10/9/78     GMOVC2 
 CL5A770  COMPUTE INTEGER ** INTEGER GIVES ZERO RESULT WHEN ACTUAL
          RESULT EXCEEDS 14 DIGITS
          LVW    10/6/78     GARITH 
 CL5A772
          PREVENT DOUBLE COMPARES ON CMU MACHINE FOR SUBSCRIPTED FIELDS 
          VS SPACES 
          ALSO CHANGE CB5TEXT TO SELECT 6400 CPU IF CMU ON
          DFN    10/06/78    GCONDIT,CB5TEXT
 CL5A773  SPEED UP PERFORM TIMES
          LVW    10/10/78    GBRANCH
          TMH    10/10/78    SET10
 CL50318
          UNREFERENCED DATA  NAMES WITH LEVEL NUMBER OF 5 WERE NOT
          INCLUDED IN THE CROSS REREFENCE LIST
          SRN=CSFC-780228 
          DFN    09/15/78    XF 
CL50375A  FIXES THREE PROBLEMS ASSOCIATED WITH THE MULTIPLE FILE TAPE 
          USE OF PSEUDO-FILE-NAMES MIGHT CAUSE SUBSEQUENT FILE-NAMES
          TO BE IGNORED 
          CONTAINS CLAUSE 
          CL50375 MAY CAUSE DIAGNOSTIC 3324 BY MISTAKE
          THE PSEUDO-FILE-NAME POSITION WAS BEING IGNORED 
          TMH    09/29/78  ETABLES,E$SUBS 
 CL50405
          MOVE OF AN ITEM TO LARGER AN ITEM WHERE SENDER ENDS IN THIRD
          WORD OF RECEIVER AND SENDING BCP IS GREATER THAN RECEIVING BCP
          AND RECEIVER IS MORE THAN 10 CHARACTERS LARGER THAN SENDER
          FAILS 
          SRN=BCS00547
          DFN    09/18/78    GANMOVE
 CL50409
          DO NOT RETURN ZZZZZ FILES EXCEPT FOR ZZZZZ4 FILES 
          SRN = MMU-504 
          DFN    10/03/78    COBIO
 CL50410
          FIX COPY ON 63 CHARACTER SET SYSTEMS - WILL ABORT WITH BAD
          LIBRARY OR CANT FIND DECK 
          SRN = ARIZ-2969 
          DFN    09/25/78    READIT,SETLIB
 CL5A697
          COBOL5 EXPECTED THE SYSTEM DATE AS MM/DD/YY.  THUS GARBAGE WAS
          PRINTED FOR DATE COMPILED OR A MODE OUT OCCURED.  FIX ADDS TO 
          COBTIME CODE WHICH KEYS OFF IP.YMD AT ASSEMBLY TIME SO THE
          SYSTEM DATE RETURNED IS REFORMATED AS MM/DD/YY FOR USE BY THE 
          COMPILER, NO MATTER WHAT FORMAT THE SYSTEM RETURNS THE DATE.
          SRN = STO316
          DEW     6/28/78        COBTIME
 CL5A697A 
          CORRECT A CON USING COLONS TO A VFD USING 0 FOR 63 CHAR SETS. 
          DEW    10/13/78    COBTIME
 CL5A701
          PREVENT UNSATISFIED EXTERNAL ON NON CDCS COMPILER 
          DFN    06/26/78    DBKEYFNAT
CL5A729 
          CHANGES THE SEVERITY LEVEL OF AN UNDEFINED DATA NAME REFERENCE
          IN THE DATA RECORDS CLAUSE FROM FATAL TO WARNING. 
          SIDE EFFECT:  
              NO DIAGNOSTIC FOR AN IMPROPER DATA RECORDS CLAUSE IS GIVEN. 
          WRH    9/28/78     DTABLES,DIAGTXT
 CL5A759
          PREVENT ERROR MODES, BUFFER ARGUMENT ERRORS, ETC WHEN SY
          SPECIFIED - ERRORS WILL HAPPEN IN 30,0 OVERLAY
          DFN    10/11/78    COBPT,DIAGSCN
 CL5A775
          DIAGNOS LITERAL-2 GR LITERAL-1 IN RECORD CLAUSE.
          SRN = DEW1250W
          DEW    10/12/78    D$SUBS 
 CL5A780
          INITIALIZE CCTPDLITADDR IN SSCANNER WHEN THE DATA DIVISION IS 
          TERMINATED BY END OF DATA.  PREVIOUSLY IT WAS ONLY SET DURING 
          INITIALIZATION FOR SCANNING THE PROCEDURE DIVISION.  BY NOT 
          HAVING IT SET PROPERLY AFTER THE DATA DIVISION SCANNING CAUSES
          PICANALYZER TO FAIL TO BUILD THE PAT WHICH CAUSES PROCTAB TO
          ISSUE DIAGNOSTIC 8045 ERRONEOUSLY.
          SRN = DEW780
          DEW    10/18/78    INTERPRE 
 CL50403
          PREVENT BUFFER ARGUMENT ERRORS IN CROSS REFERENCE 
          ALSO PREVENTS LOST REFERENCES IN CROSS REFERENCE
          ALSO CORRECT XF DEBUGGING 
          DFN    09/13/78    XF 
CL50417   SIGN CONDITION FAILS FOR SUBSCRIPTED ITEM LONGER THAN 
          TEN CHARACTERS
          LVW    10/16/78    GCONDIT
 CL50418  LOAD OR STORE OF VARIABLY SUBSCRIPTED SIZE 10 LINKAGE SECTION 
          ITEM ALIGNED ON A WORD BOUNDARY CAUSES PP CALL ERROR
          LVW    10/19/78    INSTGEN
 CL50422
          PREVENT BUFFER ARGUMENT ERROR IN SOME RESTRICTED FIELD LENGTH 
          COMPILATIONS
          DFN    10/13/78    VIRTUAL
 CL5A561
          THIS CODE DELAYS THE PRINTING OF PRINT LINES UNTIL A PROGRAM
          NAME HAS BEEN PLACED IN THE COBOL5 PAGE HEADINGS.  NEWLINE
          DOES THIS CHECK.  THE INITIAL SOURCE LISTING PAGE EJECT WAS 
          SURROUNDED BY DEBUG CODE IN COBOLSS AND ADDED TO INTERPRE WITH
          DEBUG CODE TO JUMP AROUND IT, SO PAGE HEADINGS WILL NOT BE
          PRINTED UNTIL A PROGRAM NAME HAS BEEN PLACED IN THE PAGE
          HEADINGS ON A USER (NON-DEBUG) COMPILER.  PROCESSING IS 
          UNCHANGED BECAUSE OF THIS DEBUG CODE ON THE DEBUG COMPILER. 
          CBLIST PAGE EJECT WAS MODIFIED SO PAGE FOOTINGS CANNOT BE 
          PRINTED BEFORE PAGE 1 OF THE COBOL5 SOURCE LISTING. 
          DEW       9/11/78        CBLIST COBOLSS,INTERPRE,NEWLINE
 CL5A767
          CHANGE C.EDIT, C.EDITA CALLING SEQUENCES TO CORRECTLY 
          EDIT A SIGNED ITEM WHICH WAS STORED JUST PRIOR TO EDITING.
          EXAMPLE - 
                 COMPUTE A = B + C
                 MOVE A TO EDITED 
          LVW    9/29/78     GMOVND,GMOVRA,GMOVLIT,GMOVAN,GMOVRN, 
                             OBJDEFS, C.EDIT,C.EDITA,GBRANCH
 CL5A771
          CLEAR LABEL PROCESSING IF OPEN FOR NO REWIND GIVEN
          CAUSED CRM ERROR 312
          ALSO SUPPRESS READ AHEAD ON OPEN REVERSE
          DFN    10/09/78    CBSQOC 
 CL5A779
          FIXES -STOP LITERAL- SO IT DISPLAYS ALL LEGAL DISPLAY CODE
          CHARACTERS AT THE TERMINAL. 
          SRN = 74135 
          DEW    10/22/78    CBSTOPL
 CL5A767A ABSOLUTE VALUE MOVED TO EDITED FIELD
          LVW    10/27/78    GMOVRN,GMOVND,OBJDEFS,GMOVLIT
 CL5A774
          DIAGNOSE DECK MISSING ON LIBRARY CORRECTLY
          DFN    10/30/78    SETLIB 
 CL5A777
          PREVENT ERROR MODES IF I-O ERRORS ON TERMINATION DUMP FILE
          ZZZZZ4P 
          DFN    11/01/78    CBTDUMP
 CL5A784
          DIAG 4114 WORDED INCORRECTLY.  REWORD DIAGNOSTIC. 
          SRN = 102478
          DEW    10/24/78    DIAGTXT,DFTABLE,DIAGTBL
 CL5A785
          SSCANNER MODES OUT WHEN END DECLARATIVES IS MISSING FROM THE
          DECLARATIVES SECTION WITH USE FOR DEBUGGING AND NOT DEBUG MODE
          CAUSED BY NOT CHECKING FOR EOD WHEN SKIPPING TO THE NEXT LINE 
          WITH SOMETHING IN THE A AREA.  FIXED BY CHECKING FOR EOD. 
          ALSO, FORCE DIAG 7858 TO BE ISSUED BY PPEND WHEN END
          DECLARATIVES MISSING. 
          SRN = TMH012
          DEW    10/30/78    INTERPRE,PPEND,SKIPCLA 
 CL5A786  CHANGE COMPILER TO PROCESS MORE THAN ONE RECORD IN AREA 
          ON SUBSCHEMA
          LVW    10/24/78    DBSLNXREC,DBTRANS
 CL5A787
          PREVENT VARIOUS ERRORS SUCH AS USER OWNCODE RL NOT POSITIVE 
          IF AN ACCEPT IS DONE BEFORE A SORT WHICH USES INPUT AS A
          USING FILE
          DFN    11/02/78    CBSQRD,CBSQWR
 CL5A788  FIX LOADS AND STORES OF MULTIPLY SUBSCRIPTED COMP-1 AND 
          COMP-2 ITEMS
          LVW    11/6/78     GMOVSUB
 CL5A789
          MODE OUT OR LOOP WHEN LAST LINE OF SOURCE IS A CONTINUATION 
          LINE.  WHEN THIS HAPPENS THE LAST LINE MAY BE PRINTED AS THE
          LAST TOKEN IS RETRIEVED.  THUS SOME TOKEN PTRS ARE INCORRECT. 
          FOLLOWING CODE FIXES THESE POINTERS.
          SRN = 110378
          DEW    11/03/78    GETSTR 
 CL50242A 
          FIX POTENTIAL MODE OUT WITH STOP LITERAL BY CORRECTING A
          PARAMETER FOR CALL TO CBACCMN FROM CBSTOPL. 
          DEW    11/7/78     CBSTOPL
 CL50375B 
          SET CCTCMU FOR STACKED COMPILES - INCORRECTLY CLEARED IN 375
          DFN    11/16/78    INITCCT
CL50427   INITIALIZE G REPLACING ALPHANUMERIC BY ALL LITERAL FAILS
          FIX IS TO COPY L$ALL BIT INTO SUBSEQUENT LAT ENTRIES
          TMH    11/10/78    SET6 
 CL50430  ALPHANUMERIC MOVE OF MULTIPLE WORD SOURCE 
          TO DESTINATION SPANNING 3 WORDS WHERE BCP SOURCE GREATER
          THAN BCP DESTINATION, SIZE SOURCE LESS THAN SIZE
          DESTINATION AND DESTINATION COMPLETELY FILLS LAST WORD
          LVW    11/8/78     GANMOVE
 CL50431  MOVE ALPHANUMERIC OR UNSIGNED NUMERIC WHICH CROSSES 
           WROD BOUNDARY TO ALPHANMUERIC OR UNSIGNED NUMERIC WHICH ALSO 
          CROSSES WORD BOUNDARY WHERE SOURCE IS LONGER AND BCP SOURCE 
          LESS THAN BCP DESTINATION 
          LVW    11/8/78     GANMOVE
 CL50434  TALLYING AND POINTER PARAMETERS SET INCORRECTLY FOR UNSTRING
          WITH SIZE ONE DELIMITERS WHEN UNSTRING ITEM DID  NOT END WITH 
          DELIMITER (FAST MODE) 
          LVW    10-25-78    CBUNST 
 CL50449
          ARITHMETIC STATEMENT GIVES BAD RESULTS WHEN 
          1. DESTINATION HAS TRAILING INCLUDED SIGN 
          2. POINT LOCATION DESTINATION GREATER THAN POINT LOCATION 
          SOURCE
          3. NUMERIC LENGTH SOURCE + (POINT LOCATION DESTINATION
            - POINTLOCATION SOURCE) GREATER THAN 10 
          4. NUMERIC LENGTH SOURCE LESS THAN 10 
          5. NUMERIC LENGTH DESTINATION  EQUAL 10 
          6. BCP DESTINATION  EQUAL ZERO
          LVW    11/7/78     GMOVSTO
CL50455   DIVIDE A BY B GIVING A (OR B) REMAINDER R 
          THE REMAINDER CALCULATION FAILS BECAUSE THE QUOTIENT IS 
          STORED TOO EARLY.  THE SOLUTION IS TO MOVE ANY OVERLAPPING
          DIVIDEND OR DIVISOR TO A TEMPORARY AND TO USE THE TEMPORARY 
          IN THE DIVIDE OPERATION.  THIS WILL PROTECT THE REMAINDER 
          CALCULATION AND SIZE ERROR WILL CONTINUE TO WORK AS WELL. 
          TMH    11/09/78    PTABLES,SET3,SET1
 CL50456  NUMERIC MOVE WITH SCALING OF PIC S9(6)V999 TO S9(8)V99 FAILS
          WITH THE SCALING INCORRECT
          LVW    11/6/78     GMOVSCA
 CL50457  INCREASE PRECISION OF MULTIPLY
          LVW    11/15/78    GARITH 
 CL50459  DIAGNOSE AND GENERATE CORRECT CODE FOR COMPARISON OF
          UNSIGNED ITEM AND NEGATIVE LITERAL
          LVW    11/16/78    LP,DIAGTXT 
 CL50460
          REMOVE ERRONEOUS PROCESSING OF FILE ORG IN CBADVAN AND
          CORRECT DETECTION OF NON Z TYPE RECORDS 
          DFN    11/10/78    CBADVAN
 CL50464  MOVE SIGNED SOURCE GREATER THAN 9 DIGITS TO UNSIGNED SIZE 
          10 ITEM WITH SMALLER POINT LOCATION 
          LVW    11/17/78    GMOVSCA
 CL5*79   1979 COPYRIGHT
 CL5A816
          OPEN OUTPUT ON A DA FILE WILL ABORT VARIOUS WAYS IF BLOCK 
          COUNT IS NOT PROVIDED - SOMETIMES 165 ERROR 
          DFN    12/19/78    GIO
 CL5A681
          WRONG DIAG APPEARS WHEN LIBRARY NAME DOES NOT EXIST 
          ERROR MODE 0 OCCURS WHEN ERRORS IN COPY STATEMENT 
          A COPY FOLLOWING A COPY REPLACING IS NOT RECOGNIZED 
          MJH    12/28/78          SETLIB,SETCOPY,TKNCLAS 
 CL5A767B EDITED MOVE WITH LBZ OPTION 
          LVW    12/15/78    CBEDITA
 CL5A795  MOVE COMP1 TO DISPLAY, SIZE COMP1 = 10, POINT LOCATION
          DESTINATION GREATER THAN POINT LOCATION SOURCE
          LVW    11/14/78    GMOVR1 
 CL5A797  STORE NUMERIC RESULT OR  ITEM WITH SIZE 10 OR LESS INTO SIZE
          10 DESTINATION WITH TRAILING INCLUDED SIGN AND ZERO BCP AND 
          SMALLER POINT LOCATION
          LVW    11/16/78    GMOVSTO
CL5A799   MISCELLANEOUS FIPS PROBLEMS 
          1) ACCEPT MESSAGE COUNT MISSING 
          2) WRITE END-OF-PAGE FAILS TO DISAPPEAR 
          3) CALL IDENTIFIER MISSING
          4) CONTINUATION LINES DISAPPEARS TO SOON
          TMH    12/11/78    SET8,PTABLES,DIAGTXT,READIT
 CL5A800  MOVE EP SOURCE TO TP UNJUSTIFIED RECEIVING FIELD OF SMALLER 
          SIZE. BCP SOURCE GREATER THAN BCP RECEIVING 
          LVW    11/28/78    GANMOVE
 CL5A807  DELETE UNUSED RESERVED WORDS
          LVW    12/13/78    CHKRW
 CL5A808  FIX IF NUMERIC TEST FOR AN ITEM CONTAINING SPACES WITH LBZ OPT
          LVW    12/13/78    GCONDIT
 CL5A812
          PREVENT ERROR MODE OR BAD PROCESSING ON VALUE ON INDEX DATA 
          ITEM. 
          DFN    12/27/78    PROCTAB
 CL5A813  CORRECT CODE FOR INSPECT
          LVW    12/21/78    GSTRING
 CL5A815  GIVE SIZE ERROR FOR 0 ** 0
          LVW    12/15/78    CBDTOI,CBDTOR,CBITOD,CBITOR,CBRTOD 
                             CBRTOI,CBRTOR
 CL5A820
          LINE NUMBERS SKIPPED WHEN COPY STATEMENT 1 LINE ONLY
          MJH    12/28/78          SETCOPY
 CL50386
          DIAGNOSE DUPLICATE DATA-NAMES WITHIN THE SAME HIERARCHY AND 
          THE SAME LEVEL NUMBER 
          DFN    10/31/78    DIAGTXT,TBLPROC
 CL50436  DIAGNOSE DUPLICATE FDL ENTRIES AND ALLOW FOR MORE THAN 99 
          OVCAPS TO BE GENERATED
          LVW    10/25/78    INITFDLT,ASM2
 CL50451  FIX STORAGE ALLOCATION FOLLOWING LEVEL 01 ITEM WITH REDEFINES 
          CLAUSE
          LVW    12/6/78     DA4
 CL50465
          ALLOW A MIXTURE OF OLD AND NEW BINARIES (PRE 472 AND POST 472)
          CAUSED VARIOUS ERRORS AT EXECUTION TIME 
          DFN    11/28/78    CBADSUB
 CL50466
          FIX COMPARISON OF SUBSCRIPTED NUMERIC VS ALPHANUMERIC 
          WHERE NUMERIC ON LEFT, AN ON RIGHT - SUBSCRIPT WAS IGNORED
          CAUSED SEARCH TO FAIL IN SUBMITTED CASE 
          DFN    12/11/78    GCONDIT
 CL50467  FIX STORAGE ALLOCATION OF GROUP REDEFINING ANOTHER GROUP
          WHEN THE FIRST SUBORDINATE ITEM IN EACH GROUP IS SYNCHRONIZED 
          RIGHT 
          LVW    11/29/78    DA4
 CL5A819  FIX ASM2-25 ERROR WHEN PERFORMING LAST SECTION OF PROGRAM 
          WHICH IS NOT LAST IN COMPILATION UNIT 
          LVW    12/20/78    INTERPRE 
 CL5A818
          FIX ACCEPT FROM INPUT ON NOS - BE CONSISTENT IN LENGTH OF 
          DATA BEING 72.
          DFN    12/27/78    CBACDSC
 CL5A821  COMPARE NUMERIC DISPLAY TO ALPHANUMERIC 
          LVW    1/9/79      GCONDIT
CL5A822   THE COMPILER GIVES MESSAGE 7289 ON THE PAGE-COUNTER 
          IN THE FOLLOWING SEQUENCE OF STATEMENTS ... 
          IF LINE-COUNTER OF A GREATER LINE-COUNTER OF B
          ADD 1 TO PAGE-COUNTER 
          RFTICS IN SET1 THINKS THE PAGE-COUNTER IS A LINE-COUNTER
          BECAUSE THE PAGE COUNTER SYNTAX COMMAND FAILS TO CLEAR
          THE LINE-COUNTER FLAG.
          TMH    01/08/79    DRIVER 
 CL5A824  CLEAR CDT ON SETTING COLLATING SEQ - PREVENTS EM IN CRM ON
          ORG = OLD FILES.
          DFN    01/04/79    CBIOSET
 CL5A825
          PREVENT VARIOUS ABORTS IN CGEN IF DB=TR SPECIFIED 
          DFN    01/12/79    COBINIT
CL5A831   SUBSCRIPT OPTIMIZATION FAILURES 
          PROBLEM INTRODUCED BY F1250OZ 
          IDENTIFIER-2 PARTICIPATES IN SUBSCRIPT OPTIMIZATION 
          TMH    01/17/79    SET1,PTABLES,DPPPDDATA,PPBEGIN 
CL5A832   INITIALIZE FAILS TO UPDATE CCTMAXMNUM 
          TMH    01/19/79    SET6 
 CL5A837  FIX COMPILER ERROR IN REPORTS WITH PAGE HEADING 
          LVW     1/19/79    HEADING,-SKEL- 
 CL5A838  FIX DELETE FILE 
          DFN    01/19/79    LOTS 
 CL5A842
          FIX ERRORS IN COMPILING CDCS PROGRAMS 
          DFN    01/19/79    DBTEXT,DBTRANS,DBRESOLWA,COBOL5,OVLCOM 
 CL5A843
          COMPARISON OF AN FIELDS WHERE BCP B GR BCP A AND B FITS IN
          ONE WORD FAILS. 
          DFN    01/19/79    CBBCDCM
 CL50497  PREVENT ILLEGAL LFN AND OTHER ERRORS ON RESTRICTED FIELD
          LENGTH COMPILATIONS DUE TO RUNNING OUT OF SCRATCH FILES.
          SRN=TEM025
          DFN    01/06/79    SCFLTAB
 CL50507
          PREVENT LOOP IN CGEN PROCESSING WRITE OR REWRITE VERBS ON A 
          CDCS2 SYSTEM WITH RESTRICTED FIELD LENGTH COMPILATIONS. 
          SRN=TEM026
          DFN    01/12/79    VALFUNC
CL50509 
          SUBSCRIPT OPTIMIZATION FAILURE
          WHEN A SUBSCRIPT IS CALCULATED TWO OR MORE TIMES WITH 
          DIFFERENT OCCURRENCE LENGTHS AND IS SUBSEQUENTLY DESTROYED, 
          THE COMPILER MAY DELETE SOME BUT NOT ALL OF THE CALCULATIONS. 
          SUBSEQUENT REFERENCES TO THE SUBSCRIPT CALCULATIONS WHICH 
          WERE DESTROYED BUT NOT DELETED WILL BE OPTIMIZED WHEN THEY
          SHOULD BE RECALCULATED. 
          THE PROBLEM OCCURS IN CSTSEARCH BECAUSE CSTDELETE RETURNS 
          BAD VALUES IN CSTPREVIOUS AND CSTCURRENT IN SOME CASES. 
          THE SOLUTION IS TO SET CSTPREVIOUS AND CSTCURRENT IN CSTDELETE
          SO THAT THE LOOP IN CSTSEARCH MUST START OVER AGAIN LOOKING 
          FOR THE ORIGINAL SUBSCRIPT WHENEVER CSTDELETE IS CALLED.
          TMH    01/16/79    SET1 
 CL5A802
          PREVENT ERRONEOUS DIAGNOSTIC 4138 FOR ALT KEY STARTING IN 
          BCP 0 AND PRIME KEY IS NOT EMBEDDED KEY.
          ALSO, CMR ERROR 541 RESULTED IF PRIME KEY NUMERIC DISPLAY AND 
          ORG = NEW.
          DFN    01/22/79    DA3,CBSETKY
 CL5A823  MOVE SIZE 10 UNSIGNED ARHTIMETIC RESULT TO SHORTER
          DESTINATION,SHIFTING RIGHT
          LVW    1/25/79     GMOVSCA
 CL5A826
          PREVENT SPURIOUS DIAGNOSTIC WHEN MULTI-FILE-TAPE SPECIFIED
          AND A FILE NAME IN LIST IS NOT DEFINED. 
          DFN    01/29/79    E$SUBS 
 CL5A828  THIS REPOSITIONS THE DEBUGGING GTEXT GENERATION IN THE
          SEQUENTIAL SEARCH TO ALLOW FOR THE NEW SEARCH GTEXT SEQUENCE. 
          WRH    1/22/79     PTABLES,SET9 
 CL5A830  CORRECTS WRONG INDEX REFERENCE IN SEQUENTIAL SEARCH 
          WHEN INDEX OTHER THAN THE FIRST INDEX IS VARIED.
          WRH    1/18/79     SET9 
 CL5A844
          PREVENT ERROR MODES OR OTHER ERRORS IF CROSS REFERENCE
          SELECTED AND NO DATA NAMES DEFINED OR REFERENCED
          DFN    01/22/79    XF 
 CL5A845
          THE COMPILER USES INCORRECT LITERALS
          THE INITIALIZE STATEMENT CREATES COMPILER GENERATED 
          LITERALS IN ORDER TO INITIALIZE TABLES WITHIN A 
          GROUP ITEM.  WHEN NONE OF THE ENTRIES WITHIN THE
          TABLE QUALIFY FOR INITIALIZATION, 
          THE COMPILER GENERATED LITERALS ARE NOT NEEDED
          AND THE INTERNAL TABLE ENTRIES FOR THESE LITERALS 
          ARE RETURNED AND REUSED BY SUBSEQUENT LITERALS. 
          THE TROUBLE OCCURS BECAUSE THE SECOND HAND LAT ENTRIES
          HVE THE L$IMMEDIATE FIELD SET.
          THE SOLUTION IS TO NOT REUSE THE DNAT, LAT, OR PNAT 
          ENTRIES ASSIGNED BY INITIALIZE. 
          TMH    01/22/79    SET6 
CL50355   THE COMPILER DOES NOT DIAGNOSE INVALID
          LOGICAL FILE NAMES AND CARRIAGE CONTROL 
          IMPLEMENTOR-NAMES.
          TMH    01/23/79    SET1,PTABLES,DIAGTXT 
          MJH    01/10/78 
 CL50447
          ISSUE AN EVICT ON AN OUTPUT FILE OPENED FOR REWIND. 
          THIS WILL CAUSE AN OPEN OUTPUT FOLLOWED BY A CLOSE TO 
          RETURN THE FILE.
          DFN    11/06/78    CBSQOC 
 CL50499
          COMPARISON OF EQUAL LENGTH FIELDS WITH EQUAL BCPS WHERE 
          BCP IS NOT 0 AND LENGTH IS 10 FAILS.
          SRN=CMN009
          DFN    01/04/78    CBBCDCM
 CL50510  DO NOT USE CMU COMPARE FOR NUMERIC FIELDS IF LBZ SELECTED 
          LVW    1/29/79     GCONDIT
 CL5A827
          COBOL5 SOMETIMES FAILS TO PASS SORT THE CORRECT RL FOR Z-TYPE 
          RECORDS WHEN ONE OR MORE KEYS CONTAIN BLANKS.  FIX INCLUDES 
          ALTERING CALLING SEQUENCE TO CBSORT SO X2 CONTAINS THE MIN RL,
          WHICH INCLUDES ALL KEYS, OF RECORDS TO BE RELEASED TO SORT. 
          CBSORT IS ALTERED TO USE THIS VALUE AS THE MINIMUM RL OF
          RECORDS RELEASED TO SORT. 
          SRN = MDS14 
          DEW    1/30/79     CBSORT,GSM,OBJDEFS,GBRANCH 
CL5A846   COMPILER DOES NOT RECOGNIZE MESSAGE COUNT CLAUSE WHEN THE 
          OPTIONAL WORD MESSAGE IS OMITTED. 
          TMH    02/01/79    DTABLES,RWINFO 
 CL5A848
          FIX ERRONEOUS ISSUEING OF DIAG 1001 ON ID DIV COMMENTS. 
          SRN = 020278
          DEW    02/06/79    INTERPRE 
CL5A850   IF A = B OR ZERO FAILS WITH DIAG 7488 
          ZSPECIAL DOES NOT RECOGNIZE THIS CASE 
          BOOLEXP RECOGNIZES ZERO AS A BOOLEAN EXPRESSION 
          AND INSISTS IT BE FOLLOWED BY A BOOLEAN RELATIONAL OPERATOR 
          THE PROBLEM WILL BE FIXED IN ZSPECIAL 
          TMH    02/06/79    PTABLES
 CL50521  FIX INSPECT REPLACING WHEN CHARACTERS TO BE REPLACED CROSS
          WORD BOUNDARY 
          LVW    2/1/79      CBINSPF
CL50522   RETURN STATEMENT NESTED IN AN IF STATEMENT CAUSES THE PROGRAM 
          TO BRANCH TO THE BEGINNING OF THE PROGRAM INSTEAD OF TO 
          THE NEXT SENTENCE.  THE RETURN DEFINES A NEW LABEL FOR
          NEXT SENTENCE AND DESTROYS THE LABEL DEFINED BY THE IF. 
          TMH    02/01/79    SET7 
 CL50527  LEFT SHIFT FOR POINT ALIGNMENT ON UNSIGNED SIZE 10 ITEMS FOR
          ADDS AND STORES FAILS.
          LVW    1/2/79      GMOVSCA
 F1250A9C SELECTS ARE NO LONGER REQUIRED FOR CDCS PROGRAMS.  WE MUST
          SIMULATE A SELECT CLAUSE FOR EACH AREA IN THE SUB-SCHEMA WHICH
          DOES NOT HAVE A SELECT CLAUSE FOR IT IN THE FILE-CONTROL
          PARAGRAPH.
CL5A847   COMPILER FAILS TO RECOGNIZE FILLER IN THE SEQUENCE OF 11
          DATA NAMES ALLOWED IN AN INPUT CD DESCRIPTION.
          COMPILER DIAGNOSES ITEMS WITH VALUE CLAUSES IN REDEFINITIONS
          OF CD RECORD DESCRIPTIONS 
          TMH    02/07/79    D$SUBS,DA,DA2,DA3,DA4,DTABLES,DIAGTXT
 CL5A851  FIX TEST FOR ORG IN CL5A802 
          DFN    02/13/79    C$KYDEF
 CL50495
          PREVENT ERROR IN A PARAGRAPH NAME IN AN ENTER STATEMENT IS
          NOT QUALIFIED WITHIN A SECTION. 
          DFN    02/01/79    AWRT,INTERPRE,TBLPROC
 CL50503
          CORRECTS DA GROUP SUMMATION PROCESSING WHERE ITEMS UNDER A
          COMMON GROUP ARE ELEMENTRY AND HAVE A NON-ANSI LEVEL NO.
          HIERARCHY.
          SRN = P36 
          DEW    1/22/79     DA,DA4,DACOMDK 
 CL50516  CALL SORT MERGE FOR LARGE CROSS REFERENCE LISTINGS TO SORT
          TAGS - IN-CORE IS TOO SLOW FOR LARGE ONES 
          DFN    02/20/79    XF,XFSORT
 CL50517  FIX OLD BINARIES WITH WORD ADDRESS FILES OR 
          PREVENT ERROR MODES OR OTHER ERRORS DUE TO LNG
          FIELD BEING SET IN WRONG PLACE
          DFN    02/16/79    C$OBOP 
 CL50518
          CORRECTS DATE FORMAT ON LISTINGS AND DATE COMPILED PASSED TO
          THE COBOL PROGRAM TO BE THE SAME FORMAT AS RETURNED FROM THE
          SYSTEM. 
          SRN = DOJN120 
          DE6    2/9/79      CCT,COBINIT,COBTIME,DATECMP
 CL50530  PREVENT ERROR MODES, IO STACK UNDERFLOW, AND VARIOUS OTHER
          ERRORS WHEN CBCOMIO OR ALL I-O ROUTINES IN OTHER THAN 0,0 
          OVERLAY ON SEGMENTED PROGRAMS 
          SRN=DKE26 
          DFN    02/09/79    C$CLOSF
 CL50533
          ADD CALL TO C.CLOSF TO CBSTOP TO CLOSE ALL OPEN FILES.
          NOTE : NEEDED FOR OLD BINARIES ONLY PRE LVL 472.
          SRN = ETR034
          DEW    2/21/79     C$STOP 
 CL50534  REMOVE EXTRA CHARACTER FROM END OF LINE IN REPORT 
          LVW    2/14/79     VALFUNC
 CL50536
          CORRECT COMPUTATION OF RECORD COUNTS DURING SORTS TO INSURE 
          CORRECT RESULTS WHEN THESE COUNTS EXCEED 2**18 - 1 (131071).
          SRN = ETR031
          DEW    2/20/79     C$SORT 
 CL50504
          FIX COMPARISONS OF LITERALS OR AN FIELDS WHEN FIELDS LOADED 
          AT HIGH ADDRESSES.
          SRN=P37 SUNL
          DFN    01/05/79    CBBCDCM,CBLITCM
 CL5A786A FIX MULTIPLE RECORD DESCRIPTIONS FOR CDCS1
          LVW    2/28/79     DBSLNXREC
 CL5A862  FIX WRONG LENGTH RECORDS CALCULATED IF ODO WITHIN RECORDS OF
          DIFFERING SIZES FOR A FILE. 
          D N    03/05/79    VALFUNC,GIO
CL5A863   FIX INITIALIZE BOOLEAN ELEMENTARY ITEM
          TMH    01/26/79    SET6 
 CL5A864
          CORRECTS MODE ERROR IN C5TDMP CAUSED WHEN C5TDMP ATTEMPS TO 
          DUMP REPORT SECTION ITEMS.  RESTRICT DNAT TABLE DUMP TO C5TDMP
          SO ONLY WORKING-STORAGE, COMMON-STORAGE, AND FILE SECTION 
          DNATS ARE DUMPED.  ALSO, CORRECTS CCTTEXT LISTING ABILITY AND 
          UPDATES CCTDUMP.
          SRN = ST0979
          DEW    3/12/79      PROCTAB,DATAMAP,CUMPS CCT,C5TDMP
 CL5A865
           PREVENTS CMM ERROR NON-ACTIVE GROUP-ID FROM OCCURRING DURING 
           COPY REPLACING WHEN COPY TEXT IS ALL COMMENTS. 
           SRN = 03/01/79 
           DEW    3/1/79      SETCOPY 
 CL5A866
          ERRONEOUS ISSUEING OF DIAG 4114.  CORRECT DA3 (SUM$FILE) SO 
          DEFAULT MIN AND MAX RECORD LENGTHS FOR VARYING CLAUSE ARE SET 
          PRIOR TO VALIDATING THE OBJECT OF THE DEPENDING ON PHRASE.
          SRN = ST0980
          DEW    3/6/79      DA3
 CL5A868
          FIX UPDATE AND ASSEMBLY ERRORS IN ASM2 IN I2D BUILD 
          DFN    03/08/79    ASM2 
          FIX DELETE FILE TO NOT CAUSE BUFFER ARG ERRORS
          DFN    03/13/79    CB5TEXT,C$DELFL
 CL5A870  FIX BOOLEAN COMPUTE 
          LVW    3/6/79      PQ 
 CL5A872  AVOID LOADING UNNEEDED MODULES IF SUBPROGRAMS 
          DFN    03/19/79 
 CL5A874  CHANGE VIRTUAL TO REDUCE NUMBER OF I-O ACTIONS FOR PAGING 
 CL5A762A GENERATE CORRECT PHASE ID FOR FDL FILE DIAGNOSTIC 94
          DFN    03/21/79    COBINIT
 CL5A864A 
          PREVENTS COMPILER ABORT CAUSED BY CL5A864.
          DEW    3/27/79     PROCTAB
 F1250A9I WRONG IMPLEMENTOR NAMES ON GENERATED SELECT STATEMENTS DUE
          TO BUILDSAT CALL IN WRONG PLACE.
          ACV    03/29/79    INTERPRE 
 CL5A888  CORRECT ASSEMBLY ERROR IN DBTRANS ON NON-CDCS SYSTEM
          ALSO ERRORS IN C$COMIO AND C$DMINV
          NOT PUBLISHED - 5.3 ONLY. 
          DFN    03/29/79    DBTRANS,DEBUGVARS,C$COMIO,C$DMINV
 *L498*    ************************************************ 
 CL5A872A PREVENT MODE ERRORS ON OLD BINARIES WHEN FILE EQUIVALENCE 
          DIRECTIVES ARE IN EXECUTE DIRECTIVE 
          DFN    04/11/79    C$STOPR
 CL5A889  CORRECTS END OF STATEMENT LABEL DEFINITION FOR IF/END-IF
          STATEMENTS WITH NO ELSE CLAUSE. 
          WRH    3/30/79     SET2 
 CL5A890  IGNORE NONANSI RESERVED WORDS IF ANSI PARAMETER SPECIFIED 
          LVW    4/5/79      CHKRW,TKNCLAS
 CL5A896  PREVENT BAD CATASTROPHIC DIAGNOSTICS AND VARIOUS ABORTS IN
          COMPILATION DUE TO AN ERROR IN TABLE PROCESSING 
          DFN    04/04/78    VIRTUAL
 CL5A898  ALLOCATE SYNC RIGHT ITEM WITH OCCURS CORRECTLY
          LVW    4/9/79      DA4
 CL5A900  CORRECTS OVERLAID FIELDS IN MANAGER BASED ARRAY.
          ALSO REPLACES CLOBBERED RETURN IN SET2. 
          WRH    4/16/79     SET2,MANAGER 
 CL5A908
          PREVENT ERROR MODE OR CMM ERROR ON EMPTY SOURCE FILE
          DFN    02/27/79    VIRTUAL
 *L505*    ************************************************ 
 F2950C5  FIX INSTRUCTION MODIFICATION IN PARA TRACE - CAUSES FAILURE 
          DFN    03/12/79    CBTRACE
 CL5A651
          DIAGS ON SHIFTED WORDS HAVE INCORRECT COL NUMBERS 
          MJH    02/27/79          TKNCLAS
 CL5A847A PUT DIAGNOSTICS 4021, 4023 AND 4024 BACK - THEY WERE
          ACCIDENTALLY DELETED BY CL5A847 
          DFN    05/11/79    DIAGTXT
 CL5A849
          MISSING PERIOD FOLLOWING DATE COMPILED NOT DIAGNOSED AND
          COMPILER ROUTINE DATECMP ACTUAL INSERTS ONE IN THE LISTING. 
          CORRECT THIS BY DIAGNOSING MISSING PERIOD IN INTERPRE AND 
          CHANGING DATECMP TO WRITE ONLY THE DATE COMPILED ON THE 
          SOURCE LISTING. 
          SRN = 020379
          DEW    02/06/79    INTERPRE,DATECMP,DIAGTXT 
 CL5A880
          TAF CODE TO FIX PSRS, CL5A880, CL5A881, CL5A885 
          CL5A886, CL5A924, CL5A929, CL5A930, CL5A931, CL5A932
          CL5A933, CL5A934. 
          SRN = 3087
          WEM    7/6/79      C$ACCMN,C$DSPLY
          DEW    7/6/79 
 CL5A882  SET ORG=OLD FOR ALL RANDOM FILES FOR CDCS1
          D N    04/02/79    CRFIT
 CL5A884  ALLOW GROUP AS PARAMETER TO C.GETEP 
          LVW    04/02/79    C$GETEP
 CL5A887
          CORRECTS MODE WHEN EXECUTING PROGRAM COMPILED WITH MSB AND TDF
          BY CORRECTLY INITIALIZING C.FDLCM IN PROCTAB AND C.CMBLK IN 
          COBASM. 
          SRN = ST1109
          DEW    4/5/79      PROCTAB,COBASM 
 CL5A893  CORRECTS DEBUG GTEXT GENERATION FOR FORMAT 3 AND 4 PERFORMS 
          USING THE WITH TEST AFTER PHRASE.  ALSO, DELETES THE PERFORM- 
          ACTIVATE VERB FROM THESE FORMATS AS WELL AS THE PERFORM-ABORT 
          LABEL REFERENCES, SINCE NIETHER ARE LOOKED AT BY THE CODE 
          GENERATORS.  DELETES THE PERFORM COMPLEX DEBUG ROUTINE, 
          PSUB456, SINCE IT IS NOLONGER REFERENCED. 
         WRH     4/5/79    PTABLES,SET4,SET10 
 CL5A895  SET SUBMSEC FOR RENAMES ITEM IN FILE SECTION (ASM2-25 ABORT)
          LVW    4/9/79      DA2
CL5A897   02 A PIC 9. 
          88 RESERVED-WORD VALUE IS 5.
          02 B REDEFINES A PIC X. 
  
          ABOVE SEQUENCE CAUSES MESSAGES 3065 AND 
          3048 WHICH ARE CONTRADICTORY, FAILS TO MENTION
          THAT THE CONDITION-NAME IS MISSING, 
          AND DIAGNOSES THE REDEFINITION INCORRECTLY WITH 4018. 
  
          FIX WILL ELIMINATE THE 4018 AND GIVE A NEW
          MESSAGE 3276 ON THE MISSING CONDITION-NAME. 
          TMH    04/09/79    DTABLES,DIAGTXT
  
          CORRECT INTERPRETTER TO PUT OUT CTEXT AS (LVL NO. - DNDEF) FOR
          LVL NO. AND AW, OR (LVL NO. - FILLER) OTHERWISE.
          ALSO CORRECT ISSUING OF DIAG 1249 FOR OPTIONAL FILLER AND 
          REMOVE DIAG.1014. 
          DEW    4/12/79     INTERPRE,DIAGTXT 
 CL5A899  MODE 1 IN C$SETKY BECAUSE DDL/CDCS FILES NOT EXTERNAL.
          ACV    04/11/79    DBBASICF 
          SRN=49262 
CL5A902   C.SEND PUTS GARBAGE IN THE DL FIELD OF THE MCS PARAMETER
          BLOCK WHEN THE FROM PHRASE IS OMITTED FROM THE SEND 
          STATEMENT.  THE VALUE SHOULD BE ZERO.  ALSO, C.SEND DOES
          NOT STORE THE STATUS KEY IN THE OUTPUT CD AFTER EXECUTING 
          THE SEND.  THIS IS BECAUSE THE ADDRESS OF THE CD IS NOT 
          PASSED TO C.MCS4. 
          TMH    04/16/79    C$SEND 
 CL5A905
          CORRECT INTERPRETTER TO RECOGNIZE SUBSCRIPTED DATA-NAMES IN 
          IN-LINE PERFORM TIMES, THUS GENERATING CORRECT CTEXT. 
          DEW    4/29/79     INTERPRE 
 CL5A909  FIX UNSTRING WITH DELIMITER LENGTH NOT EQUAL ONE
          LVW    4/23/79     GSTRING
 CL5A911
          THIS CODE CORRECTS THE PROCESSING OF IS FOLLOWING PICTURE BY
          TKNCLASSIFY SO REDUNDANT IS TOKENS FOLLOWING A PICTURE ON A 
          LIBRARY ARE NOT IGNORED BUT DIAGNOSED.
          REMOVES PICCLAS DECK NO CODE IS EXECUTED IN IT. 
          ADDS AN ABORTSS CALL TO INTERPRETTER IF A PICTURE TOKEN IS NOT
          RETURNED FROM TOKENCLASSIFY FOLLOWING THE RESERVERD WORD PIC. 
          CORRECT GETPIC AND SETPAIR TO RECOGNIZE PSUEDO-TEXT DELIMITERS
          WHEN PSUEDO-TEXT CONSISTS ONLY OF  PICTURE  OR  PIC.
          DEW    5/1/79       GETPIC,INTERPRE,PICCLAS,SETPAIR,-SKEL-
                             SETPAIR,TKNCLAS
 CL5A911A 
          CORRECTS COMPILER ERROR ON RW IS FOLLOWING VERY FIRST PICTURE.
          MISC. LINE LEFT OUT OF ORIGINAL RESPONSE. 
          DEW    6/4/79      TKNCLAS,GETPIC 
 CL5A913
          PREVENT C DIAG FOR 4118 WHEN RECORDING MODE IS BINARY AND 
          CODE-SET SPECIFIED. 
          DFN    05/01/79    DA2
 CL5A920  CORRECT DISPLAY OF QUESTION MARK BEFORE AN ACCEPT 
          FROM A CONNECTED TERMINAL 
          DFN    05/15/79    C$ACCMN
 CL50580
          SET BLOCK TYPE TO K RATHER THAN E IF BLOCK CONTAINS NN RECORDS
          IS SPECIFIED
          DFN    04/27/79    CRFIT
 CL50588
          IF A KEY IS WITHIN AN OCCURS AND THE RECORD HAS AN ODO, THE 
          KC FIELD IN THE RM$KYDEF  CALL WILL BE SET TO ZERO RATHER THAN
          THE NUMBER OF OCCURRANCES.  THIS CAUSES VARIOUS ERRORS SUCH 
          AS KEY NOT FOUND. 
          VSN=SWB20 
          DFN    04/26/79    CRFIT
CL50540   PRINT DENSITY REVISITED 
          COMPILER ASSUMES THAT FILES CONTAINING
          NO PD CARRIAGE CONTROL WILL PRINT USING 
          THE PD SPECIFIED IN IPTEXT.  THIS ASSUMPTION
          IS WRONG.  WE MUST DETERMINE THE DESIRED
          PRINT DENSITY AND FORCE THAT PRINT DENSITY
          FOR OUR LISTING AND FORCE 6 LINES PER 
          INCH WHEN WE TERMINATE. 
          TMH    02/23/79    CBLIST,TERMPROG
 CL5A922  IMPROVE COMPILE TIME REAL TIME AND CP TIME AS WELL AS REDUCE
          FIELD LENGTH REQUIREMENTS - REQUIRES CMMA041
          DFN    06/21/79    INITCLA,CMM$SYP,COBIO,COBINIT,PTABLES
                             DFLDOV,CBLIST,COBOL5,SETPLST,VIRTUAL 
                             TABINIT,COBOLSS,INTERPRE,REPLACE,SETCOPY 
                             TBLPROC,TKNCLAS,DRIVER,PPBEGIN,SET1,SET4 
                             SET6,SET9,SET10,PROCTAB,STOFUNC,VALFUNC
                             COBDF,DF,TERMPROG,-SKEL- 
 CL5A926  GENERATE CORRECT CODE FOR READ INTO SUBSCRIPTED IDENTIFIER. 
          LVW    6/6/79      GIO
 CL5A935  PREVENT BUFFER ARGUMENT ERRORS ON RESTRICTED FIELD LENGTH 
          COMPILATIONS - DUE TO GROW REQUEST IN SPLITTAB IN VIRTUAL.
          DFN    06/12/79    VIRTUAL
 CL50424
          IF CONDNAME ; PRODUCED DIAG 7999 ON THE SEMICOLON.  FIX DRIVER
          TO SAVE LCCOUNT ACROSS THE PARSING OF THE DATA DIVISION 
          CONDNAME CTEXT WHICH TAKES PLACE WHEN THE CONDNAME IS FOUND 
          IN THE PROCEDURE DIVISION CTEXT.
          DEW    5/1/79      DRIVER 
 CL50428
          ADD DIAG 7282 TO CATCH LINKAGE SECTION ITEMS NOT IN USING 
          PHRASE OF PROC DIV HDR AND CHANGE THEIR TYPE TO ERRTYPE FOR 
          ILLEGAL REFERENCES IN THE PROC. DIV.  CORRECT CCT CALLS IN
          SET6,SET9, AND IRT$RT TO USE CCTTEXT. 
          SRN = ISC542
          DEW    4/6/79      DIAGTXT,IRT$RT,SET9,SET6,SNAKE4
 CL50500
          CORRECTS GTEXT GENERATION FOR THE ADD CORRESPONDING.
          WRH    3/7/79      PTABLES,SET3 
 CL50508  MODIFIES THE ENTER LITERAL PARAMETER PROCESSOR TO 
          SET THE LAT VERB CODE TO 3 TO FORCE LPOOLER TO POOL 
          ALL LITERAL PARAMETERS--ESPECIALLY SPACES AND ZEROES. 
          WRH    2/28/79   SET8,LP
 CL50535
           COPY REPLACING LEAVES GARBAGE IN LINE WHEN LINE OVERFLOWS
            MJH     03/26/79     TKNCLAS
 CL50565
          REMOVE REFERENCE TO ":" SO C5TDMP WORKS PROBERLY ON 63 CHAR 
          SET MACH. 
          DEW    4/2/79      C5TDMP 
 CL50566  CF ON FILE CARD IS IGNORED WHEN FILE CLOSED 
          ALSO CNF=YES IS IGNORED ON OPEN I-O 
          ALSO ADD ENTRY FOR C.IOERR
          ALSO CHANGE OPEN EXTEND ON EMPTY FILE TO OPEN OUTPUT
          SRN=MRWA123 
          DFN    04/13/79    C$COMIO,C$SQOC 
 CL50571  PREVENT ERROR MODE 0 RATHER THAN DIAGNOSTIC IF NO DEADLOCK
          DECLARATIVE IS GIVEN AND DEADLOCK HAPPENS ON CDCS RUN.
          SRN=UMAS210 
          DFN    04/05/79    C$COMIO
 CL50585  FIX INVALID DIAGNOSTIC 7044 ON PROGRAM WITH REPORTS WHICH 
          IS NOT LAST COMPILATION IN UNIT 
          LVW    4/25/79     INTERPRE,RG
 CL50593
          SET RECORD TYPE TO W FOR ODO WITH FIELD NOT IN RECORD AND 
          CALCULATE RECORD LENGTH FOR ALL W TYPE RECORDS
          DFN    05/02/79    CRFIT,VALFUNC
 *L508*    ************************************************ 
 CL5A603  RETURN ERRORS ON COBOL DETECTED ERROR CONDITIONS
          IN THE FILE-STATUS ITEMS AS WELL AS IN C.IOST 
          ALSO PROVIDE C.IOENA TO PREVENT ABORT ON DECLARATIVE RETURN 
          DFN    07/24/79    C$COMIO,C$IOST,IOMICROS,C$ACCMN
CL5A767C         SET ADDRESS OF DESTINATION DESCRIPTOR CORRECTLY FOR
                 EDITED MOVE TO SIGNED SUBSCRIPTED FIELD
                 LVW      8/17/79       GMOVRN
CL5A883   REWORD DIAG 7399  MAKE DIAG 7399 FATAL
          SRN=3095
          MAN    7/26/79     SET8,DIAGTXT,DFTABLE,DIAGTBL 
 CL5A917
          CORRECT PROCESSING OF INTEGER LITERALS IN GETSTR SO DIAG 1009 
          IS ISSUED ON LITS > 18 DIGITS.
          CORRECTS PROCESSING OF ILIT IN SPECIAL PARSE OF MOVE CORR.
          MISC. CLEAN UP OF GETSTR AND INTERPRE.
          DEPENDENT UPON CL5A911 AND CL50585 BEING INSTALLED. 
  
          CHANGE SPECIAL PARSE OF PERFORM IN INRERPRETTER SO TOKENS ARE 
          IDENTIFIED AND STACKED UNTIL COMPLETE RECOGNITION OF THIS 
          PERFORM AS TO WHETHER ANY LITERALS ARE LITERALS OR PNREFS CAN 
          BE MADE, THEN ISSUE CTEXT ATOMS ACCORDING TO STACKED TOKENS.
          ELIMINATES ORIGINAL METHOD OF RECOGNIZING IN-LINE PERFORM 
          LITERAL WHICH INVOLVED CHANGING AWRT AND PLT ENTRIES. 
          SRN = 050479
          DEW    7/26/79     INTERPRE,TBLPROC,INITRW,RWINFOV,GETSTR 
 CL5A920A 
          CORRECT MISTYPED CONDITIONAL ASSEMBLY LINE. 
          DEW    8/16/79     C$DSPLY
 CL5A941
          PREVENT ERROR MODES WHEN SORT USED IN FDL DYNAMIC CAPSULES
          AND NOT USED IN MAIN PROGRAM. 
          ALSO HAPPENS IF NO I-O IN MAIN AND SOME IN CAPSULE. 
          THIS IS DUE TO SYSLIB NOT BEING SEARCHED IN OVCAP LOADS.
          DFN    07/09/79    COBINIT
 CL5A922A PREVENT GARBAGE IN HEADER OF FDL FILE LISTING 
          ALSO PREVENT ERROR MODES ON FDL COMPILATIONS ON DEBUG COMPILER
          ALSO PREVENT ERROR MODES ON RESTRICTED FIELD LENGTH 
          COMPILATIONS
          DFN    07/13/79    SHIFT,CBLIST,DISPLAY,OUTPUT,VIRTUAL,TABINIT
                             CMM$SYP,LOVER,COBINIT,INITFDLT 
CL5A925   CD CD-NAME FOR INPUT
               FILLER D2 D3 ETC 
          DTABLES DOES NOT RECOGNIZE FILLER IN POSITION D1
          TMH    05/25/79    DTABLES,D$SUBS 
 CL5A944  DIAGNOSE A PROGRAM-NAME LONGER THAN 7 CHARACTERS IN A CALL
          STATEMENT WHICH DOES NOT MATCH A NAME IN THE FDL FILE.
          THIS ERROR CAUSED A BAD CALL TO RA+36 OR RA+75. 
          DFN    09/19/79    SET8,DIAGTXT,TABLNAMES 
 CL5A946
          STORAGE ALLOCATION FOR 3 OR MORE CD AREAS OVERLAY EACH OTHER. 
          CAUSED BY THE NAB COUNTER BEING SET TO THE CDAREAS ITEM 
          LENGTH INSTEAD OF INCREMENTING NAB BY THE CD AREAS ITEM LENGTH
          CORRECT LVL$CD TO INCREMENT NAB.
          SRN = 0727A 
          DEW    7/25/79     DA2
 CL5A948
          SUBSCRIPTED REFERENCES TO A SIGNED SIZE 10 DISPLAY NUMERIC
          ITEM ALIGNED ON WORD BOUNDARY WITH OCCURRENCE LENGTH MULTIPLE 
          OF 10 FAIL
          SRN = RTW01 
          DEW    7/20/79     GMOVLOD,FIXED
 CL50644  PREVENT ERRORS IN DETECTING END OF WORD ADDRESS FILES AS WELL 
          AS DESTROYING PART OF RECORDS WHEN THE LAST RECORD ON THE FILE
          ENDS ON A PRU BOUNDARY - THIS IS TIMING AND STORAGE 
          DEPENDENT AND MAY NOT ALWAYS FAIL.
          SRN=ACCU-447
          DFN    07/20/79    C$WAIO 
 CL5A965  PREVENT CRM ERRORS WHEN CLOSING A WORD ADDRESS FILE OPENED
          FOR OUTPUT - CRM PSR MAKES CHANGE NECESSARY 
          D N    08/16/79    C$WAIO 
 CL5A966  CHANGE DIAGNOSTIC 7292 CONCERNING REFERENCE TO CONTROL
          DATA-ITEMS IN USE PROCEDURE FORM FATAL ON NON-ANSI
          LVW    8/17/79     DIAGTXT
 CL5A983  PREVENT LOADING UNNECESSARY MODULES ON TAF RUNS 
          DFN    09/03/79    COBINIT,GBRANCH,C$STOPR,C$CLOSF,CCKRACK, 
                             CCT,DUMPS,CB5TEXT
 CL5A989  CHANGE APPLE TO APPL FOR MCS APPLICATION PARAM IN LGO CARD
          DFN    10/16/79    C$INIT 
 CL50428A 
          PREVENT DIAGNOSTICS ON LINKAGE SECTION ITEMS WHICH REDEFINE AN
          ITEM WHICH APPEARS IN THE PROCEDURE DIVISION USING PHRASE.
          DEW    7/9/79      SET1 
 CL50481  PREVENT ERROR MODES AND OTHER ERRORS ON AUTO CLOSE
          AT STOP RUN TIME
          DFN    07/24/79    IOMICROS,FITDEFS,CRFIT,C$CLOSF 
 CL50596
          COPY OF NON-NUMERIC LITERAL IS INCORRECT
          MJH    06/14/79          SSTEXT,SETPAIR,TKNCLAS 
 CL50543
      LISTING WITH COPY REPLACING IS INCORRECT
      MJH   07/24/79    TKNCLAS 
 CL50566A 
          PREVENT CRM ERROR 154 WHEN OPENING AN OUTPUT FILE WITH
          NO REWIND AND FILE EXISTS.
          DFN    07/20/79    C$SQOC 
 CL50590
          THIS CODE CORRECTS THE DUMPING OF ARRAYS BY C5TDMP. 
          SRN = 197 
          DEW    05/31/79    C5TDMP 
 CL50603
          CORRECT PROCESSING OF RW IDENTIFICATION IN DOPROCDIV SO IT IS 
          NOW DIAGNOSED IF NOT IN A AREA.  ALSO CORRECT COBOLSS TO
          CORRECTLY LOCATE THE LINE THE IDENTIFICATION TOKEN IS ON WHEN 
          PRINTING REMAINING LINES OF PREVIOUS COBOL PROGRAM. 
          SRN = 10
          DEW    6/5/79      INTERPRE,COBOLSS 
 CL50606  FIX SIZE ERROR WHEN  POINT RESULT + INTEGER LENGTH DESTINATION
          EXCEEDS 18
          LVW    6/14/79     GMOVSUB
 CL50611  PREVENT LOOP IN COMPILATION IN COBIO IF FILE NAME IN SELECT 
          IS ALL SPACES OR BINARY ZEROS 
          SRN=FEV005
          DFN    05/31/79    COBIO
 CL50614  STORE NUMERIC DISPLAY INTO UNSIGNED OR TRAILING INCLUDED
          SIGNED FIELD, POINT DESTINATION SMALLER, DESTINATION SIZE 
          10 OR LESS, POINT SOURCE - POINT DESTINATION GREATER THAN 
          10 - SIZE DESTINATION, DESTINATION SPANS WORD BOUNDARY
          LVW    6/18/79     GMOVSTO
 CL50635  DIAGNOSTIC 7645 INCORRECTLY ISSUED FOR SORT STATEMNET 
          WITH MULTIPLE KEYS IF   GIVING FILE IS NOT SEQUENTIAL 
          LVW    6/29/79     SET8 
 CL50637  ASM2-25 ERROR WHEN NO SECTION NAME PRECEEDS FIRST DATA ITEM 
          LVW    7/10/79     PROCTAB
 CL50643  SET NUMBER OF CHARACTERS TO MOVE AND NUMBER OF BLANKS TO
          APPEND CORRECTLY FOR RETURNING THE PARAMETERS SPECIFIED ON THE
          EXECUTION CALL CONTROL STATEMENT
          SRN=ACCU 453
          MAN    08/22/79    C$GETEP
 CL50649
          CORRECT PROBLEM OF SERIAL REUSABILITY IN THE TAF ENVIRONMENT. 
          (B1) IS NOT SET TO ONE(1) UPON RE-ENTRY, WHICH IS EXPECTED BY 
          SOME COBOL5 OBJECT ROUTINES.
          SRN = CL5-18
          DEW    7/19/79     C$INIT 
          WEM    7/19/79     C$INIT 
 CL50650
          FIX STORE INTOSSIGNED TRAILING INCLUDED ITEM, SIGNED
          SOURCE,SIZE SO  CE LESS THAN 10, DESTINATION SIZE LESS THAN 
          10, DESTINATION DOES NOT CROSS WORD BOUNDARY, SHIFTING RIGHT, 
          TRUNCATION NOT NECESSARY
          LVW    7/9/79      GMOVSTO
CL50670   SUBSCRIPTED STORE TO NUMERIC ITEM 
          LARGER THAN 10 CHARACTERS DESTROYS
          ADJACENT ITEM 
          SRN=ISC573
          GBS    8/20/79     C$DSTOR
 CL50688  STORE INTO SIGNED TRAILING SEPARATE CHARACTER WHICH FITS INTO 
          ONE WORD AND THE SENDER HAS TO BE SHIFTED LEFT THE SAME NUMBER
          OF CHARACTER POSITIONS AS THERE ARE NON-DIGIT POSITIONS ON THE
          RIGHT OF THE RECEIVER.
          SRN = ARL0001 
          DFN    09/24/79    GMOVSTO
 CL50693  MOVE SIGNED NUMERIC LARGER THAN 9 DIGITS TO UNSIGNED
          SIZE 10, POINT SENDER LESS THAN OR EQUAL POINT RECEIVER 
          LVW    10/12/79    GMOVSCA
 *L518*    ************************************************ 
 CL5*80   UPDATE COPYRIGHT INFORMATION FOR 1980 RELEASE 
          LVW    10/22/79 
 CL5A634
          LISTING DIRECTIVES NOT WORKING PROPERLY 
          MJH    07/24/79          PRINTIT,READIT 
 CL5A975  CHANGE NON-ANSI RESERVED WORD RECOGNITION TO DEPEND ON
          ANSI = AUDIT PARAMETER
          LVW    9/17/79     CCKRACK,CHKRW,CCT,DUMPS,INITCCT
 CL5A891  WHEN VARIABLE LENGTH GROUP IS A RECEIVING ITEM, 
          MOVE ONLY INTO ACTIVE PART OF GROUP IF ANSI=AUDIT IS SELECTED 
 CL5A892  CHANGE INDEXED I-O SO COLLATING SEQUENCE FOR FILE IS
          ALWAYS NATIVE - NO MATTER WHAT PROGRAM SEQUENCE IS. 
          THIS IS DONE ONLY IF ANSI=AUDIT ON CONTROL CARD (FOR AUDITS)
          DFN    11/02/79    CBPUT60,CCPARCM,GBRANCH,C$INIT,C$IOSET 
                             C$ND2RN,C$N22RN
 CL5A945  MAKE STATS DAYFILE MESSAGE 40 CHARS LONG TO AVOID TRUNCATION
          ON NOS INTERACTIVE JOBS 
          DFN    09/04/79    TERMPROG 
 CL5A951  DIAGNOSE SET CODE-SET TO NAME OTHER THAN UNI
          DFN    09/18/79    DIAGTXT,DFTABLE,DIAGTBL,SET9 
 CL5A957
          REMOVE EXTRA TRACE OFF MESSAGE FROM THE PARAGRAPH TRACE FILE O
          COBOL5/TAF PROGRAM WHEN THE STOP RUN IS ENCOUNTERED AND THE TR
          FILE HAS BEEN PREVIOUSLY CLOSED BY A CALL TO C.STPTR. 
          SRN = 0416
          DEW    9/11/79     C$TRACE
 CL5A958
          CORRECT BAD LINE NO. IN THE TRACE CLOSED MESSAGE WRITTEN TO TH
          PARAGRAPH TRACE FILE BY CALLS TO C.STPTR IN COBOL5 PROGRAMS RU
          IN THE  TAF  ENVIRONMENT ONLY.
          DEPENDENT UPON CL5A972 BEING INSTALLED TO WORK PROPERLY.
          SRN = 0415
          DEW    9/11/79     C$TRACE
 CL5A959  GIVE CORRECT RESULTS WHEN MOVING COMP-2 ITEM WITH VALUE 
          GREATER THAN 10**14 TO NUMERIC EDITED ITEM WITH MORE THAN 
          14 DIGITS 
          LVW    8/21/79     GMOVC2 
 CL5A961  DIAGNOSE AN ELEMENTARY ITEM WITH THE DEPENDING ON PHRASE
          WHICH IS NOT THE LAST ITEM IN THE RECORD
          SRN=MDS028
          MAN    8/17/79     DA 
 CL5A962  CHANGED PRESET VALUES IN ARRAYS NUMSTR AND ALPSTR 
          DEFINED IN COMMON DECK PPCOMMON2 THEREBY ALLOWING 
          NON-ANSI EXTENSION DATA TYPES (COMP-1, COMP-2, AND
          COMP-4) TO BE USED AS CLASS CONDITION OPERANDS. 
          REWORDED DIAGNOSTIC 7182 TO REFLECT THIS. 
          SRN=MDS029
          GBS    9/12/79     PPCOMMON2,DIAGTXT
 CL5A963
          CORRECTS FILE EQUIVALENCE (LGO,FILE1=FILE2) WHEN FILE1 IS USED
          IN ACCEPT AND DISPLAY STATEMENTS. 
          SRN = MD5030
          DEW    9/4/79      C$ACDSC
 CL5A967  CHANGED DNREF COMMAND ROUTINE IN DRIVER TO SUPPRESS 
          MULTIPLE DIAGNOSTICS OF ILLEGAL REFERENCES TO DATA
          ITEMS DEFINED IN THE SECONDARY-STORAGE SECTION; 
          ALSO, CHANGED SAME ROUTINE TO RETURN THE CORRECT
          INT INDEX IN VALUE$ EVEN WHEN ILLEGAL REFERENCES TO 
          DATA ITEMS IN SECONDARY STORAGE ARE MADE, THEREBY 
          ALLOWING CORRECT PARSING FOR REMAINDER OF STATEMENT.
          SRN=MDS032
          GBS    9/20/79     DRIVER 
 CL5A972
          CORRECT BAD LINE NUMBER IN PARAGRAPH TRACE CLOSED MESSAGE ON
          COBTRFL GENERATED BY C.STOPR CALLING C.STPTR TO CLOSE TRACE FI
          WHEN FILE IS LEFT OPEN UPON ENCOUNTERING A STOP RUN STATEMENT.
          SRN = 083079
          DEW    9/4/79      C.STOPR
 CL5A973  CORRECT ASSEMBLY ERRORS IN SET INSTRUCTION
          LVW    9/4/79      EVALCFN
 CL5A974  CORRECT SPELLING IN DIAGNOSTIC 4020 
          ACV    09/20/79    DIAGTXT
          SRN=134685
 CL5A972
          CORRECT C5TDMP TO INCREMENT ITS LINE COUNTER WHEN THE OCCURREN
          ..ARE DUPLICATES.....  MESSAGE IS PRINTED, TO PREVENT PAGE OVE
          FROM OCCURING.
          SRN = MDS035
          DEW    9/13/79     C5TDMP 
 CL5A977  PREVENT GENERATION OF NEGATIVE ZERO 
          LVW    9/18/79     C$R4S18
 CL5A980
          FOLLOWING CODE AFFECTS COBOL5/TAF OBJECT ROUTINES ONLY********
  
          CORRECT CONDITIONAL ASSEMBLY OF TAF OPTION IN CB5TEXT.
  
          CHANGE NON CDC COBOL STANDARD ENTRY POINT NAMES TO STANDARD 
          ENTRY POINT NAMES IN C$ACCMN AND C$DSPLY.  (TAF ONLY) 
  
          REMOVE ENTRY POINTS AND BUFFER AREA IN C$TRACE USED BY THE
          TERMINATION DUMP.  (TAF ONLY) 
  
          ADD THE MISSING TELEX INTERFACE CODE TO C$DSPLY.  (TAF ONLY)
  
          CORRECT PROCESSING OF ACCEPTS BY C$ACCMN.  (TAF ONLY) 
  
          CORRECT PROCESSING OF DISPLAYS BY C$DSPLY.  (TAF ONLY)
  
          SRN = 083079
          DEW    10/2/79     CB5TEXT,C$ACCMN,C$DSPLY,C$MSG,C$TRACE
 CL5A981  CAUSE DEBUG LINES TO BE COMPILED IN STACKED COMPILES IF DB=DL 
          IS SPECIFIED
          ALSO FREE UP THREE ADDITIONAL CCT ENTRIES WHICH ARE UNUSED
          DFN    10/15/79    CCT,CCKRACK,INITCCT,ASM2,DUMPS,OVLSUBS,
                             PRINTIT,NEWLINE,READIT,GBRANCH,INTERPRE
 CL5A982
          CORRECT HOW C$TDUMP PICKS UP THE LOCATION OF THE LINE NUMBER
          OF THE LAST/CURRENT I/O STATEMENT FOR THE TERMINATION DUMP. 
          DEW    10/11/79    C$TDUMP
 CL5A984  PREVENT EXTRA BACKSPACE ON READ REVERSE ON SOME RECORD TYPES
          DFN    10/04/79    C$SQRD 
 CL5A990  FIX MOVE OF ALPHANUMEIRC TO JUSTIFIED RIGHT WHERE 
          BCP SOURCE + (SIZE SOURCE - SIZE DESTINATION) > BCP DEST. 
          OR NUMERIC  MOVE WHERE BOTH ITEMS ARE UNSIGNED AND POINT
          SOURCE  GREATER THAN POINT DESTINATION AND ABOVE RELATION 
         HOLDS WITH SIZE WSURCE DECREMENTED BY POINT SOURCE - 
          POINT DESTINATION 
          LVW    10/18/79    GANMOVE
 CL5A991  IMPROVE PROCESSING OF DIAGNOSTICS TO PREVENT VERY SLOW
          PROCESSING WITH HEAVY I-O WHEN THERE ARE MANY DIAGNOSTICS 
          DFN    10/18/79    D$FORMATT,DIAGSCN,QSORT4 
 CL5A992  DO NOT GENERATE OBJECT ROUTINE CALL FOR COMPARE WITH SPACES 
          LVW    10/22/79    GCONDIT
 CL5A994  ARITHMETIC RESULTS INVOLVING OPERANDS OF SIZE 18 MAY
          BE TOO SMALL BY ONE DIGIT IN THE LEAST SIGNIFICANT DECIMAL
          POSITION
          LVW    10/31/79    C$R4S18
 CL5A996
          CHANGE FIPS DIAG 7416 ON CALL STATEMENTS AT FIPS=2 TO BE
          ISSUED ON CALL LITERALS ONLY.  REWORD DIAG APPROPRIATLY.
          DEW    11/15/79          SET8,DIAGTXT,PTABLES 
 CL5A997
          CORRECT FIPS DIAGNOSTICS ON OPEN, CLOSE AND USE AFTER 
          STATEMENTS FOR INDEXED, SEQUENTIAL, AND RELATIVE FILES. 
          DEW    11/19/79          PTABLES,SET7,SET9,DIAGTXT
 CL5A999
          CORRECTS LINE NUMBER FOR FIPS DIAG 4200, ON NESTED REDEFINES. 
          DEW    11/19/79    DA3
 CL5B002  DIAGNOSTIC 7452 ERRONEOUSLY GIVEN FOR PROGRAMS WITH ONLY ONE
          SORT WHEN FIPS LEVEL LESS THAN 4 - ALSO DIAGNOSTIC WORDED 
          INCORRECTLY.
          DFN    11/20/79    DPPMACRO,DPPDATA,PTABLES,DIAGTXT 
 CL5B004  LIST AUTO-PAGE EJECT CHAR OF Q ON LINAGE FILES FOR CCVS AUDIT 
          DFN    11/19/79    C$LINAG
 CL5B006  REACTIVATE SPECIAL CASE SIZE 10 SUBSCRIPTING
          LVW    11/19/79    GSUBSC 
 CL5B020  MAKE ALPHABETIC AN ANSI RESERVED WORD - WAS NON-ANSI
          DFN    12/13/79    RWINFOV
 CL5B033  GENERATE LDSET FOR BAMLIB FOR CDCS1 JOBS
          DFN    01/10/80    C$DMINV
 CL50414  LIST COLONS IN SOURCE CARDS COLUMNS 8-9, 19-20, ETC PROPERLY
          DID CAUSE END OF LINE DUE TO SHIFT OF SOURCE LINE 
          DFN    09/26/79    CBLIST,COBINIT,INITFDLT,PRINTIT
 CL50504A 
          REDO CMU CODE IN C$BCDCM TO CORRECT ERROR IN ADDRESS
          CALCULATION FOR PROGRAMS LOADED AT HIGH ADDRESSES AND 
          TO SPEED IT UP
          DFN    08/16/79    C$BCDCM
 CL50559
          PH AND PF NOT PRINTING AT PAGE CHANGE WHEN 2ND REPORT 
          HAS NO PAGE CLAUSE
          MJH    10/01/79/     BODYGRP
 CL50638  SET UP BUFFER SIZE WHEN INPUT OR OUTPUT IS ON TAPE
          SRN=3490
          MAD    8/31/79     SETBFS 
 CL50641  MAKE RD NOT TO BE A KEY WORD IN DATA DIVISION 
          SRN=P 46
          MAD    8/24/79     RWINFOV
 CL50654  FIX MISC 63 CHARACTER SET PROBLEMS - COPY REPLACING WILL FAIL 
          AT TIMES, COLONS ON THE LIBRARY WILL NOT BE COPIED INTO THE 
          PROGRAM CORRECTLY, EXTERNAL FLOATING POINT LITERALS WILL NOT
          BE TRANSLATED CORRECTLY, UNIVAC COLON WILL NOT BE TRANSLATED
          CORRECTLY AND 6 TO 12 BIT CONVERSIONS WILL BE INCORRECT.
          DFN    08/23/79    READIT,SETPAIR,C$R22XF,C$6TO12,C$XTAB, 
                             C$R22XF,NEWLINE,CHAR$
 CL50658
          CORRECT MRL SIZE FOR DISPLAY AND ACCEPT FILES.
          SRN = 208 
          DEW    9/4/79      C$ACCMN,C$DSPLY,C$ACDSC,IOMICROS 
 CL50658A REPAIR ACCEPT FROM CONSOLE WHICH WAS BROKEN BY CL50658
          DFN    12/14/79    C$ACCMN
 CL50659  PREVENT MOVE ERROR WHEN BOTH WRITE BEFORE ADVANCING AND 
          WRITE ARE PRESENT IN AN OVERLAY BUT NOT IN THE MAIN OVERLAY 
          LVW    08/24/79    C$SQWR 
 CL50662
          FIX LAST CHARACTER ON CONTINUED LINE WHEN PW SPECIFIED
          DFN    08/22/79    CBLIST 
 CL50663  CHANGE VFD CARD IN C$COLSQ FROM NONSTANDARD TO STANDARD 
          RELOCATION
          SRN=1425
          MAN    8/14/79     C$COLSQ
 CL50672  DO NOT CALL CONTROL CARD PROCESS FOR MSB PROGRAMS 
          THIS MAY CAUSE ERROR MODES IN CDCS DATA BASE PROCEDURES 
          DFN    08/23/79    C$INIT 
 CL50674  REMOVE BAMLIB FROM LDSET IN C$OBOP AND MAKE DMSLIB CONDITIONAL
          BASED ON CDCS.
          ALSO REMOVE GENERATION OF LDSET LIB=BAMLIB FROM COBINIT 
          DFN    09/04/79    C$OBOP,COBINIT 
 CL50676  ALLOW ITEM LESS THAN 30 CHARACTERS IN USE FOR ACCESS CONTROL
          LVW    9/4/79      SET9,DIAGTXT 
 CL50678  CHANGE MAXIMUM PAGE WIDTH FROM 99999 TO 132 
          SRN=E-92
          MAD    9/5/79      CCKRACK
 CL50684  SET DEFAULT PC AND RMK TO CRM DEFAULTS RATHER THAN 00 
          DFN    09/26/79    CRFIT
 CL50690  MOVE SIGNED SOURCE TO DESTINATION WITH TRAILING 
          INCLUDED SIGN WITH LARGER POINT LOCATION
          AND SMALLER INTEGER LENGTH.  SOURCE SIZE LESS THAN 10.
          DESTINATION PROPER SUBSET OF ONE WORD.
          LVW    10/3/79     GMOVSTO
 CL50690A MOVE SIGNED SOURCE TO DESTINATION WITH TRAILING INCLUDED
          SIGN WITH POINT LOCATION MORE THAN 3 GREATER AND WITH 
          SMALLER INTEGER LENGTH. SOURCE SIZE LESS THAN 10. 
          DESTINATION PROPER SUBSET OR ONE WORD.
          LVW    12/20/79    GMOVSTO
 CL50694  PREVENT ERRORS IN SORT KEY BCP ON RESTRICTED FIELD LENGTH 
          COMPILATIONS
          DFN    10/15/79    VALFUNC
          SRN=ACCU-468
 CL50702  IMPLEMENT PRUF=YES IN RELATIVE FILES
          DFN    10/25/79    IOMICROS,C$RLOC,CRFIT,PROCTAB,CB5TEXT
                             C$COMIO
          SRN=ACCU461 
 CL50703  REPLACE DMGMNT IDENT WITH A NULL IDENT - CDCS1 WAS TURNED ON
          FOR ALL NOS INSTALLATIONS UNLESS CDCS2 WAS SELECTED 
          DFN    10/25/79    ASSEMOP,CB5TEXT
 *L528*    ************************************************ 
 F1138CL5 DO NOT SET GROUP ID FOR FOL LOADS - DEPENDS ON F1138LDA IN
          THE LOADER - WILL NOT WORK WITHOUT IT 
          ALSO CHANGE THE GENERATION OF THE LDSET FOR SYSLIB TO EACH
          SUBROUTINE RATHER THAN THE MAIN PROGRAM (FDL PROGRAMS ONLY) 
          DFN    02/22/80    CBINIT,C$CALL
 F6638CL5 ADD CMM INTERFACE ROUTINE, C.CMMMV, TO COBOL LIBRARY
          DFN    05/12/80    C$CMMMV
 C$CMMMV  ADD C$CMMMV ROUTINE TO MOVE DATA TO AND FROM CMM BLOCKS 
          DFN    04/15/80    C$CMMMV,C$CMUMV
 F2647CB  (1)  CHANGES THE SIZES OF THE CDCS RECORD ORDINAL AND THE 
               CDCS KEY ORDINAL FROM 10 BITS EACH TO 12 BITS EACH 
          (2)  ADDS CODE TO MAKE THESE CHANGES DURING PROGRAM 
               EXECUTION FOR OLD BINARIES 
          ACV    10/29/79    GBRANCH,FITDEFS,CRFIT,IOMICROS,C$DMOPN 
                             C$DMSTR  (ALSO RECOMPILES C$DM)
 CL5A801  WHILE DOING READS INVOLVING CDCS 2 FILES, COBOL 5 
          SHOULD ALWAYS REQUEST THAT CDCS RETURN THE RECORD LENGTH. 
          ACV    11/20/79    C$DMRD1, C$DMRD2 
          SRN=SVLOPS 76592
 CL5A840
          CORRECT DISPLAY NO ADVANCING WHEN EXECUTING ON NOS ONLY.
          DISPLAY NO ADVANCING SHALL LEAVE THE CURSORE POSITIONED 
          IMMEDIATLY FOLLOWING THE LAST CHARACTER DISPLAYED.  IF AN 
          ACCEPT STATEMENT FOLLOWS A QUESTION MARK AND A SINGLE SPACE 
          IS DISPLAYED BY NOS AND DATA MAY THE BE ENTERED.  IF A DISPLAY
          STATEMENT FOLLOWS IT IS DISPLAYED BEGINING WITH THE CURRENT 
          CURSORE POSITION. 
          DEW    11/2/79     C$DSPLY
 CL5A939  CHANGED FUNCTION LEFTMOST IN SET7 TO CORRECTLY TEST FOR 
          A DATA NAME BEING THE LEFTMOST PART OF ANOTHER DATA NAME, 
          THEREBY PREVENTING THE INCORRECT ISSUING OF DIAG 7371.
          SRN = MDS027
          GBS    11/28/79    SET7 
 CL5A940  CHANGE ETABLES SO THAT IT WILL ACCEPT OMITTED KEY.
          SRN = MDS026
          MAD    11/07/79    ETABLES. 
 CL5A970  DIAGNOSE AS AN ERROR WHEN THE SIZE OF WORKING-STORAGE,
          COMMON-STORAGE, OR SECONDARY-STORAGE HAS EXCEEDED ITS LIMIT 
          OF 2**16 (200000B) WORDS. 
          ACV    12/06/79    DIAGTXT,DA,DA2 
          SRN=MDS033
 CL5A971  FOR AK FILE, KEY NEED NOT TO BE SYNCHRONIZED AND CAN
          CROSS WORD BOUNDARY.
          SRN = MDS034
          MAD    11/08/79    C$SETKY, CRFIT, DA.
          DFN    12/19/79    IODEFSC,IOMICROS 
 CL5A988  PREVENT GARBAGE PRINT LINE JUST BEFORE CROSS REFERENCE LIST 
          DFN    11/07/79    CBLIST 
 CL5A995
          PSEUDO-TEXT DELIM THAT SPANS LINES IS NON-USASI-NOT DIAGNOSED 
          MJH    03/11/80    GETSTR,DIAGTXT 
 CL5B005  CHANGE RANGE CHECKING GTEXT TO HANDLE VALUES GREATER THAN 
          2 ** 15 
          LVW    11/21/79    SET1,GSUBSC,VALFUNC,FUNCTIONS,STOFUNC
 CL5B007
          UNDEFINED USER-NAME GREATER THAN 18 CHARACTERS STARTING 
          WITH A DIGIT ARE NOT DIAGNOSED.  CORRECT GETSTR TO DO THIS. 
          DEW    11/20/79          GETSTR 
 CL5B008
          CORRECT GETSTR TO ISSUE ONLY ONE DIAG 1016 WHEN A PLUS
          SIGN IMMEDIATLY FOLLOWS A NUMERIC LITERAL.
          DEW    11/21/79          GETSTR 
 CL5B009
          CORRECT ERRONEOUS ISSUING OF DIAG 1040 ON A LITERAL 
          PRECEEDED BY AND TRAILING WITH A MINUS SIGN (I.E. -237-). 
          ISSUE DIAGNOSTIC 1001 ON TRAILING MINUS SIGN. 
          DEW    11/21/79          GETSTR 
 CL5B014  PREVENT VARIOUS ERRORS SUCH AS ERROR MODES WHEN A PARAMETER 
          IS PASSED TO A COBOL SUBPROGRAM AND IT IS A WEAK OR 
          UNSATISFIED EXTERNAL AND IS NEVER REFERENCED. 
          DFN    11/29/79    C$ADSUB
 CL5B015  PERFORMANCE IMPROVEMENTS
          1. DIVIDE BY TWO DONE WITH RIGHT SHIFT
          2. PPARSER TABLE ACCESS CHANGED 
          3. LAT ENTRIES FOR VALUES REMOVED 
          LVW    12/5/79     DNTEXT,PLT1,DA2,D$SUBS,PROCTAB,IRT$RT
          BODYGRP,PPTEXT,RCT,SET10,PQ,PPBEGIN,RCT,SET10,PQ
          PPBEGIN,PPEND,SET1,SET2,SET3,SET4,SET5,SET6,SET7,SET8 
          SET6,GARITH,GMOVLIT,CHSETRG,-SKEL-,VALFUNC
 CL5B031  CODE FOR SET7 TO DIAGNOSE THE DATA NAME IN THE KEY PHRASE 
          OF THE START STATEMENT. SEPARATE DIAGNOSTICS ARE NOW ISSUED 
          FOR THE VARIOUS CASES. DIAGNOSTIC 7372 WAS ADDED. CODE FOR
          ETABLES TO ALLOW LEGAL COMMAS IN THE ASSIGN CLAUSE OF THE 
          SELECT STATEMENT. CODE FOR INTERPRETER TO NOT GENERATE THE
          OPTIONAL COMMAS WHEN IT IS GENERATING CTEXT FOR SUBSCHEMAS. 
          SRN=MES0001 
          GBS    2/12/80     SET7,ETABLES,INTERPRE,DIAGTXT
 CL5B015A 
          REMOVE UNUSED (2ND) SUBSCRIPT OF PRTBUF, THE PRINT
          LINE MANAGEMENT ARRAY.
          DEW    12/18/79          SSTEXT,COBOLSS,DATECMP,NEWLINE 
                                   PRINTIT,READIT,SETCOPY,TKNCLAS 
 CL5A986
          COPY REPLACING WITH LONG PSEUDO-TEXT-2 CAUSES DUPLICATE LINE
          NUMBERS TO BE PRODUCED
          MJH    02/28/80          TKNCLAS
 CL5B015B IMPROVE REAL-TIME PERFORMANCE BY INCREASING SIZE OF ZZZZZ49 
          BUFFER
          DFN    02/21/80    INSTOUT,COBIOM 
 CL5A985
         PUNC FOLLOWING REPLACED ITEM IS IMBEDDED IN PSEUDO-TEXT-2
        MJH    01/31/80    TKNCLAS
 CL5B062  PREVENT ERROR MODES AND OTHER ERRORS WHEN COMPILING A PROGRAM 
          USING ECS AND ALL OF THE ECS AVAILABLE IS USED AND THE TABLE
          ON ECS IS EXTENDED ONTO MASS STORAGE
          DFN    03/03/80    VIRTUAL
 CL5B071  CORRECT CHANGE IN KEY ORDINALS FOR CDCS1 TO BE 10 BITS
          RATHER THAN 12 AS IT IS IN CDCS2
          ALSO CORRECTL C$DSPDN TO OUTPUT LINE NBR  CORRECTLY 
          DFN    03/31/80    C$DM,C$DSPDN,C$SETKY 
 CL5B017
          SUBSCRIPTED VARIABLES IN THE USING PHRASE OF AN ENTER 
          STATEMENT WHEN VARIABLY SUBSCRIPTED, NOT DIAGNOSE.  ADD DIAG
          7212 TO BE ISSUED WHEN ANY SUBSCRIPTED VARIABLE NOT 
          SUBSCRIPTED BY A CONSTANT IS USED IN THE USING PHRASE OF AN 
          ENTER STATEMENT.
          SRN = MDS039
          DEW    1/13/80           PTABLES,DIAGTXT
 CL5B018 IMPROVE ILLEGAL SUBSCRIPTING DIAGNOSTIC
          LVW    4/22/80     PTABLES,DIAGTXT,SET1 
 CL5B021  SET KA TO 0 ON SEQUENTIAL READS OF IS FILES TO SPEED UP 
          READ TIMES - EMBEDDED KEYS ONLY 
          SRN=MDS041
          DFN    12/14/79    C$ISRD 
 CL5B022  DO NOT SET MBL TO 0 FOR I BLOCKS ON SEQ FILES - CAUSED 142
          ERRORS
          DFN    12/14/79    C$SQOC 
 CL5B025
          CORRECT DISPLAY OF 72 CHAR ITEMS ON A CONNECTED FILE ON 
          NOS/BE SO ALL 72 CHARS ARE DISPLAYED ON ONE LINE. 
          AFFECTS DISPLAYS ON CONNECTED FILES ON NOS/BE ONLY!!!!! 
          DEW    12/18/79    C$DSPLY
 CL5B026  FIX MOVE OF SIGNED COMP1 OR COMP4 TO UNSIGNED COMP1 OR COMP4
          LVW    12/20/79    GMOVR1,SET4
 CL5B027  CONVERT 61 AND 62 DISPLAY CODE TO +0 AND -0 ON NOS 029
          PUNCHES - NEEDED DUE TO UNDOCUMENTED CHANGE IN NOS 029
          CONVERSION - WILL ONLY CONVERT ON INPUT - NOT OUTPUT
          DFN    01/24/80    C$STRP 
 CL5B028
          TDFILE WRITTEN INCORRECTLY BY DATAMAP WHEN AUXT OR NAMET
          LENGTHS ARE ZERO, WHICH HAPPENS IN A PROGRAM WITH NO DATA 
          DIVISION.  CAUSES C5TDMP TO ISSUE ERROR MSG *RECORD TOO 
          LONG ON FILE - TDFILE*.  CODE CORRECTS DATAMAP. 
          DEW    12/27/79    DATAMAP
 CL5B032  FIX STOP RUN TO CLEAR THE PROGRAM-NAME STACK IN ORDER 
          TO ALLOW RE-ENTRY OF MAIN PROGRAMS AND MAIN-SUBPROGRAMS - FIXE
          FIXES A PROBLEM WITH TAF CM TASKS WHICH OVERFLOW THE NAME STAC
          STACK CLOBBERING THE ADJACENT PROGRAM.
          DFN    01/09/80    C$INIT,C$STOPR,C$ENTRY,CB5TEXT,C$PRTTRC
 CL5B034  ACCEPT FROM DAY OF WEEK FAILS DURING LEAP YEARS AND 
          ON SUNDAYS
          LVW    1/14/80     C$ACCDW
 CL5B036  CODE FOR ETABLES TO ISSUE A NON-ANSI DIAGNOSTIC WHENEVER THE
          RESERVED WORD "ALPHABET" IS SEEN. DIAGNOSTIC 3277 WAS ADDED.
          SRN=MDS044
          GBS    2/12/80     ETABLES,DIAGTXT
          DEW    2/12/80     INTERPRE 
 CL5B037
          CORRECT CMPILER TO ISSUE DIAG 1016 INSTEAD OF 1040 ON 
          ILLEGAL CHARACTER IMMEDIATLY FOLLOWING A NUMERIC LITERAL. 
          DEW    1/14/80           GETSTR 
 CL5B038
          CORRECT COMPILER TO ISSUE DIAG 1002 ONLY ONCE ON ILLEGAL
          CHARACTER FOLLOWING A NUMERIC LITERAL.
          DEW    1/14/80           GETSTR 
 CL5B039
          CORRECT GETSTR TO USE ONLY THE LEFT 18 DIGITS OF AN UNSIGNED
          NUMERIC LITERAL OF GREATER THAN 18 DIGITS UPON WHICH DIAG 1024
          HAS BEEN ISSUED.
          DEW    1/14/80           GETSTR 
 CL5B040
          CORRECT COMPILER TO ISSUE ONLY ONE DIAG 1002 FOR
          ILLEGAL CHARACTER FOLLOWING A PLUS SIGN.
          DEW    1/14/80            GETSTR
 CL5B043  SHIFT FOOTING LINES 1 RIGHT ON NOS TERMINAL LISTINGS - WAS
          ONE COLUMN OFF AS A RESULT OF PSR CL50414 
          DFN    01/22/80    COBINIT
 CL5B045  INCREASE SIZE OF RECORD AND KEY ORDINALS IN KEY TABLE FROM
          10 BITS EACH TO 12 BITS EACH. 
          ACV    01/22/80    IODEFSC,FITDEFS
          SRN=SVL 132297
 CL5B047  PREVENL LOOP IN DATAMAP IF FILE SECTION HEADER MISSING AND FD 
          IS PRESENT
          DFN    01/27/80    DATAMAP
 CL5B048  PREVENT UNNECESSARY DIAGNOSTIC ERRORS WHEN USING
          REPORT WRITER AND MISSPELLING "PROCEDURE DIVISION". 
          SRN=MDS047
          MAD            03/06/80         RG,RGCTEXT
 CL5B049 FIX ADD OR SUBTRACT LITERAL FROM SIGNED COMP1 OR COMP4 ITEM
          LVW    1/18/80     GARITH 
 CL5B050
          FORCE C5TDMP TO ALWAYS PRINT THE FIRST REQUESTED OCCURRENCE OF
          AN OCCURENCE DIRECTIVE.  CORRECTS THE PROBLEM OF "OCCURENCES 4
          TO 10 ARE DUPLICATES OF PREVIOUS OCCURRENCE" BEING PRINTED
          WHEN OCCURRENCE 3 WAS NOT PRINTED BECAUSE IT WAS OUTSIDE THE
          RANGE OF AN OCCURRENCE DIRECTIVE. 
          DEW    2/20/80           C5TDMP 
          SRN = MDS048
 CL5B051  SET UP LIST OF FILES SO OUTPUT BUFFER WILL BE FLUSHED 
          ALSO SET FLUSH FLAG IN OUTPUT FET 
          DFN    02/05/80    SFETS,GETIPS,CCKRACK,COBINIT,COBIO 
 CL5B052  DIAG 7379 ERRONEOUSLY ISSUED ON REFERENCE TO RELATION 
          NAME IF NO READ STATEMENT IN PROGRAM
          LVW    2/7/80      INTERPRE 
 CL5B056  SET MRL CORRECTLY FOR SUBSCHEMAS WHERE SCHEMA RECORD IS 
          LARGER THAN SUBSCHEMA RECORD - CAUSED EM 1 WHEN NULL RECORD 
          WAS PROCESSED 
          DFN    02/29/80    DBBASICF 
 CL5B058  REWORD DIAG 7002, 7005 AND 7026.
          ALSO ISSUE DIAGNOSTIC WHEN USING -READ INTO-
          TO INVALID OPERAND. 
          SRN=127763
          MAD    03/13/80    DIAGTXT,SET7 
 CL5B059  SET IP CORRECTLY ON USE LITERAL 
          DFN    02/27/80    FITDEFS
 CL5B061  PREVENT ERROR MODE WHEN MOVING A GROUP CONTAINING AN ODO AND
          THE DEPENDING ON VALUE IS ZERO
          DFN    03/04/80    C$MOVE 
 CL5B063   CHANGE CD TYPE FROM GROUP TO NON-DATA ITEM.
           SRN=MDS054 
           MAD          03/20/80            D$SUBS
 CL5B066  CORRECT VALUE OF DEBUG-LINE FOR START PROGRAM 
          LVW    4/22/80     SET10
 CL5B069
          DIAG 5032 APPEARS ERRONEOUSLY 
          MJH    04/17/80    F$ANALY
 CL5B075  FIX MOVE WHERE BOTH SOURCE AND DESTINATION ARE SPECIAL
          CASE SUBSCRIPTED.  ALSO  REACTIVATE SOME SPECIAL CASE 
           SUBSCRIPTS.
          LVW    4/4/80      GSUBSC,GMOVSA
 CL5B076  PREVENT CRM ERROR 171 DURING OPEN INPUT OR I-O OF DA FILE WITH
          USE FOR HASHING DECLARATIVE SPECIFIED 
          DFN    04/02/80    C$DAOC 
 CL5B077  PREVENT ABORTS SUCH AS ILLEGAL LFN WHEN IF SPACES = DATA-NAME 
          SPECIFIED - CAUSED BY ERROR IN CL5A992
          DFN    04/09/80    GCONDIT
 CL5B078  REMOVE FILESTAT FROM COMPILER AND REPLACE WITH FILINFO
          DFN    04/16/80    GETIPS 
 CL5B080  ALLOW COMP-4 ITEMS TO BE KEY ON D AND T RECORDS 
          ALSO ALLOW RELATIVE KEY, BLOCK COUNT AND WORD-ADDRESS KEY TO
          BE COMP-4 
          DFN    04/21/80    DA,DA3,CRFIT,DIAGTXT 
 CL5B084  FIX RERUN ON END OF UNIT AND ON N RECORDS TO FUNCTION FOR 
          RECORDS WHEN BOTH ARE SPECIFIED 
          D N    05/08/80    GIO,VALFUNC
 CL50549  ADDS CODE TO DIAGNOSE AS AN ERROR THE CASES OF PARAMETERS ON
          THE COBOL5 STATEMENT SPECIFYING THE SAME FILE NAME, WITH THE
          ONLY ALLOWED DUPLICATES BEING L AND E, AND ALSO FDL AND I.
          ACV    11/09/79    CCKRACK
          SRN=ICST20811 
 CL50573
          ITEM WITH NO COL IN CF CAUSES DIAG 8021 
          MJH    11/07/79          CONTRL 
 CL50594
          WHEN FORMAT 2 ENTRY IN RW FOLLOWS FORMAT 3 ENTRY W. SAME
          LEVEL, DIAG 8021 OCCURS 
          MJH      12/06/79    F$ANALY
 CL50671
          WHEN DATE-COMPILED IS THE LAST LINE OF A DECK BEING COPIED
          FROM A LIBRARY VIA A COPY STATEMENT THE COMPILER WILL LOOP OR 
          FAIL TO PRINT THE LINE.  CORRECT DATECMP. 
          DEW    1/5/80            DATECMP
 CL50692  PREVENT ERRONEOUS DIAGNOSTIC 1083 ON A COPY WHEN THERE ARE
          MORE THAN ONE COPIES IN A PROGRAM.
          ALSO PREVENT THE READING OF AN IDENT FOR EACH LINE PROCESSED. 
          DFN    11/07/79    COBOLSS,SETLIB,READIT,COBIO
 CL50700
          DUPLICATE RDS CAUSE MODE 1 IN COMPILER
          MJH    02/21/80    ARGROUP
 CL50701  RETURN FILE STATUS OF 90 ON IGNORED CRM ERRORS
          DFN    11/12/79    IOMICROS,C$COMIO,C$SQRD,C$IOST 
 CL50701A FIX RETURN FROM SEQUENTIAL ERRORS WHEN C.IOENA CALLED 
          DFN    02/05/80    C$SQRD 
 CL50705
          UNPRINTABLE ITEM IN PH CAUSES DIAG 8021 
          MJH    12/13/79    HEAD 
 CL50708  PREVENT RECORD AREA DESTRUCTION WHEN MRL OR FL CHANGED IN A 
          FILE CARD TO BE LARGER THAN THE COBOL RECORD AREA 
          SRN=PACB049 
          DFN    11/26/79    CB5TEXT,C$COMIO,IOMICROS,C$ACDSC 
 CL50712  CODE FOR RTABLES TO DIAGNOSE ILLEGAL COMMA BEFORE THE FIRST 
          CLAUSE OF AN ENTRY (WHICH IT WASN'T DOING AT ALL). DIAGNOSTIC 
          5998 - ".. SEMICOLON NOT ALLOWED.." - WAS REMOVED AND INCORP- 
          ORATED INTO 5999 - ".. COMMA NOT ALLOWED..". THE LEVEL OF 
          SEVERITY OF 5999 WAS CHANGED FROM WARNING TO TRIVIAL. 
          SOME READABILITY CODE FOR DRIVER, PLUS A CHANGE IN THE FOR- 
          MAT OF THE TABLE TRACE OF THE DEBUG COMPILER. THE INCORRECT 
          DIAGNOSING OF COMMAS IN IF STATEMENTS WAS FIXED BY CL50424. 
          SRN=FEV12 
          GBS    1/30/80     RTABLES,DIAGTXT,DRIVER 
 CL50713  FIX LOAD OF VARIABLY SUBSCRIPTED DISPLAY NUMERIC ITEM 
          WITH TRAILING SEPARATE SIGN WHEN LOAD CAN BE DONE IN-LINE, EG.
          SIZE 9 WORD ALIGNED OR SIZE 4 WORD ALIGNED
          LVW    12/3/79     GMOVLOD
 CL50718  IF A LITERAL OR ALL LIT PRODUCES 1 WORD OF 1S VIA A COLON 
          AND THE FOLLOWING LITERAL IS ALL BINARY ZEROS FOR ONE OR
          MOVE WORDS, THE 1S ARE CHANGED TO ZEROS.
          THIS HAPPENS IN VALUE CLAUSES OR IN THE PROCEDURE DIVISION. 
          SRN=SPSC-1514 
          DFN    12/10/79    PROCTAB
 CL50720  PREVENT DIAGNOSTIC 7339 ON RETURN INTO IF ANSI DIAGS NOT ON - 
          IT SHOULD BE FOR ANIS ONLY - ALSO REWORD IT 
          SRN=ARIZ3591
          DFN    12/27/79    DIAGTXT
 CL50721  RESTORE A0 ON SUBROUTINE CALLS FOR FTN
          SRN=GJO010
          DFN    2/22/80     EXTDEF,GBRANCH,C$ADSUB,C$ENTRY,C$INIT
 CL50723  SET KEY FIELDS AND COLLATING TABLE BEFORE CALLING SETFIT FOR
          AAM FILES - THIS MAY HELP PREVENT ERRORS DURING SETFIT
          SRN=ARIZ3592
          DFN    01/03/79    C$AKOC,C$COMIO,C$DAOC,C$ISOC,C$CAMOP 
 CL50724  PREVENT COMMA NOT ALLOWED DIAG  5999 FOR HEADING AND FOOTING
          IN REPORT WRITER SYNTAX.
          ALSO PRINT SPECIAL REGISTER NAMES CORRECTLY IN CROSS REFERENCE
          - ESPECIALLY PAGE-COUNTER.
          SRN=FEV018
          DFN    12/27/79    RTABLES,XF 
 CL50725  PREVENT UNNECESSARY WARNING ERROR WHEN WE HAVE
          AN OPTIONAL COMMA IN PERFORM STATEMENT (FORMAT 4) 
          SRN=FEV019
          MAD     01/02/80     PTABLES
 CL50732  PREVENT RA+0 FROM BEING DESTROYED ON SOME CDCS COMPILATIONS 
          THIS COULD CAUSE A MERGE BUFFER DIAGNOSTIC WHEN CROSS REF 
          SELECTED DUE TO ANOTHER BUG IN SORT 
          SRN=WYO007
          DFN    01/10/80    INTERPRE 
 CL50736  ISSUE DIAGNOSTIC WHEN PICTURE HAS LENGTH ZERO.
          SRN=4 
          MAD    01/17/80    PA 
 CL50737 GENERATE CORRECT CODE FOR REFERENCES TO MULTIPLY SUBSCRIPTED 
          ITEMS WITH FIRST TWO SUBSCRIPTS LITERALS AND REST VARIABLE
          LVW    2/5/80      GSUBSC 
 CL50739  BAD CODE GENERATED FOR A START RELATION-NAME
          KEY ETC. STATEMENT. 
          ACV    01/29/80    SET7 
          SRN=SPSC1521
 CL50744
          ABSOLUTE LINE NUMBERS ON REPORT FOOTING CAUSE STRANGE DIAGS 
          MJH    03/06/80    FOOTING
 CL50745
          PREVENT INFINITE LOOP WHEN DOING A COPY...REPLACING OF THE
          IDENTIFICATION DIVISION WHEN ANY OF THE OPTIONAL
          IDENTIFICATION DIVISION PARAGRAPHS ARE PRESENT. 
          SRN = 005 
          DEW    2/29/80     SKIPCLA
 CL50749  PREVENT INCORRECT SORTING OF Z RECORDS ON USING FILES WHERE 
          LAST KEY IN LIST OF KEYS IS NOT THE LAST ONE IN THE RECORD AND
          THE LAST KEY IN THE RECORD IS ALL BLANKS
          SRN=MRWA-153
          DFN    02/14/80    C$SORT 
 CL50751  PREVENT LOADER ERRORS FOR COMMON BLOCK REDEFINITION AND 
          SUBSEQUENT ERROR MODES WHEN EXTERNAL FILES USED IN SUBPROGRAM 
          AND SUBPROGRAM LOADED FIRST 
          SRN=RUG-938 
          DFN    02/12/80    CRFIT
 CL50753  CODE FOR D$SUBS TO DIAGNOSE NON-ANSI SYNTAX IN -OCCURS- 
          CLAUSE -- AN -ASCENDING/DESCENDING- PHRASE FOLLOWING THE
          -INDEXED BY- PHRASE. DIAGNOSTIC 3800 ADDED. 
          SRN=937 
          GBS    3/3/80      D$SUBS,DIAGTXT 
 CL50762  CORRECT PROCESSING OF FILE RECORDS WHICH ARE LARGER THAN 32768
          CHARACTERS - WOULD CAUSE ERROR MODES AND SIMILAR PROBLEMS 
          SRN=FSU-79/24 
          DFN    02/15/80    FNAT1
 CL50767
          CORRECT B REGISTER OVERCOMMITMENT WHEN DEBUGGING ON 
          SUBSCRIPTED DATA REFERENCES, BY CORRECTING SET10 TO 
          PICK UP THE CORRECT RCT ENTRY FOR DEBUGGING.
          ADD DEBUGGING CODE FOR PARSERS. ********************
          DEW    3/24/80     SET10  DEBUG,DRIVER,GTXTDMP,MANAGER,OVLCOM 
                                    PARSCOM,PPBEGIN,PQ,PQ2,SET2,SET4
                                    -SKEL-
 CL50768  CODE FOR PTABLES TO CHECK FOR AN -END DECLARATIVE-
          DELIMITER WHEN PROCESSING AN IF-THEN-ELSE STATEMENT.
          SRN=GIT280
          GBS    3/4/80      PTABLES
          DEW 
 CL50772  CODE FOR PQ TO DIAGNOSE PERFORMS CROSSING LOGICAL SECTION 
          BOUNDRIES AS NON-STANDARD COBOL (EG. PERFORMING A PROCEDURE 
          IN A SORT INPUT PROCEDURE FROM OUTSIDE THAT SORT INPUT PRO- 
          CEDURE). PQ NOW ALLOWS GTEXT TO BE PRODUCED FOR THESE CASES.
          ALSO CHANGE DIAGNOSTICS FOR PROCEDURES WITH NO RELEASE OR 
          RETURNS AND SIMILAR  CASES TO NON-ANSI. 
          DIAGS CHANGED ARE 7312, 7313, 7314, 7315, 7331, 7334, 7337, 
          7338, 7626, 7630, 7632
          GBS    2/29/80     PQ, DIAGTXT, DFTABLE, DIAGTBL
          DFN    04/17/80    PPBEGIN,SET8,DIAGTXT 
 CL50774  PREVENT INDICATION OF NON EXISTING FILE ON EMPTY FILE 
          THIS HAPPENS ONLY ON WORD-ADDRESS FILES 
          ALSO SET LINE NUMBER CORRECTLY ON WA OPEN ERRORS - WAS ALWAYS 
          ZERO
          SRN=DOJN136 
          DFN    03/20/80    C$COMIO,C$WAIO,C$SQOC
 CL50776  CL50650 INCORRECTLY RELEASED
          LVW    3/12/80     GMOVSTO
 CL50777  SUBSCRIPT OPTIMIZATION ERROR WHEN  SAME SUBSCRIPT USED TWICE
          IN A ROW, SECOND TIME WITH A DIFFERENT TABLE, THEN SUBSCRIPT
          CHANGED, THEN USED WITH FIRST TABLE AGAIN 
          DFN    07/17/80    SET1 
 CL50782  FIX MOVE SPACES TO REFERENCE MODIFIED ITEM ON CMU COMPILER
          LVW    4/2/80      GMOVLIT
 CL50784  PREVENT BAD CODE GENERATED FOR VARIOUS CONDITIONALS (A JUMP TO
          PROGRAM 0 OR BEGINNING OF PROGRAM) WHEN PERFORM WITH TEST 
          AFTER UNTIL IS USED 
          SRN=SPSC1556
          DFN    07/08/80    PTABLES
 CL50790  IF MORE THAN ONE RECORD DESCRIPTION IS GIVEN AND ALL ARE
          OCCURS DEPENDING ON AND ALL DESCRIPTIONS ARE THE SAME, THE
          RECORD TYPE WAS BEING SET TO W  - THE CODE CHANGES IT TO T
          NOTE THAT THIS CODE COULD CAUSE PROGRAMS WHICH NOW HAVE SUCH
          A CONSTRUCT TO FAIL - A NOTE AND CAUTION WILL BE PROVIDED 
          DFN    04/08/80    DA3
 CL50792  CORRECT ERRONEOUS PROCESSING ON BOOLEAN OPERATIONS WHERE
          ONE OR MORE OF THE OPERANDS ARE SUBSCRIPTED 
          SRN=GIT289
          DFN    04/08/80    GBOOLOP
 CL50794  FIX REFERENCE MODIFICATION ON CMU MACHINE WHERE VARIABLE REF
          MODIFIER USED AND LENGTH IS GREATER THAN 15 CHARACTERS
          DFN    04/08/80    C$CMUMV
 CL50796  PRINT FILES DO NOT HAVE MRL BUMPED BY 1 IF RECORD CONTAINS
          SPECIFIED 
          SRN=PRCL
          DFN    04/14/80    PROCTAB
 CL50802  FIX COMPARE NUMERIC ITEM TO LONGER LITERAL ON CMU 
          LVW    5/2/80      GCONDIT
 CL50807  PREVENT COLON CARRIAGE CONTROL CHARACTERS FOR PRINT FILES 
          WITH RECORDS 5 WORDS OR LESS BY CHANGING LOADER TABLES TO 
          ALLOW INITIALIZE TO SPACES. 
          LVW    5/16/80     ASM2 
 CL50809  ALLOW RECORD TYPES OTHER THAN Z ON REPORT FILES OR FILES WITH 
          WRITE ADVANCING SPECIFIED 
          DFN    05/15/80    C$ADVAN
 CL50814  FIX MOVE OF SIGNED DISPLAY ITEM LARGER THAN 9 CHARACTERS
          UNSIGNED COMP-1 ITEM WITH MORE THAN 9 CHARACTERS IN 
          ITS PICTURE.
          LVW    5/16/80     GMOVRN 
 F1064CL
          COBOL5 CID INTERFACE CODE.
          DEW    4/21/80     BUG203C,CCT,DNT,EXTDEFS,FIXED,FUNCTIONS
                             IDBLOCK,PNT,UNQSTATUS,GETIPS,CGETCET 
                             GBRANCH,COBINIT,CCKRACK,TBLPROC,PQ,SET1
                             DEFBLOCK,COBCG,STOFUNC,VALFUNC,ASM2
                             BUG203S,DUMPS,DIAGTXT
 CL50821  DO NOT GENERATE ERROR GTEXT FOR USE OF CONTROL DATA ITEM
           IN DECLARATIVE , DIAG 7292.
          LVW    6/4/80      SET1 
 CL50843  ALLOW HYPHEN IN SUBPROGRAM NAME.
          LVW    6/30/80     SET8 
 CL50851  FIX REGISTER OPTIMIZATION OF REDEFINED ITEMS
          LVW     7/15/80     INSTGEN 
 *L538*    ************************************************ 
 CL5*81   1981 COPYRIGHT CODE 
          LVW    9/16/80     CB5TEXT
 F1064CLA 
          CORRECT THE SAVEA1 FIELD TO CONTAIN THE PARAMETER LINKING 
          TABLE ADDRESS.  AND COORECT THE RA AND RB FIELDS IN THE DATA
          DIVISION SYMBOL TABLE FOR LINKAGE STORAGE SECTION ITEMS.
          DEW    7/10/80     GBRANCH, ASM2
 F1064CLB 
          CHANGE THE ERROR NO. PASSED TO CID FOR COBOL RUN TIME ERRORS
        TO ALWAYS BE 300. 
          DEW    9/30/80     C$MSG
 F1064CLC 
          CHANGE SAVEA1 ADDRESS TO BE 0 INITIALLY.
 F1064CLD 
          CORRECT THE OCCURRENCE NUMBER FOR SUBSCRIPTED DATA DIVISION 
          TABLE ENTRIES FOR CID.
          CORRECT THE OCCURS DEPENDING ON POINTER FOR CID.
          DEW    10/21/80    ASM2 
 F1064CLE 
          CHANGE THE PROCEDURE DIVISION SYMBOL TABLE ENTRIES SO FWA OF
          PARAGRAPHS AND SECTIONS MATCH THE LINE NUMBER TABLES FWA FOR
          THE LINES THOSE PARAGRAPHS AND SECTIONS OCCUR ON. 
          FORCE CALL TO DBUG.LN AND DBUG.PR AT THE BEGINING OF A SECTION
          FORCE ONLY ONE CALL TO DBUG.LN PER LINE.
          DEW    11/13/80    SET1,GRANCH,FIXED,CGETCET,ASM2 
 F1064CLF SET OCCURRENCE LENGTH IN SYMBOL TABLES
          TURN ON RANGE CHECKING IF IN CID MODE 
          FIX ABNORMAL TETMINATION WITH CID 
          LVW    11/17/80    ASM2,GBRANCH,C$CLOSF,C$STOPR,C$TERM, 
                             COBINIT
 F1064CLG 
          CORRECT THE LENGTH AND BCP FIELDS FOR INDEX NAMES.
          DEW    12/3/80     ASM2 
 F1064CLH FIX ADDRESS IN LINE NUMBER TABLES 
          LVW    12/18/80    CGETCET
 CL5B149
          LOAD CAPSULE FROM SYSTEM LIBRARY IF IT CANNOT BE FOUND ON THE 
          USER LIBRARY - ABORTED BEFORE 
          ALSO CHANGE C$MSGC TO LOOK IN THE SYSTEM LIBRARY IF IT CANNOT 
          FIND CB5TEXT IN THE USER LIBRAR 
          DFN    10/15/80    C$LDCAP,C$MSGC 
 F1064CLI  CHANGE CID PROCESS AT QUIT TO NOT DO ANYTHING IF COBOL NOT 
           INITIALIZED
          DFN    12/19/80    C$STOPR
 F1064CLJ 
          MOVE CALL TO DBUG.LN FOR BEGINING OF A LINE WITH A PROC DEF TO
          OCCUR AFTER CLEAN UP CODE FOR WHEN THE PRECEEDING PARA WAS
          PERFORMED.
          DEW    1/15/80     SET1,GBRANCH,VALFUNC 
 F1450CL  ADD INTERFACE TO SORT/MERGE VERSION 5 
          DFN    08/12/80    EXTDEFS,GLOBSYS,OBJDEFS,GSM,CCKRACK,PROCTAB
                             VALFUNC,C$INIT,C$MSG,C$SORT,C$SMEX,C$SMIF
                             C$SORTP,C$SORT4
 F1450CLA  FIX MISC ERRORS IN S/M 5 INTERFACE 
          DFN    08/12/80    GSM,PROCTAB,C$SMEX,C$SMIF
 CL5B064  CREATE COMMON APLIST FOR ENTER FTN5 
          ALSO FIX NUMERIC LITERALS IN PARAMETERS TO BE CORRECT WHEN
          THEY ARE LONGER THAN 10 CHARACTERS. 
          DFN    10/07/80    PPTEXT,GTEXT,GBRANCH,SET8,GTXTDMP
 CL5B085  CHANGE SUBSCRIPT CALCULATION ALGORITHM FROM BASE 0 TO BASE 1
          ALLOWING REFERENCES TO TABLES OF MAXIMUM SIZE.
          ALSO FIX COMPILER ERROR WHEN REFERENCING TABLES WITH MORE THAN
          THREE SUBSCRIPTS. 
          FIX SUBSCRIPTED MOVE TO OR FROM FIRST DATA ITEM IN SMALL
          PROGRAM ON CMU COMPILER.
          DFN    5/5/80      PROCTAB,CRFIT,VALFUNC
          LVW    5/5/80      GSUBSC,GETSET,DATAMAP,SPECSUB,C5TDMP 
                             SET1,PPTEXT,GTEXTVB,STOFUNC,FUNCTIONS
                             GTEXT,GTXTDMP
 CL5B092
          WHEN ONALLLIST AND OFFALLLIST ARE COPIED FROM LIBRARY 
          ON ONE SOURCE LINE THEY ARE PERFORMED IN REVERSE ORDER
          MJH   07/31/80    SETCOPY,READIT
 CL5B094  FIX START RELATION FOR CDCS TO CALL DM$RSR
          SRN=STN0025 
          DFN    07/14/80    GIO,SET7,OBJDEFS,C$DMRSR 
 CL5B101  PREVENT F DIAG 4004 FOR SIGNED COMP-1 ITEM IN SUBSCHEMA IN
          CDCS COMPILATION. 
          SRN=SVFS-FEY016 
          DFN    06/25/80    DBBASICD 
 CL5B102  FIX MOVE OF LITERAL TO FIELD WITH CONSTANT REFERENCE
          MODIFIERS.
          LVW    6/21/80     GMOVSUB
 CL5B103
          CORRECT A SYMPL CONTROL NOLIST TO A CONTROL LIST IN SET4. 
          ADD CODE TO COBOL5 TO FORCE THE FLUSHING OF THE OUTPUT BUFFER 
          WHEN A COMPILER ABORT OCCURS. 
          DEW    6/26/80     SET4 
          DFN    6/26/80     COBOL5 
          LVW    7/24/80     DRIVER 
 CL5B112  FIX REFERENCES TO SUBSCRIPTED ITEM IN COMMUNICATIONS SECTION
          WHEN LAST ITEM IN PREVIOUS SECTION BELONGED TO A GROUP WITH 
          AN OCCURS CLAUSE.  ALSO SET LENGTH IN CDDESCR CORRECTLY WHEN
          CD DESCRIBED BY RECORD DESCRIPTION
          LVW    7/21/80     DA4
 CL5B115  FIX COBOL5 ROUTINE TO DIAGNOSE I=0 PARAMETER. 
          ALH    20/09/80    CCKRACK
 CL5B118  FIX INSPECT WITH ONLY ONE TALLY ITEM AND THAT ONE SUBSCRIPTED 
          LVW    8/1/80      GSTRING
 CL5B121  CORRECT CODE FOR COMPARE OF VARIABLE LENGTH GROUP TO SPACES.
          LVW    10/3/80     GCONDIT
 CL5B127  FIX SUBSCRIPTED LOADS AND STORES OF SIZE 5 ITEMS
          LVW    9/18/80     GSUBSC 
 CL5B128  FIX NONSTANDARD RELOCATION IN C$MSG 
          DFN    09/08/80    C$MSG
 CL5B132  SET USER-DEFINED COLL SEQ CORRECTLY 
          DFN    09/12/80    CB5TEXT,C$COLSQ,C$CVCS,C$SETCS,C$SMIF
                             C$SMEX,C$SORT4 
                             C$SMEX 
 CL5B134  PREVENT RPV MESSAGE FROM NORMAL TERMINATION 
          ALSO SET TERMINATION DUMP ON IF TDF SPECIFIED 
          DFN    09/18/80    CCKRACK,C$STOPR
 CL5B136  SET B1 TO 1 FOR SORT 5
          DFN    09/18/80    C$SMEX 
 CL5B137  PROCESS VARIABLE LENGTH RECORDS ON SORT RELEASE AND 
          RETURN STATEMENTS 
          DFN    10/15/80    OBJDEFS,GIO,GSM,C$SMEX,CRFIT 
 CL5B138     ISSUE APPROPRIATE DIAGNOSTIC ERROR 
             IN OCCURS DEPENDING ON CLAUSE. 
             MAD    09/17/80       DA,DA3.
 CL5B140  CORRECT SPELLING ERRORS IN COBOL 5 DIAGNOSTICS. 
          ALH    29/09/80    DIAGTXT
 CL5B141  ADD ENTRY POINTS TO C$SORT AND C$SORTP TO PREVENT EDITLIB 
          ERRORS ON NOS/BE BUILD. 
          ALSO CHANGE CSORT4 TO C$SORT4 
          DFN    09/29/80    C$SORT,C$SORTP,C$SORT4 
 CL5B142  ADD CODE FOR OLD BINARY DECKS AND SORT4 
          DFN    09/30/80    C$SMEX,C$SORT4 
 CL5B145  PREVENT LARGE COMMON-STORAGE OR OTHER LARGE SECTIONS WHEN 
          VALUE CLAUSES USED IN THE LINKAGE SECTION (DIAG 4020).
          ALSO PREVENT ERROR MODE ON DATE-COMPILED ON DEBUG COMPILER
          DFN    10/07/80    DA4,DATECMP
 CL5B146  CORRECT CODE FOR RELATIVE SUBSCRIPTS
          LVW    10/14/80    SET1 
 CL5B148  MOVE CONTENTS OF CD DATA AREA TO DEBUG-CONTENTS WHEN
          DEBUGGING ON CD-NAME
          LVW    10/14/80    SET10
 CL5B153  ALLOW - AND + AS PLUS ZERO AND MINUS ZERO 
          ALSO  FIX IF NUMERIC ON LEFT AND RIGHT BRACKET ON NOS 
          DFN    10/22/80    OBJDEFS,C$NUMR,C$NUMRA,C$STRP
 CL5B155  REMOVE SEMICOLONS FROM CALL CARDS OF SOME SYMPL PROGRAMS
          DFN    11/05/80    RPADUMP,RPDUMP,R$SUBS
 CL5B156  PREVENT ERROR MODE ON DISPLAY UPON CONSOLE IF IT IS EXECUTED
          BEFORE ANY OTHER I-O STATEMENT IN PROGRAM 
          DFN    11/06/80    C$DSPLY
 CL5B168  CHANGE SORT4 INTERFACE TO USE OLD FORMAT (NEW USED TOO
          MUCH CM) AND SORT5 TO NOT USE FTN INTERFACE (SAME PROB) 
          DFN    11/13/80    CB5TEXT,CCT,EXTDEFS,OBJDEFS,GSM,PROCTAB
                             CCKRACK,INITCCT,C$SMEX,C$SMIF
 CL5B178  SET CORRECT ENTRY POINT FOR MERGE AND IMPLEMENT LATEST
          VERSION OF SM5FROM
          DFN    12/31/80    EXTDEFX,GLOBSYS,GSM,C$SMIF,C$SQOC
 CL5B183  SET DEBUG LINE CORRECTLY
          LVW    01/22/81    SET10
 CL5B184  ASSUME PRINTF=YES IF THE LFN IS OUTPUT AND ANSI=AUDIT IS
          SPECIFIED 
          DFN    01/23/81    PROCTAB
CL50711 
          AN 01 ITEM IN REPORT SECTION THAT IS ELEMENTARY CAUSES LOOP 
          MJH    06/27/80    BODYGRP,XFORM,COLMNCL,SOURCECL 
                             SUMCL,VALUECL,GRPIND,BWZ$RT
                             JUSTCL,PAGECOM,TYPECL,F$ANALY
                             RANALYZ,LVL01CL
 CL50722  GENERATE CORRECT CODE WHEN IMPLIED SUBJECT USED IN AN IF AND
          THE SUBJECT IS A LITERAL - SAME LAT WAS BEING USED TWICE
          AN EXAMPLE IS IF ZERO = A AND B 
          SRN=UQ9004
          DFN    07/08/80    SET2 
 CL50730  FIX SUBSCRIPTED CONDITION NAMES WITH MULTIPLE VALUES
          LVW    10/7/80     SET2 
 CL50746
          WHEN A SOURCE IN A CF IS SUBSCRIPTED WITH THE CONTROL ITEM
          THE NEW VALUE IS USED FOR THE SUBSCRIPT 
          MJH   05/29/80     BODYGRP,RGCTEXT,REPORTH,REPORTF
                             PAGEF,PAGEH
 CL50775  PROCESS COLON FOR REF MODIFICATION CORRECTLY ON 63 CHAR SYS 
          SRN=SARACB5001
          DFN    07/07/80    GETSTR 
 CL50806  THIS MOD DELETES A SECTION OF CODE OF THE LITPOOL 
          ROUTINE INORDER TO IMPROVE REPORT WRITTER PERFORM-
          ANCE.  THE DELETED CODE SEARCHED THE LITERAL TABLE
          FOR MATCHING LITERALS.
          DJJ    6/9/80      LITPOOL
 CL50808  FIX SUBTRACT CORR WITH SUBSCRIPTS 
          DFN    10/15/80    PTABLES,SET3 
 CL50818  COMPARISON BETWEEN TWO UNEQUAL FIELDS WHERE LEFT ONE LONGER 
          THAN RUGHT, RIGHT ON WORD BOUNDARY, BOTH > 10 CHARS, LAST 
          CHAR OF RIGHT ENDS IN NEW WORD FAILS
          SRN=RUG016
          DFN    06/06/80    C$BCDCM
 CL50820  SET LINE NUMBER CORRECLTY FOR C.IOST ERRORS 
          SRN=SPSC-1573 
          DFN    05/21/80    C$IOST 
 CL50824
          CORRECT INFINITE LOOP OR MODE WHEN A REPLACE STMT PRECEEDES 
          THE DATE-COMPILED PARAGRAPH.  DO THIS BY REMOVING ANY PRINT 
          LINE MANAGEMENT CODE WHICH REPLACE PROCESSING WAS DOING SINCE 
          REPLACE DOES NOT ALTER PRINT LINES. 
          DEW    7/23/80     NEWLINE,REPLACE,TKNCLAS
 CL50836  SET FILE STATUS CORRECTLY IF IT CROSSES A WORD BOUNDARY 
          ALSO FLAG THAT FILE STATUS IS SET CORRECTLY 
          SRN=HQDS-X7928
          DFN    06/25/80    C$COMIO
 CL50841  PRINT CORRECT NUMBER OF LINES ON PAGE IF PS IS SPECIFIED
          SRN=UWA263
        DFN      07/07/80    CBLIST 
 CL50850  CORRECT STORE OF COMPUTATIONAL RESULT WHEN DIFFERENCE IN
          SCALE EXCEEDS 18 DIGITS 
          LVW    7/22/80     FTENSTBL,DTENSTBL
 CL50856  PREVENT ABORT IN CMM.ALF IF DYNAMIC CALLS NESTED MORE THAN
          10 DEEP OR OTHER POSSIBLE ABORTS IF ANY CALLS NESTED
          OVER 10 DEEP
          SRN=HQDS7937
          DFN    09/04/80    C$CALL,C$ENTRY 
 CL50857  PREVENT UNSAT EXTERNAL CALCBCP AND SUBSEQUENT MODE
          ERROR ON SECONDARY STORAGE TO SECONDARY STORAGE MOVE. 
          MODE ERROR ONLY IF ONE SUBSCRIPTED. 
          DFN    09/10/80    C$EC2EC
 CL50871  PREVENT ERROR MODES, BUFFER ARGUMENT ERRORS, ILLEGAL LFNS, ETC
          ON AN UNSTRING STATEMENT WITH DELIMITERS > 2 CHARS AND NOT
          LITERALS. 
          DFN    08/06/80    GSTRING
 CL50876  PREVENT COMPILER LOOPS OR OTHER ERRORS ON VERY LARGE SEGMENTED
           PROGRAMS - DUE TO SEGPTR OVERFLOW
          SRN=RTHA153 
          DFN    09/04/80    SEGPTR,WORKTABS
 CL50877
          REPORT WRITER JOB ABORTS WHEN REPORT NAME IS RESERVED WORD
          MJH    10/15/80          RTABLES
 CL50886
          DIAGNOSTIC 5058 APPEARS WHEN REPORT LINE = 136 CHARACTERS 
          MJH    09/18/80          COLMNCL
 CL50889  FIX MOVE OF REFERENCE MODIFIED ITEM TO COMP-2.
          LVW    9/15/80     GMOVAN 
 CL50894
          PREVENT DIAGNOSING A LEGAL PARAMETER TO C.FILE AS ILLEGAL WHEN
          THE PARAMETER IS THE LAST ONE AND IS NOT FOLLOWED BY A SPACE
          ALSO PREVENT CHANGING OF SETTING OF CF WHEN CF SPECIFIED IN 
          C.FILE CALL 
          DFN    09/30/80    C$COMIO,C$FILE 
 CL50896  REDUCE FIELD LENGTH REQUIRED FOR DISPLAY OF MULTIPLE ITEMS
          LVW    10/14/80    SET5 
 CL50899  MAKE DATE AND TIME IN LISTING SAME AS IN PRFX TABLE 
          DFN    10/09/80    COBTIME,PUTPRFX
 CL50906  SET KEY TO RECORD KEY ON READ KEY IF ALTERNATE KEY STARTS 
          IN SAME POSITION AS RECORD KEY AND RECORD KEY GIVEN ON READ 
          DFN    10/21/80    GIO,VALFUNC
 *L552*    ************************************************ 
 CL50863  FIX STORE INTO SIGN LEADING SEPARATE ITEM WITH NUMERIC
          LENGTH 10 
          LVW    10/28/80    GMOVSTO
 F1064CLK PREVENT MODE ERRORS WITH CID WHEN TRACE ON OR CALLED AND
          THE RUN ABORTS BEFORE STOP RUN CALLED.
          ALSO PREVENT MODE ERRORS ON OLD ABSOLUTES IF *CORE OR *TIME 
          SPECIFIED IN EXECUTION DIRECTIVE
          DFN    02/06/81    C$STOPR,C$TERM 
 F1064CLL 
          ADD LWA FOR PARAGRAPHS ONLY IN THE PARAGRAPH SYMBOL TABLE.
        DEW      01/22/80    ASM2 
 F1064CLM 
          RE-CORRECT THE FWA OF PARAGRAPHS AND SECTIONS IN THE
          CID PROCEDURE DIVISION SYMBOL TABLE.
          DEW    2/25/81     ASM2 
 CL5B088  FIX TO SUPPRESS ERRONEOUS MESSAGE BEING ISSUED
          ON LEGAL SYNTAX OF "RECORD VARYING INTEGER-1 TO 
          INTEGER-2" CLAUSE.
          ALH    2/18/81     DTABLES
 CL5B135  READ MORE THAN ONE LINE FROM CONNECTED FILE 
          DFN    11/19/80    COBIOM,COBIO,SETBFS
 CL5B154  ALLOW FILE CARD TO SET LINE LENGTH ON DISPLAY STATEMENT 
          ALSO PREVENT CRM 142 ERRORS ON FILE WITH OPEN OUTPUT AND
          DISPLAY STATEMENTS
          ALSO RECOGNIZE SCREEN COMMAND ON NOS/BE FOR DISPLAY 
          DFN    10/24/80    C$DSPLY
 CL5B157  PREVENT DIAG 3999 AFTER FD NAME 
          DFN    11/07/80    DTABLES
 CL5B158  CHANGE DIAG 1033 TO W FROM F
          DFN    11/07/80    DIAGTXT
 CL5B160  PREVENT CRM ERROR 206 OR OTHER ERRORS ON COMP-4 KEYS FOR
          INDEXED FILES BECAUSE KL IS TOO LONG
          DFN    11/07/80    CRFIT
 CL5B161  ADD COLUMN FOOTING INFORMATION(TRAILER) TO SNAP DUMP. 
          ALH    11/13/80    C5TDMP 
 CL5B162  DO NOT GIVE NO EXCEPTION DIAGNOSTIC IF A FILE STATUS
          ITEM IS PROVIDED
          DFN    11/10/80    C$COMIO
 CL5B165  PREVENT ERROR MODES OR OTHER ERRORS WHEN A DECLARATIVE
          IS IN AN OVERLAYABLE SEGMENT AND AN I-O STATEMENT IN ANOTHER
          OVERLAYABLE SEGMENT CAUSES THE DECLARATIVE TO BE CALLED.
          ALSO FORCE C$COMIO INTO THE 0,0 OVERLAY 
          DFN    04/03/81    PROCTAB,C$COMIO,C$SEG
 CL5B166  ALLOW CNF, CPA AND FF IN USE LITERAL
          DFN    11/13/80    CRFIT
 CL5B167  FIX MOVE OF SPACES TO SUBSCRIPTED ITEM LONGER THAN
          300 CHARACTERS WITH BCP GREATER THAN 7 ON CMU.
          ( OR SPACE FILL OF MOVE THAN 150 CHARACTERS.) 
          LVW    11/11/80    C$CMUMV
 CL5B171  ALLOW FILE EQUIVALENCE ON FILE CARDS - FORMERLY WOULD 
          DESTROY PROGRAM FOLLOWING C$ACDSC ON DISPLAY OR ACCEPT
          STATEMENT - CAUSED CRM 165 ERRORS, LOOPS, ABORTS, ETC.
          DFN    02/17/81    C$ACDSC,C$COMIO,C$INIT,C$SQOC,C$CAMOP
 CL5B177  DO NOT ABORT ON PARITY ERRORS - CMR CODES 137 AND 135 
          DFN    12/22/80    C$COMIO
 CL5B179  PREVENT PARAMETER MISMATCH ON A CALL TO A COBOL5 PROGRAM
          WHICH HAS MSB AND TDF SPECIFIED ON THE CONTROL CARD 
          DFN    01/09/81    C$TDUMP
 CL5B181  COMPARISON FAILS ON NON-CMU WHEN BCP-A < BCP-B AND B
          IS LONGER THAN A AND A DOES NOT END ON A WORD BOUNDARY AND THE
          DIFFERENCE IN BCPS PLUS THE DIFFERENCE IN LENGTHS > 10
          DFN    01/12/81    C$BCDCM
 CL5B187  FIX SETLOF TO INCLUDE RCL PARAMETER - PREVENTS FIN ERROR
          ON COMPLETE FLAG NON-ZERO.
          DFN    02/02/81    GETIPS 
 CL5B190  ALLOW W TYPE RECORDS ON WORD-ADDRESS (WA) FILES.
          CAUSED CRM 130 ERRORS ON SEQUENTIAL READS 
          DFN    02/06/81    C$WAIO 
 CL5B191  DIAGNOSE DUPLICATE USE LITERAL CLAUSES
          DFN    03/31/81    E$SUBS,DIAGTXT 
 CL5B193  CHANGED DIAGNOSTIC #7273 TO DIAGNOSE JUSTIFIED ITEM 
          AS NON-STANDARD WHEN USED AS RECEIVING FIELD IN A 
          STRING STATEMENT. 
          ALH    02/26/81    DIAGTBL,DFTABLE,SET6 
 CL5B194  SET COLLATING SEQUENCE CORRECTLY ON CMU SORT/MERGES 
          ALSO DO NOT RETURN BLANK RECORD ON CMU RETURN STATEMENTS
          BUGS CAUSED BY SORT/MERGE 5 INTERFACE 
          DFN    02/24/81    C$SMEX,C$SORT4 
 CL5B201  SET MNR TO BE LESS THAN MRL IF MRL CHANGED BY FILE CARD 
          CAUSES LOST RECORDS AT END OF BLOCKS ON S TAPES 
          DFN    03/16/81    C$COMIO
 CL5B203  PREVENT RENDOM ADDRESS NOT ON LIBRARY FILE FOR COPY 
          DFN    04/15/81    COBIO
 CL5B205  FIX RECORD AREA OF RELATIVE FILE LESS THAN 31 CHARS 
          PRODUCING DIAGNOSTIC ABOUT MRL TOO BIG AND ABORTS OPEN INPUTS 
          WITH HEADER NOT FOUND MESSAGE 
          DFN    03/18/81    C$COMIO
 CL5B211
          CORRECT ISSUE OF DIAG 1602 FOR COPY TEXT-NAME OF
          LIBRARY-NAME FOR FIPS TESTS   DIAG 1062 WAS ISSUED INSTEAD. 
          DEW    4/24/80     SETLIB 
 CL5B212
          FIX THE FOLLOWING FIPS PROBLEMS.
          ADD DIAG 1620 TO DIAG. ONE DIGIT LEVEL NUMBERS BELOW FIPS = 3.
          DIAG DATA-NAMES STARTING WITH A DIGIT AT FIPS [ 3.
          DIAG FILLER AS CONDITION VARIABLE FOR FIPS [ 3. 
          DEW    4/24/81     INTERPRE,DIAGTXT,DA2 
 CL5B213
          ISSUE DIAG 3723 ON SAME RECORD AREA CLAUSE FOR RELATIVE FILES.
          DEW    4/29/81     E$SUBS 
 CL5B217  SET SM5RETA CALL TO YES OR NO CORRECTLY 
          CAUSED ALL JOBS TO ABORT WHEN SM5 TURNED ON CHECK 
          DFN    06/10/81    C$SMIF 
 CL5B218  SET RETAIN SEQUENCE TO YES RATHER THAN NO FOR DEFAULT 
          CS003 FAILED BECAUSE OF THIS. 
          DFN    06/19/81    C$INIT 
 CL50837  PREVENT LOOP IN COMPILATION WHEN THERE IS NO SELECT FOR THE 
          LAST FD OR SD.
           ALSO PREVENT LOOP WHEN PERIOD MISSING AFTER SEARCH 
           STATEMENT PRECEEDING END DECLARATIVES. 
          LVW    6/25/80     D$SUBS,PTABLES 
 CL50853  ADD DIAGNOSTIC #7404 TO ISSUE AN ERROR MESSAGE
          WHEN THE RESERVED WORD -THRU- IS NOT FOLLOWED 
          BY A PROCEDURE NAME.
          ALH    02/27/81    DIAGTBL,DFTABLE,PTABLES
 CL50862  FIX EDITING OF SIGN LEADING SEPARATE ITEM 
          LVW    10/28/80    C$EDIT 
 CL50864  PREVENT ERROR MODE 1 IN ALPHANUMERIC COMPARE OM 63 CHARACTER
          SET  SYSTEM - WHEN BINARY ZERO IS COMPARED
          DFN    03/31/81    C$CVCS,C$COLSQ 
 CL50872  CLOSE A FILE WHICH IS LOCAL TO A CAPSULE WHEN THE CAPSULE 
          IS CANCELLED
          DFN    01/27/81    CB5TEXT,C$CALL,C$CLOSF 
 CL50882  FIX TO CHECK FOR "END DECLARATIVES" WITHIN
          AN "IF" STATEMENT.
          ALH    02/24/81    PTABLES
 CL50885  ACCEPT FROM CONNECTED FILE RETURNS GARBAGE RATHER 
          THAN BLANKS IF EMPTY LINE (EOF) ENTERED.
          DFN    11/03/80    C$ACCMN
 CL50888  GENERATE CORRECT CODE FOR STATIC CALL ON OVERFLOW 
          LVW    10/27/80    GBRANCH
 CL50890  ALLOW VARYING AFTER IN INLINE PERFORM 
          LVW    4/13/81     PTABLES,SET4 
          LVW    10/6/80     PTABLES
 CL50892  FIX RELATIONAL CDCS OPERATIONS WHEN DEBUGGING MODE SPECIFIED. 
          THE TESTS FOR AT END OR INVALID KEY WERE INCORRECT. 
          SRN=SPSC1618
          DFN    01/29/81    GIO
 CL50904  PREVENT SPURIOUS DIAGNOSTICS WHEN PSQ SPECIFIED AND LINE
          NUMBERS DECREASE. 
          ALH    12/12/80    INTERPRE 
 CL50910  DELETE 2 ZERO BYTES AT END OF ERROR MESSAGES TO 
          GET RID OF EXTRANEOUS COLONS AND TRAILING SPACES. 
          ALH    10/05/80     CCKRACK,COBOL5
 CL50918  PREVENT SPURIOUS DIAGNOSTICS WHEN USE WHEN FOLLOWS OMITTED IN 
          AN ALTERNATE KEY CLAUSE OR USE LITERAL FOLLOWS SAME 
          DFN    11/05/80    ETABLES
 CL50920  PREVENT EXTRA GARBAGE IN FILE NAME IN ERROR MESSAGES. 
          DFN    01/29/81    C$COMIO
 CL50921  DIAGNOSE BAD SPECIAL-REGISTER REFERENCE. ADD DIAGS N984, N985.
          ALH    12/08/80    DIAGTXT,DRIVER 
 CL50923  MAKE MISSING WORD SECTION A FATAL ERROR 
          LVW    2/20/81     DIAGTXT
 CL50936  MAKE CST A BASED ARRAY. PREVENTS IMPROPER SUBSCRIPT 
          REFERENCES WHEN PROGRAM CONTAINS MANY SUBSCRIPTS IN 
          AN UNINTERRUPTED SEQUENCE.
          ALSO PREVENT MODE ERROR WITH RELATIVE INDEXING UNDER SAME 
          CONDITIONS (CAUSED BY CL5B085). 
          LVW    12/30/80    SET1,PPCOMMON2,PPBEGIN 
 CL50939  FIX PERFORM PROCEDURE NAME NESTED IN INLINE PERFORM WITH
          DIFFERENT TEST PHRASE.
          ALH    2/16/81     PTABLES,SET4 
 CL50940  PREVENT MODE ERROR ON START STATEMENT WITH KEY PHRASE FOR 
          RELATIVE FILE 
          LVW    12/31/80    SET7 
 CL50943  FIX MOVE COMP-1 TO REFERENCE MODIFIED ITEM
          LVW    3/30/81     GMOVC1 
 CL50944  REPAIR UNSTRING WITH COUNT AND TALLYING AS COMP-4 FIELDS
          SRN=MTO-COB03 
          DFN    01/06/81    GSTRING,C$UNST 
 CL50945  FIX COMPARE TO 0 OF SIZE 10 UNSIGNED ITEM.
          IMPROVES CODE FOR COMPARE OF UNSIGNED ITEMS TO 0. 
          LVW    1/26/81     GCONDIT
 CL50948  CHANGE REFERENCE MODIFICATION RANGE CHECKING TO CHECK 
          FOR LENGTH LESS THAN OR EQUAL ZERO. 
          LVW    2/25/81     GSUBSC 
 CL50949  FIX ALPHANUMERIC COMPARE ON 6400
          LVW    02/02/81    C$BCDCM
 CL50957  PREVENT MASSIVE DAYFILE MESSAGES WHEN ERROR HAPPENS ON
          PRE-530 ABSOLUTE BINARIES RUN ON 530 AND LATER SYSTEMS. 
          CAUSED BY CL5B032.
          DFN    02/10/81    C$ENTRY,C$PRTRC
 CL50960  FIX MOVE OF MORE THAN 8190 CHARACTERS WITH SPACE FILL 
          ON CMU. 
          LVW    3/10/81     GMOVSUB
 CL50964  GENERATE FIT CORRECTLY FOR MSB PROGRAMS WITH EXTERNAL FILES 
          DFN    03/18/81    CRFIT
 CL50970  FIX PERFORM MORE THAN 131072 TIMES
          LVW    3/31/81     GBRANCH
 *L564*    ************************************************ 
 CL5*82   1982 COPYRIGHT CODE 
          LVW    8/27/81     CB5TEXT
 CL5B225  FIX MOVE OF LITERAL TO JUSTIFIED ITEM WITH VARIABLE REFERENCE 
          MODIFIERS 
          LVW    8/19/81     LP,CGSETRG,SET5
 CL5B229  PREVENT CALLS TO SETFIT FOR CDCS REALM OPENS. 
          THIS CAUSED CDCS-TAF JOBS TO ABORT
          DFN    09/18/81    C$COMIO
 CL50810  FIX WRITE FROM MUST REFERENCE IDENTIFIER. 
          ALH    09/10/81    DIAGTXT SET7 
 CL50908  PREVENT LOOP OR ERROR MODE 1 IF A COMMENT LINE FOLLOWS
          DATE-COMPILED AND IT IS FOLLOWED BY CONTINUATION LINES. 
          DEW    09/30/81    NEWLINE
 CL50946  ADD FATAL ERROR #7491 TO DIAGNOSE THE USE OF A
          NON-SEQUENTIAL FILE IN THE USING PHRASE OF THE
          MERGE STATEMENT IS ILLEGAL. 
          ALH    0916/81    DIAGTXT PTABLES SET8
 CL50991  PREVENT LOSS OF DATA ON A LINE WHEN A WRITE BEFORE ADVANCING
          IS FOLLOWED BY A DISPLAY ON THE SAME FILE.
          SRN=GJO0033 
          DFN    05/12/81    C$ADVAN
 CL50993   FIX MOVE COMP-1 TO COMP-1 WHEN POINT RECEIVER -
          POINT SOURCE GREATER THAN 7 
          LVW    5/8/81      GMOVR1 
 CL50994  FIX JUSTIFIED  MOVE OR UNSIGNED NUMERIC MOVE WITH LEFT
          TRUNCATION WHERE SOURCE IS TRIPLE PRECISION, DESTINATION
          DOUBLE PRECISION, TRUNCATION REDUCES SOURCE TO DOUBLE 
          PRECISION, ADJUSTED SOURCE BCP GREATER THAN DESTINATION BCP 
          LVW    5/1U/81     GANMOVE
 CL50998  FIX MOVE UNSIGNED SIZE 10 TO UNSIGNED SIZE 10 WHERE 
          POINT DESTINATION - POINT SOURCE GREATER THAN  0 AND LESS 
          THAN 10.
          LVW    5/19/81     GMOVSCA
 CL51004  FIX MOVE WITH POINT DIFFERENCE MORE THAN 7 AND LBZ
           SELECTED 
          LVW    5/21/81     GMOVLOD
 CL51007  PREVENT ABORT ON MOVE ALL LITERAL TO EDITED FIELD 
          LVW    5/26/81     GMOVLIT
 CL51008  DIAGNOSE NON-REPORT FD NOT FOLLOWED BY AT LEAST ONE RECORD
          DESCRIPTION ENTRY.
          DFN    06/25/81    DIAGTXT,DA,DA3,PROCTAB 
 CL51009  FIX VARIABLY SUBSCRIPTED SPECIAL CASE MOVE WHICH RESULTS
         IN A WORD OF ALL SEMICOLONS
          LVW    5/28/81     GSUBSC 
 CL51014  PREVENT SUBSCRIPT OPTIMIZATION FROM REUSING SUBSCRIPT 
          OCCURING IN PERFORM TIMES 
          LVW    6/5/81      PTABLES
 CL51018  PREVENT RECURSIVE CALLS TO MOVE GENERATOR CAUSING ASM2-25 
          ERROR WHEN ON SIZE ERROR SPECIFIED WITH COMPUTE A = B 
          LVW    6/17/81     GMOVE,GMOVSUB
 CL51032  FIX DIVIDE SIGNED ITEM BY POWER OF 2    (CL5B015 BROKE) 
          LVW    7/22/81     GARITH 
 CL51036  SORTS WITH USING FILES WITH Z RECORDS AND AN OUTPUT 
          PROCEDURE DO NOT BLANK FILL UNUSED CHARS IN LAST WORD 
          DFN    07/27/81    C$SMEX 
 CL51038  FIX LITERAL IMPLIED SUBJECT WITH SUBSCRIPTED OBJECT 
           (BROKEN BY CL50722)
          LVW    7/29/81     SET2 
 CL51042  FIX C$DSPDN WILL PRINT 120 OCTAL CHARACTERS ON A LINE 
          IF DATA ITEM EXCEEDS 6 WORDS. 
          ALH    09/11/81    C$DSPDN
 CL51049  DO A ** 2 USING MULTIPLY FOR COMP AND COMP-1 OPERANDS OF SIZE 
          LESS THAN 8.  THIS IMPROVES ACCURACY FOR NON-INTEGERS.
          LVW    8/20/81     GARITH 
 CL51051  FIX START FILE-NAME (BROKEN BY CL5B094) 
          LVW    8/20/81     SET7 
CL51053   FIX ROUNDING OF COMP-2 RESULT 
          LVW    8/21/81     GMOVER 
 CL51054  FIX MOVE OF ITEM WITH LEADING SEPARATE SIGN TO SUBSCRIPTED
          EDITED FIELD WHERE LEFT TRUNCATION IS NECESSARY 
          LVW    8/17/81     GMOVND 
 CL51055  FIX COMPILER WILL NOT MODE OUT AND ISSUE APPROPRIATE
          DIAGNOSTIC WHEN A REPORT-SECTION DATA ITEM IS BEING 
          REFERENCED IN THE MOVE CORRESPONDING STATEMENT. 
          (IT IS ALLOWED TO REFERENCE A REPORT-SECTION DATA 
           ITEM IN THE GENERATE AND USE BEFORE REPORTING
           STATEMENTS ONLY.)
          ALH    09/18/81    DRIVER,F$ANALY,PTABLES,SET5
 CL51056  FIX COMPUTE WITH MULTIPLE RECEIVING FILEDS WHERE RIGHT SIDE 
          IS DATA-NAME. 
          LVW    8/18/81     SET4 
 CL51061  FIX COMPARE SIGNED NUMERIC TO ALPHANUMERIC ON CMU 
          LVW    8/27/81     GCONDIT
 CL51068  PREVENT RECEIVING FIELD NOT CHANGING WHEN DIVISION IS BY A
          POWER OF 2 AND THE DIVIDEND IS ZERO.
          DFN    09/23/81    GARITH 
 CL51069  FIX WRITE BEFORE ADVANCING WHEN 3 SPECIFIED AND *NOTRIP 
          IS SPECIFIED IN THE LGO DIRECTIVE - NEXT LINE ERRONEOUSLY 
          OVERPRINTS. 
          DFN    09/23/81    C$ADVAN
 *L577*    ************************************************ 
 CL5B108  MJH    TKNCLAS,NEWLINE
          DIAGNOSES COPY WITHIN COPIED TEXT 
 CL5B131  MJH    BODYGRP,F$ANALY,R$SUBS,G$DTAIL 
          CORRECTLY PROCESS SUBSCRIPTED SUMS IN REPORT
 CL5B235  A PERFORM N TIMES STATEMENT OPERATES IN 
          MODULO 1 MILLION - THAT IS, N IS TRUNCATED TO 6 DIGITS
          DFN    11/17/81    SET4,GBRANCH 
 CL5B240  FIX COPYL MESSAGES IN INSTALLATION DECK 
          LVW    2/5/82      PROFILE,INSTIO,PPSETS
 CL5B241  FILE STATUS DATA ITEM IS UPDATED SO THAT BOTH CHARACTERS
          EQUAL THE FIRST ONE IF THE ITEM CROSSES A WORD BOUNDARY.
          THIS PSR REQURES THAT CL50836 BE INSTALLED. 
          DFN    2/22/82     C$COMIO
 CL5B246  SET BT TO C TO PREVENT CRM FROM PRODUCING DIAGNOSTIC
          154 DURING SETFIT CALL.  THIS CAN CAUSE CRM TO ABORT DURING THE 
          CLOSING OF A MIXTURE OF INDEXED AND SEQUENTIAL FILES. 
          DFN    03/26/82    C$COMIO
 CL5B247  PREVENT COMPARISON ERRORS OR ABORTS ON ALPHANUMERIC 
          COMPARISONS WHEN CALLS ARE NESTED MORE THAN 9 DEEP. 
          THE COLLATING SEQUENCE POINTER, C.PRGCS IS DESTROYED. 
          DFN    04/16/82    C$ENTRY
 CL5B249  DISPLAY ON CONNECTED FILE USES DEFAULT OF 72 AND IGNORES
          FILE COMMAND. 
          DFN    05/27/82    C$ACDSC
 CL50919  DIAGNOSE REFERENCE MODIFIED UNSTRING OPERAND
          LVW    6/9/81      SET6 
 CL51070  PREVENT COMPILER MODE ERRORS WHEN A RELEASE STATEMENT 
          REFERENCES A SUBSCRIPTED ITEM.
          DFN    10/27/81    PTABLES
 CL51080  FIX MOVE OF UNSIGNED DISPLAY ITEM TO COMP-1 WITH PICTURE 99 
          LVW    10/28/81    GMOVRN 
 CL51082  FIX THE FOLLOWING PROBLEMS CONCERNING COLL SEQS:  
            MEMORY FILLS UP WITH CMM BLOCKS CONTAINING SEQUENCE TABLES
            WHEN A CALLED PROGRAM HAS A COLLATING SEQUENCE DIFFERENT THAN 
            THE CALLING PROGRAM 
            ERROR MODES FROM CMM (BLOCK FWA BAD ON CMM.FRF) IN SOME OF
            THE ABOVE CASES;
            THE COLLATING SEQUENCE FOR A CALLING PROGRAM CAN BE CHANGED 
            TO THAT OF THE CALLED PROGRAM IN SOME CASES;
            IF A USER-DEFINED COLLATING SEQUENCE HAS EQUAL CHARACTERS, A
            CALL TO ANOTHER PROGRAM WILL CLEAR THE FLAG, AND THEY WILL
            NOT BE DETECTED.
          SRN=CBS0114 
          DFN    10/29/81    C$COLSQ,C$ENTRY,C$SETCS
 CL51084  FIX MOVE OF SIGNED DECIMAL SIZE 9 OR LESS TO UNSIGNED 
          COMP-1 PIC 9(9) - 9(14).
          LVW    11/10/81    GMOVRN 
 CL51092  PREVENT LOOP ON DISPLAY WHEN DISPLAY IS ON FILE 
          OPENED IN PROGRAM AND RECORD SIZE OF FILE IS 1 AND CARRIAGE 
          CONTROL IS USED.
          DFN    11/17/81    CB5TEXT,C$DSPLY
 CL51095  RETURN ALL ZZZZZ FILES AT END OF COMPILATION
          USER SUPPLIED CODE. 
          DFN    11/25/81    COBIO
 CL51098  ABORT COMPILATION IF STATEMENT REQUIRES TOO MANY VIRTUAL
          REGISTERS.
          LVW    3/2/82      READSEQ ,VALFUNC 
 CL51104  USE LOCAL TABLE FOR RETURN TABLE TO PREVENT CORE
          FRAGMENTATION WHEN USING DYNAMIC CALLED PROGRAMS. 
          ALSO PREVENT EM1 RATHER THAN DAYFILE MSG WHEN FDL ENTRY 
          NOT FOUND - CAUSED BY CL50872 
          DFN    12/29/81    C$CALL 
 CL51105  C.SORTP IS IGNORED FOR SORT4 CALLS.  F1450 (SORT5 CODE) 
          CAUSED THE BREAKAGE.
          THIS CAUSED THE FIELD LENGTH ASSIGNMENT TO ALWAYS BE DEFAULT
          AND CAUSED DUPLICATE KEYS TO ALWAYS BE ORDERED. 
          ALSO, CAUSE C.SORTP TO APPLY TO ALL SUBSEQUENT SORTS, NOT 
          JUST THE FOLLOWING ONE. 
          DFN    12/29/81 
 CL51113  FIX UNSTRING DELIMITED BY ALL SPACES WHEN LBZ SELECTED. 
          LVW    1/11/82     C$UNST 
 CL51116  DISPLAY WITH NO ADVANCING FAILS IF ONE CHARACTER DISPLAYED. 
          ALSO, IT MAY ABORT IF LARGE LINES ARE DISPLAYED.
          THIS HAPPENS ON NOS ONLY. 
          SRN=CTTCOB4 
          DFN    03/22/82    C$DSPLY
 CL51117
          CORRECT BUG CAUSING LINE FOLLOWING ONE LINE COPY DECKS IN SOURCE
          PROGRAM TO BE IGNORED.
          SRN = CTT COB5
          DEW    3/16/82     TKNCLAS
 CL51123  FIX COMPARISON OF THE FORM ZERO VS COMP-1.
          DFN    2/12/82     GCONDIT
 CL51126  DIAGNOSE CLOSE ON AN UNOPEN FILE. 
          ALSO FIX DELETE FILE TO CORRECTLY SET THE OC FLAG.
          ALSO REMOVE THE REDUNDANT CLOSES FOR SM5 MERGE USING FILES
          DFN    3/1/82      CB5TEXT,C$DELFL,C$RLOC,C$COMIO,C$SQOC
          DFN    4/28/82     GSM
 CL51127  RESTORE CLOSE FLAG FOR RELATIVE FILES.
          DFN    3/1/82      C$RLOC 
 CL51131  FIX MOVE OF ZERO TO SUBSCRIPTED ITEM WITH BLANK WHEN ZERO 
          LVW    02/18/82    EDITPAT
 CL51134  FIX MOVE OF ZERO TO REFERENCE MODIFIED ITEM WITH LENGTH NOT 
          A MULTIPLE OF 10. 
          LVW    02/19/82    GMOVLIT
 CL51138
          CORRECT TKNCLAS TO MATCH TARGETS TO FORMAL PARAMS IN COPY 
          REPLACING WHEN THERE ARE SEVERAL SETS OF PSUEDO-TEXT PARAMS OF
          VARYING SIZE. 
          DEW    3/12/82            TKNCLAS 
          SRN = ISCR 582
 CL51140  DIAG 7263 INCORRECTLY ISSUED WHEN INDEX USED IN PERFORM 
          VARYING AND  MOVE THAN 255 DATA ITEMS PRECEED IT
          LVW    02/24/82    SET4 
 CL51143  MAKE CRM ERROR 100 FATAL AGAIN. 
          DFN    03/24/82    C$COMIO
 CL51154  FIX COMPARE VARIABLE LENGTH GROUP TO ALL LITERAL
          LVW    3/10/82     GCONDIT
 CL51163  PREVENT DESTRUCTION OF FOLLOWING RECORD AREA WHEN AN
          ACCEPT ON INPUT IS BEFORE AN OPEN AND A READ OF SAME. 
          DFN    03/23/82    C$SQRD 
 CL51169  PREVENT ABORT WITH CRM ERROR 070 ON AN ACCEPT ON A
          CONNECTED FILE. 
          DFN    03/30/82    C$ACDSC
 CL51170
          CORRECT GENERATION OF GTEXT FOR GO TO STATEMENTS WHICH DO NOT 
          RESIDE IN A PARAGRAPH.  I.E. NO PARAGRAPH DEFINITION FOLLOWING
          PROCEDURE DIVISION OR SECTION NAME BEFORE THE GO TO STATEMENT.
          SRN = CCS383
          DEW    4/15/82     SET5 
 *L587*    ************************************************ 
 CL5B110  MJH    05/24/82,TKNCLAS 
          CORRECT PRINTING OF REPLACING TEXT WHEN PUNC PRESENT
 CL5B133  MJH    06/15/82    REPLACE
          CORRECTS ABORT WHEN REPLACE ==_== USED
 CL5B208  MJH    06/11/82    ARGROUP
          CORRECTS ABORT IN REPORT WRITER COMPILE 
 CL5B219  ADD DIAGNOSTIC #7563 TO ISSUE AN ERROR MESSAGE FOR THE
          WITH NO REWIND PHRASE OF THE FORMAT 2 OPEN STATEMENT. 
          ALH    09/29/82    DIAGTBL,DFTABLE,SET7 
 CL5B220  ADD DIAGNOSTIC #7564 TO ISSUE AN ERROR MESSAGE FOR
          THE WITH LOCK PHRASE OF THE FORMAT 2 CLOSE STATEMENT. 
          ALH    09/29/82    DIAGTBL,DFTABLE,SET7 
 CL5B243  FIX TO ENSURE A PARAGRAPH WITH A
          NESTED OUT-OF-LINE PERFORM WILL 
          EXECUTE WITH TEST BEFORE (IMPLICIT) 
          IF NO TEST PHRASE IS SPECIFIED. 
          THIS IS FOR A CASE NOT COVERED BY 
          CL50939.
          ALH    9/21/82     PTABLES
 CL5B244  CORRECT PARAMETER LENGTH FOR DISPLAY ITEM WITH SEPARATE SIGN. 
          LVW    10/04/82    GBRANCH
CL5B253   CHANGE XF AND XFSORT TO BE COMPATIBLE 
          WITH BOTH SORT4 AND SORT5. REMOVE OLD SORT4 MACRO 
          INTERFACE, NOT SUPPORTED BY SORT5. REPLACE WITH 
          SYMPL PROCEDURES USING SM4 PROCEDURE CALLS, WHICH SORT5 
          CAN PROCESS. REMOVE DECK XFSORT (COMPASS).
          ** NOTE ** IDENT ST5A329 MUST BE PRESENT IN SORT5 
          OR THIS IDENT WILL NOT INSTALL PROPERLY.
          GSP 9-16-82   XF,XFSORT,-SKEL-
 CL5B256
           CL51117 MAY CAUSE LARGE PROGRAMS TO BODE OUT THE COMPILER. 
           SRN = DEW8201
           DEW    READIT,TKNCLAS
 CL51146
          CORRECT C5TDMP TO NOT MODE OUT WHEN THERE ARE SUBPROGRAMS 
          WITH SNAP DUMPS IN THE MAIN, SUBS, OR BOTH, BY
          INITIALIZING A PROGRAM COUNTER. 
          SRN = FEV0143 
          DEW    5/6/82      C5TDMP 
 CL51155
          CORRECT C$DSPDN TO DISPLAY THE CORRECT NUMBER OF
          CHARACTERS FOR COMP-4 ITEMS BY CORRECT GBRANCH TO USE 
          BYTE LENGTH INSTEAD OF NUMERIC LENGTH WHEN SETTING UP 
          PARAMETER DESCRIPTIONS FOR COMP-4 ITEMS IN CALL AND 
          ENTER STATEMENTS. 
          SRN = SARA
          DEW    4/28/82     GBRANCH
 CL51159
          CORRECT COMPILER TO ISSUE DIAG 7369 WHEN
          A REWRITE STATEMENT, ON AN INDEXED OR RELATIVE FILE W/RANDOM
          OR DYNAMIC ACCESS, HAS NO INVALID KEY PHRASE OR DECLARATIVE 
          PARAGRAPH, AND HAS NO FILE STATUS EITHER. 
          SRN = K 149 
          DEW    4/27/82     SET7,DIAGTXT 
 CL51180  FIX BLANK WHEN ZERO FRO ITEM WITH OVERPUNCH SIGN AND
          VALUE LESS THAN 10. 
          LVW    05/05/82    C$EDIT 
 CL51185  PREVENT ABORT IF DB=B SPECIFIED AND AN 88 WITH A THRU 
          IS ASSOCIATED WITH A BAD ITEM.
          DFN    06/01/82    SET2 
 CL51188  ALLOW DISPLAY AND WRITE ON FILE CHANGED ON LGO DIRECTIVE. 
          ALSO ALLOWS THEM TO BE MIXED ON ANY SEQUENTIAL FILE.
          ALSO CORRECTLY DIAGNOSES OPEN OF FILE WITH SAME NAMED FILE
          ALREADY OPEN. 
          DFN    06/01/82    IOMICROS,C$COMIO,C$SQOC
 CL51199 FIX MOVE COM COMP-1 ARITHMETIC RESULT TO TEMPORARY 
          DISPLAY RECEIVER ,WHEN MULTIPLE RESULTS. WITH RIGHT 
          TRUNCATION. 
          ALSO FIX SQME MOVE WHERE SIZE SOURCE - POINT DIFFERENCE = 10
          AND SIZE DESTINATION LESS THAN 10 
          LVW    07/16/82    GMOVR1 
 CL51206  RELATIVE FILES WHICH ARE PRU ALIGNED AND CREATED ON 
          COBOL4 FAIL WHEN READ ON COBOL5.
          DFN    08/12/82    C$RLOC 
 CL51219  SAVE AND RESTORE RELATION TABLE ADDRESS ACROSS CALL FOR CDCS
          LVW    10/04/82    C$ENTRY
 CL51227  FIX MOVE NUMERIC TO SUBSCRIPTED ALPHANUMERIC EDITED 
          LVW    10/15/82    GMOVRN 
 CL51230 FIX MOVE ALL SEMICOLON AND ALL COLON IN SAME PROGRAM.
          LVW    10/15/82    LSEARCH
 CL51242  FIX SIGN CONDITION ON SUBSCRIPTED BINARY ITEM 
          LVW    11/8/82     GCONDIT
 CL51243  FIX IF COMP-1 NUMERIC FOR NEGATIVE VALUE. 
          LVW    11/08/82    GCONDIT
 CL51244  FIX INITIALIZE SUBSCRIPTED GROUP ITEM WHICH HAS 
          SUBORDINATE ITEMS WITH OCCURS CLAUSES.
          LVW    11/11/82    SET6 
 CL51246  FIX ADD UNSIGNED OPERANDS REQUIRING DOUBLE RESULT 
          RESULTING IN 10 DIGITS OF NINE. 
          LVW    11/8/82     C$AD112
 *L601*    ************************************************ 
 CL5B111
          ADD A NON-STANDARD DIAGNOSTIC TO CATCH MISSING
          01 ENTRY FOLLOWING AN INPUT CD WITH NONE OF THE 
          ABREVIATED OPTIONS CHOSEN.
          SRN = MDS62 
          DEW    12/20/82    DTABLES,DIAGTXT
 CL5B199
          PREVENT C5TDMP FROM ABORTING EVER!
          DEW    12/21/82    TDMISC 
CL5B207  FIX TO SUPPRESS CRM ERROR 100 FOR THE READ..AT END 
         STATEMENT AT THE MERE PRESENCE OF THE DEBUGGING
         SECTION AND DB IS SPECIFIED. 
         ALH    02/03/83    CCKRACK,READIT
 CL5B228  MOVE ALL LITERAL TO NUMERIC EDITED
          LVW    4/8/83      LP,GMOVLIT 
 CL5B245  FIX ENTER USING FLOATING POINT LITERAL
          LVW    6/14/83     GBRANCH
CL5B251  FIX TO DIAGNOSE A REFERENCE MODIFIED 
         STRING IDENTIFIER. 
         ALH    12/16/82    SET6
 CL5B257  PROCESS SUBSCHEMA WHEN NO DATA DIVISION PRESENT 
          LVW    4/11/83     INTERPRE,DATAMAP 
 CL5B262
          PREVENT THE LOADING OF CERTAIN ROUTINES IN A COBOL 5 TASK 
          COMPILED WITH "TAF".
           1. WHEN STOP RUN USED.  PREVENT C$CLOSF FROM BEING LOADED. 
           2. PREVENT C$DM FROM BEING LOADED WHEN NO CDCS.
          SRN = BPS023
          DEW    01/21/83    COBINIT,C$STOPR,C$ENTRY
 CL5B263  FIX INITIALIZE OF A TABLE 
          LVW    02/23/83    SET6 
 CL5B265  MJH    03/04/83    SETCOPY
          RESETS FLAG, STCOPY, WHEN LIBRARY IS ALL COMMENTS 
 CL5B267
          CORRECT PTABLES TO TREAT AN END-PERFORM OR END-SEARCH 
          AS AN IMPLICIT END-IF FOR AN OPEN ENDED IF COND THEN STMNT
          BEFORE THIS CODE PTABLES ONLY DID SO FOR AN OPEN ENDED ELSE 
          IF COND THEN IMPERATIVE-STATEMENT ELSE IMPERATIVE-STMNT 
          SRN = DEW83096. 
          DEW    4/7/83      PTABLES
 CL5B268  USE CPM FUNCTION GETPAGE TO SET DEFAULT VALUES FOR
          PRINTING; PRINT DENSITY, PAGE SIZE AND PAGE WIDTH.
  
          THE GENERAL RULE FOR IMPLEMENTATION HAS BEEN- 
           - IF PARAMETER OMITTED ON THE CONTROLCARD
                USE JOBS CURRENT VALUE. 
           - IF JUST KEYWORD FOR PARAMETER SPECIFIED- 
                PD=8, PW=72 AND PS=JOB DEFAULT. 
           - IF PARAMETER VALUE SPECIFIED-
                USE THE SPECIFIED VALUE.
           - NO RELATION BETWEEN PD AND PS PARAMETERS 
                ASSUMED.
  
          COBOL5 RECOGNIZES PD, PRINT DENSITY, PS, PAGE SIZE AND
          PW, PAGE WIDTH. 
  
          APOS   82/02/17    SFETS
                             PUTMSG 
                             CBLIST 
                             CCKRACK
                             TERMPROG 
  
 CL5B269  REWORD DIAGNOSTIC 4009 AND CHANGE SEVERITY AND CAUSING
          CONDITION.
          LVW    6/7/83      DA4,DIAGTXT
CL50828  FIX TO DIAGNOSE THE SAME USING AND GIVING
         FILE IN THE MERGE STATEMENT AND TO CHECK 
         FOR THE FILE FROM A MULTIPLE FILE REEL 
         CORRECTLY. 
         ALH    12/20/82    SET8
 CL50859 OPTIMIZE UNSTRING WITH SINGLE CHARACTER DELIMITER. 
         LVW    03/23/83    C$UNST
 CL50980
          FIX PROCESSING OF SOURCE CODE FOLLOWING A COPY
          STATEMENT ON THE SAME LINE.  THIS WILL FIX THE
          LISTING AND PREVENT LOOPS OR MODES (ESPECIALLY
          IF THE COPY STATEMENT WAS TERMINATED WITH TWO 
          PERIODS). 
          SRN = 53115 
          DEW      01/18/82    SETCOPY,READIT,NEWLINE 
CL51027  FIX TO ISSUE THE RIGHT NUMBER OF ERROR MESSAGE 
         (4124).WHEN N FILES ARE ASSIGNED TO THE SAME 
         IMPLEMENTOR NAME, THE SAME WARNING MESSAGE IS
         ISSUED N X (N - 1) TIMES INSTEAD OF N TIMES. 
         ALH    01/06/83    DA
 CL51031  FIX OBJECT CODE LISTING FOR CMU INSTRUCTIONS
          REFERENCING LINKAGE SECTION ITEMS 
          LVW    4/7/83      ASM2 
 CL51040  MJH   05/06/83    ARGROUP 
          CHECKS INHIBITABLDF BEFORE EXAMINING TABLES 
 CL51043  MJH    05/03/83     ARGROUP 
          RESTORE CURRRPTGRPTR AT END OF ARGROUP
CL51077  FIX TO ALLOW LINE NUMBERS UP TO 16 BITS IN 
         CROSS REFERENCE WHEN USING THE PSQ OPTION. 
         ALH    04/12/83    XF
CL51083  FIX TO SUPPRESS A PECULIAR OCCURRENCE-MESSAGE. 
         SET CHKFORDUPS TO FALSE AT THE END OF THE DATA 
         NAME PROCESSING FOR ALPHANUMERIC ITEM WHICH IS 
         GREATER THAN 10 CHARACTERS.(WRITEDUMP) 
         ALH    01/20/83    C5TDMP
 CL51107
          INITIALIZE MAJ$MEM$SEC OF DA TO WSMSEC SO THE DNATS OF
          ANY DATA ITEMS FOLLOWING THE DATA DIVISION HEADER 
          WHEN THERE IS NO SECTION HEADER HAVE A VALID
          MAJMSEC.  THIS PREVENTS ASM-25 ERROR ON REFERENCES
          TO THESE DATA ITEMS IN THE PROCEDURE DIVISION.
          ADD DIAG TO CATCH NO BEGINING SECTION HEADER IN 
          THE DATA DIVISION WHEN THE DATA DIVISION IS NOT 
          EMPTY.
          SRN = 54321 
          DEW    12/8/82     DA 
 CL51147
          INCREASE THE INTEGER PART OF THE CPU ACCOUNTING DAYFILE 
          MESSAGE GIVEN BY THE PARAM *TIME ON THE LGO TO 5
          DIGITS, FORMERLY 4. 
          SRN = FEV0142.
          DEW    12/9/82     C$TERM 
 CL51152   FIX MOVE HIGH-VALUE TO NUMERIC WHEN COLLATING SEQUENCE 
           IS NOT DEFAULT.
           LVW    06/14/83     GMOVLIT
CL51172  FIX TO PREVENT MODE 1 IN C5TDMP WHEN C.SNAP IS 
         CALLED WITH NO PARAMETER OR WITH AN ITEM WHICH 
         IS NOT USAGE DISPLAY OR WITHOUT SPECIFYING TDF 
         ON THE CONTROL CARD. 
         ALH    12/14/82    C$SNAP,C$TDUMP
 CL51177
          CORRECT SPELLING OF "RELATIVE" IN EXECUTION DIAGNOSTIC. 
          SRN = CCS550
          DEW    12/10/82    CB5TEXT
 CL51193
          DIAGNOSE NON TABLE ITEMS SUCH AS FILE NAMES AS
          AS SUBJECT OF SEARCH STATEMENTS.
          SRN = 151933
          DEW    12/13/82    SET9 
 CL51201
          ADD DIAG 3139 TO DIAGNOSE SUB-SCHEMA CLAUSE WHEN NOT IN 
          SPECIAL-NAMES PARAGRAPH.
          SRN = 74
          DEW    12/06/82    ETABLES,DIAGTBL
 CL51204  MJH    04/08/83    C$DSPLY
          CORRECTS DISPLAY WITH NO ADVANCING
          WHEN SOURCE NOT ON WORD BOUNDRY 
 CL51222  A REDUNDANT CLOSE PREVENTED FILE UNLOAD 
          WHEN LATER CLOSE WITH LOCK WAS EXECUTED.
          GSP    4-8-83      C$COMIO
 CL51226
          COPY...REPLACING FAILS TO DO REPLACEMENT PROPERLY MORE
          THAN ONCE ON ANY ONE LINE.  OFFSETS FOR SQUEEZING OF TOKENS 
          WERE NOT BEING USED WHEN BLANKING OUT THE FORMAL PARAM. 
          DEW    11/30/82    TKNCLAS
 CL51245  FIX INSPECT TALLYING FOR SINGLE ITEM LONGER THAN 10 
          CHARACTERS. 
          LVW    3/17/83     GSTRING
 CL51251  ABORT GRACEFULLY WHEN VREG TABLE OVERFLOWS
          LVW    12/15/82    READSEQ
 CL51252  MJH    01/24/83          F$ANALY
          CORRECTLY HANDLES ITEM WHEN DIAG 5028 ISSUED
CL51253  FIX TO AVOID COMPILER LOOPING WHEN SPECIAL REGISTERS 
         (LINE-COUNTER, PAGE-COUNTER,DEBUG-ITEM,LINAGE-COUNTER) 
         ARE BEING REFERENCED AFTER TWO CONSECUTIVE RELATIONAL
         OPERATORS. 
         ALH    12/10/82    DRIVER
 CL51255
          ERROR EXIT PROCESSING WAS ADDED TO FIT PRIOR TO SETFIT CALL 
          WHERE IT WAS PREVIOUSLY EXPLICITLY OMITTED. 
          WITHOUT IT OPEN PROCESSING ON SEQUENTIAL FILES VIA OPENM
          MAY LOOP, ABORT, ETC. 
          SPECIFIC PROBLEM FOUND WITH THIS PSR WAS COBOL FILE 
          EQUIVALENCE USING A NUMERICAL NAME CAUSED CRM ERROR 
          165 ON THIS SETFIT, THEN SINCE WE DID NO ERROR
          PROCESSING THE SUBSEQUENT OPENM ON THE SAME FILE LOOPED.
          SRN = 57304 
          DEW    1/27/83     C$SQOC 
 CL51257
          CORRECT PARSING OF ELSE NEXT SENTENCE TO EXPECT END OF
          IF STATEMENT TO FOLLOW. 
          SRN = 55244 
          DEW    12/06/82    PTABLES
 CL51261
          CORRECT COPY PROCESSING TO DIAGNOSE EMPTY PSUEDO-TEXT-1 
          WHEN IT IS INTENTIONALLY LEFT BLANK IN THE SOURCE OR
          WHEN IT CONSISTS OF ILLEGAL CHARACTER(S) SUCH 
          AS ? OR # WHICH ARE THROWN AWAY BY GETSTR THUS
          LEAVING IT BLANK. 
          SRN = NIRA23
          DEW    12/14/82    SETPAIR,DIAGTXT
 CL51262
          DIAGNOSE ATTEMPTED CONCATENATION IN COPY...REPLACING USING
          PUNCTUATION CHARACTERS COMMA OR SEMICOLON.
          SRN = NIRA22
          DEW    12/15/82    TKNCLAS,DIAGTXT
 CL51263
          WHEN A COPY FROM ONE COPY LIBRARY IS DONE FOLLOWING 
          A COPY FROM A DIFFERENT COPY LIBRARY THE UPDATE 
          IDENTIFIER ON THE COBOL SOURCE LISTING MAY NOT
          BE CHANGED FROM THE PREVIOUS COPY.
          FORCE THE RETREIVAL OF THE IDENT NUMBER FOR A COPY DECK 
          FROM THE UPDATE PL AT LEAST ONCE PER COPY.
          THIS WILL ALWAYS CAUSE A NEW IDENTIFIER TO BE RETREIVED 
          ONCE PER COPIED DECK. 
          SRN = 55245 
          DEW    12/16/82    READIT 
 CL51264
          CORRECT PRINT LINE MANAGEMENT WHEN DATE-COMPILED COMES
          IN FROM COPY LIBRARY W/ REPLACING ACTIVE ON COPY STMT.
          SRN = MSC 103 
          DEW    12/17/82    DATECMP
CL51265   USER SUPPLIED HASHING ROUTINE FOR DA FILES
          WAS RECEIVING GARBLED KEYS WHILE ACCESSING THE DA 
          FILE BY ALTERNATE KEYS. THIS WAS CAUSED BY ROUTINE
          -HASHER- IN C.OPNDA FETCHING THE BCP OF THE KEY FROM
          THE FIT. DURING ALTERNATE KEY PROCESSING, THE FIT 
          HAS THE BCP OF THE ALTERNATE KEY. SOLUTION IS TO FETCH
          THE BCP FROM INTERNAL TABLES. 
          GSP    12/13/82    C$DAOC 
CL51269  FOR AK FILE, A RECORD KEY OF COMP-4 ITEM CAN 
         BE 14 DIGITS LONG (48 BITS). REMOVE DIAGNOSTIC 
         #4106 AND CHANGE REFERENCE MANUAL TO REFLECT THIS. 
         ALH    02/16/83    DA3,DIAGTBL,DFTABLE 
 CL51274  MJH    02/25/83    R$SUBS,RGCTEXT 
          SOLVES PROBLEMS WITH VERY LARGE RW PROGRAMS 
 CL51275  FIX GIVING FILE WITH RECORD DEPENDING ON ITEM 
          LVW    2/16/83     GSM,GIO
 CL51276
          TERMINL NOT RECOGNIZED AND MADE A CONNECTED FILE
          WHEN COMPLETE BIT OF FIT IS SET, CAUSING TERMINL TO 
          BECOME A MASS-STORAGE FILE. 
          CORRECT BY MASKING OUT ONLY THE FILE NAME FROM THE
          FIT TO COMPARE FOR TERMINL IN C$ACDSC.
          DEW    2/14/83     C$ACDSC
 CL51279  FIX MOVE DOUBLE PRECISION TO SINGLE PRECISION WHERE ALL 
          DIGITS IN LOW ORDER WORD ARE TRUNCATED AND NO OTHERS. 
          LVW    02/10/83    GMOVSCA
CL51282  FIX TO DIAGNOSE COLONS IN PROGRAM-NAME 
         AND FDLFILE-NAME. CHANGE ERROR MESSAGE 
         #7399 TO EXCLUDE "-" AND INCLUDE ":".
         ALH    02/22/83    INITFDLT,SET8,DIAGTBL,DFTABLE 
 CL51285  DON"T GENERATE -0 ON MULTIPLY BY LITERAL
          LVW    2/14/83     GCONMUL
CL51286  F TYPE RECORDS WITH LENGTH LESS THAN 10 CHARACTERS 
         WILL BE FLAGGED WITH A WARNING DIAGNOSTIC #8017. 
         ALH    04/11/83    CRFIT,DIAGTBL,DFTABLE 
 CL51294  FIX MOVE FIGURATIVE CONSTANT TO ITEM WITH CONSTANT
          REFERENCE MODIFIERS, MODIFIED LENGTH LESS THAN 10, REAL 
          LENGTH AT LEAST 30. 
          LVW    03/17/83    GMOVLIT
 CL51295
          SET SBF=NO IN C$WAIO TO FORCE BUFFER USAGE FOR WA FILES SO
          COBOL5 CAN WRITE ITS NECCESSARY HEADER WORD ON THE FILE FOR 
          INVALID KEY AND AT END PROCESSING.
          THIS WILL OVERIDE THE USER SETTING SBF=YES ON A FILE CARD.
          DEW    3/22/82     C$COMIO
 CL51298  FIX STORE INTO SIGN TRAILING SEPARATE WHICH FITS IN ONE WORD
          WHERE SHIFT COUNT FOR POINT ALIGNMENT LESS THAN NUMBER OF 
          CHARACTERS TO RIGHT OF RECEIVER 
          LVW    3/23/83     GMOVSTO
 CL51300  SPEED UP FLD FILE PROCESSING
          LVW    3/28/83     TABINIT
 CL51301 FIX STORE SIGNED SOURCE INTO SIZE 10 RECEIVER ON 
         WORD BOUNDARY WITH TRAILING INCLUDED SIGN WHERE
         POINT SOURCE IS GREATER. PREVENTS STORE REGISTER 
         OVERCOMMITMENT MESSAGE.
          LVW    03/29/83      GMOVSTO
 CL51308 CHANGE PROCESSING OF SYNCHRONIZED, REDEFINED ITEM. 
          LVW    4/14/83     DA4
 CL51311  START WITH KEY EXACTLY 1 GREATER THAN LAST
          KEY CAUSED AN INFINITE LOOP 
          GSP    4-14-83     C$RLRA 
 CL51316
          FORCE DIAG 4116 TO BE ISSUED OF AN FD WITH RECORDING
          MODE IS DECIMAL AND SIGN COMBINED FIELDS IN A RECORD. 
          DEW    5/24/83     DA3,DIAG 
 CL51317  FIX SUBSCHEMA ALTERNATE KEY RPOCESSING WHEN PRIMARY KEY IS
          NONIMBEDDED (PREVENTS SPURIOUS DIAGNOSTICS).
          LVW    5/18/83     DBSLNXRKY
 CL51321
          SURROUND WEAK EXTERNAL TO C.CLOSF IN C$STOPR WITH TAF 
          CONDITIONAL CODE AND ADD STRONG EXTERNAL TO C.CLOSF IF
          NOT IN TAF ENVIRONMENT. 
          REMOVE GENERATION OF USE TO FORCE THE LOADING OF C.CLOSF
          IN A NON TAF ENVIRONMENT. 
          SRN = BWA 
          DEW    6/15/83     C$SROPR
 *L617*    ************************************************ 
 RSE0147  ADD EXTERNAL DATA FEATURE.
          ALH     10/28/83    TABINIT,PROCTAB,D$SUBS,DRIVER,DNTEXT, 
                              DA2,DTABLES,DA4,DA3,DA,DATAMAP
 RSE1479  ALLOW PROCESSING TO CONTINUE AFTER ATTEMPTING TO
          OPEN FILE WITH SAME NAME AS ALREADY OPEN FILE.  ERROR WILL
          BE FATAL BUT JOB WILL CONTINUE IF C$IOENA IF CALLED.
          LVW    02/01/84    C$COMIO
 CL5B277  PREVENT DIAG 3622 WHEN I-O-CONTROL PRESENT WITH SUBSCHEMA 
          (BROKEN BY CL5B257) 
          LVW    9/23/83     INTERPRE 
 CL5B278  CHANGE DEFAULT SORT LIBRARY FROM SORT 4 
          TO SORT 5.
          GSP    01-26-84    CB5TEXT
 CL5B282  DO NOT CALL RECOVER IN TAF ENVIRONMENT (NECESSARY 
          BECAUSE OF CHANGE TO RECOVER).
          LVW     01/12/84      C$STOPR 
 CL5B284  FCTC MULTI-FILE TAPE TESTS WERE FAILING WHEN
          THE DEFAULT SORT WAS CHANGED TO SORT 5 FROM 
          SORT 4. 
          GSP    01-30-84    GSM, C$SMIF
 CL5B287  FCTC TESTS SQ205 AND SQ218 WERE FAILING 
          BECAUSE THEY WERE CHANGED TO DO AN
          -OPEN EXTEND- ON A TAPE FILE INSTEAD OF 
          A DISK FILE.
          A MORE PERMANENT FIX FROM CRM IS EXPECTED,
          AT WHICH POINT THIS CODE CAN BE DELETED.
          GSP    02-15-84    C$COMIO
 CL51320  MODE ERROR IN C$RLOC WHEN RELATIVE FILE 
          WAS FORCED TO F-TYPE RECORDS. 
          GSP    6-27-83     CRFIT
 CL51326  ELIMINATE SORT DAYFILE MESSAGES FROM
          COMPILATIONS INVOLVING LARGE CROSS-REFERENCE
          LISTINGS. 
          GSP    6-22-83     XF 
 CL51341  CHANGE TO USE FTNLIB
          LVW    08/24/83    FTNLIB 
 CL51343  GENERATE SEQUENCE SEPARATORS IN GROUP INITIALIZE TO 
          PREVENT VIRTUAL REGISTER TABLE OVERFLOW 
          LVW    9/15/83     SET6 
 CL51344  FIX MOVE COMP-1 TO COMP-1 WHEN POINT RECEIVER - POINT SOURCE
          GREATER THAN 7 (RESTORING LOST CARD FORM CL50993).
          LVW    9/15/83     GMOVR1 
 CL51345  SAVE AND RESTORE DECLARATIVE TABLE ADDRESS ACROSS SUBPROGRAMS 
          LVW    9/15/83     EXTDEFS,GBRANCH,C$SETDC
 CL51347  THE ACCEPT VERB ONLY READ 270 CHARACTERS
          ON NOS/BE, INSTEAD OF THE 300 GUARANTEED IN 
          THE REFERENCE MANUAL. THIS WAS A SIDE-EFFECT OF 
          CL5B032, WHERE THE VARIABLE *BUFFS* ASSUMED DIFFERENT 
          SIZES ON NOS AND NOS/BE (40B AND 33B RESPECTIVELY). 
          GSP    10-6-83     C$INIT 
 CL51349  FIX MOVE OF MORE THAN 150 SPACES TO SUBSCRIPTED RECEIVER
          WITH NONZERO BCP ON CMU VERSION.
          LVW    10/11/83    C$CMUMV
 CL51350  FIX WRITE AFTER ADVANCING PAGE WHEN LINAGE IS DATA-NAME.
          LVW    10/14/83    C$LINAG
 CL51351  FIX REFERENCE MODIFIED MOVE OF MORE THAN 8191 
          CHARACTERS ON CMU VERSION.
          LVW    10/13/82    C$CMUMV
 CL51354  FIX REGISTER ASSIGNMENT ALGORITHM TO AVOID CASE WHERE 
          BOTH INPUT REGISTERS ARE STORE REGISTERS AND ALL X REGISTERS
          ARE IN USE. CHANGE ALGORITHM TO NEVER ASSIGN X7 EXCEPT AS A 
          STORE REIGSTER AND TO CHOOSE REGISTER TO BE SAVED AS THE ONE
          WHOSE LAST USE IS FARTHEST AWAY IN SEQUENCE.  ALSO ABORT
          AFTER ASSEMBLER ERROR.
          LVW    10/13/83    INSTGEN,ASMABT,ASM2
 CL51355  DELETE FILE STATEMENT DID NOT RETURN
          THE MIP INDEX FILE. 
          GSP    10/1/-83    C$DELFL
 CL51364  FIX MOVE LITERAL TO REFERENCE MODIFIED ITEM 
          WITH CONSTANT REFERENCE MODIFIERS AND LENGTH
          LESS THAN 3.
          LVW     12/14/83     GMOVSUB
CL51378  GENERATE CORRECT CODE FOR MOVE SHORT LITERAL TO
         SHORT ITEM WITH VARIABLE REFERENCE MODIFIERS.
         PREVENTS ASM2-25 ERROR.
          LVW     01/18/83    GMOVAN
 *L628*    ************************************************ 
CL5B270  CORRECT PRINTING OF COPY REPLACING TEXT WHEN 
         PUNCTUATION WAS USED IN A LONG PSEUDO-TEXT.
         THIS IS FOR A CASE NOT COVERED BY CL5B110. 
         ALH    12/13/83    TKNCLAS 
CL5B276  SECONDARY-STORAGE ITEMS WILL BE ALLOCATED PROPERLY.
         ALH    12/29/83    DEFBLOCK,ASM2 
 CL5B279  MJH     11/2/83   INTERPRE,CRFIT,PA,SFETS,COBINIT 
                             CCKRACK,DATAMAP,INITCCT,CCTTEXT
          CHANGES COMPILER TO DUMP INFORMATION FOR FMA
 CL5B285      CORRECT ALLOCATION OF 77 LEVEL ITEM FOLLOWING EXTERNAL ITEM.
          LVW    01/30/84    DA,DA2 ,PROCTAB
 CL5B286  SUBPROGRAM SHOULD NOT INHERIT COLLATING SEQUENCE FROM 
          MAIN PROGRAM. 
          LVW    04/16/84    GBRANCH
 CL5B291  WHEN THE RECORD CLAUSE IN AN FD SPECIFIED AN MRL
          LARGER THAN ANY OF THE ACTUAL RECORD DESCRIPTIONS,
          THE MRL FOR THE FILE WAS SET TO THE LARGE FIGURE
          FROM THE RECORD CLAUSE WHILE THE RECORD AREA WAS
          SET TO THE SMALLER VALUE FROM THE ACTUAL RECORD 
          DESCRIPTIONS. WHEN A LARGE RECORD WAS SUBSEQUENTLY READ,
          ADJACENT VARIABLES WERE DESTROYED.
          GSP    4/24/81     DIAGTXT, DACOMDK, DA 
 CL5B293  MJH    08/02/84     SFETS 
          CHANGES NAME OF FILE DUMPED FOR FMA 
CL50979  FIX TO SUPPRESS SPURIOUS DIAGNOSTIC #4090 ON 
         FD-LEVEL1 ITEMS. 
         ALH    12/29/83    DA3 
 CL51229  ADDS OBJECT ROUTINE C.AL2AE WHICH PERFORMS MOVES OF ALL 
          LITERAL TO ALPHA EDITED ITEMS. MAKES THE APPROPRIATE
          CHANGES TO GMOVLIT TO CALL THE NEW ROUTINE AND TO OBJDEFS 
          TO DESCRIBE THE NEW ROUTINE.
          JEG    05/25/84    C$AL2AE,GMOVLIT,OBJDEFS
CL51324  FIX TO ISSUE DIAGNOSTIC(#4140) WHEN BYTEOFF > 32767
         FOR FILE SECTION; CHANGE REFERENCE MANUAL TO REFLECT 
         THIS.
         ALH    11/29/83    DIAGTBL,DFTABLE,DA,DA2,DA3,DA4
CL51331  FIX TO PREVENT SUB-DATA ITEM TRUNCATION
         FOR NON-IDENTICAL LEVEL-NUMBER.
         ALH    10/26/83    DA
         LVW    04/16/84    DA
 CL51335
          CORRECT LISTING WHEN REPLACEMENT TOKEN OF A COPY
          REPLACING LINE IS A QUOTED LITERAL WHICH MUST SPAN MORE 
          THAN ONE LINE.  THE PROBLEMS WERE:  
          1. OPENING QUOTE WAS PLACED 1 COLUMN TO THE LEFT OF WHERE 
             IT BELONGED CAUSING AN EXTRA BLANK IN THE LITERAL ON 
             THE LISTING ONLY (NOT IN THE AP).
          2. LAST CHARACTER OF QUOTED LITERAL WAS LOST ON THE 
             LISTING ONLY.
          3. ALL AVAILABLE COLUMNS ON A LINE WERE NOT BEING USED
             MAKING THE LITERAL ON THE LISTING APPEAR TO EXTRANEOUS 
             SPACES AT A END OF A LINE PRIOR TO CONTINUING IT ON
             THE NEXT LINE.  THIS WAS CAUSED BY CODE FROM CL5A986 
             WHICH SHOULD HAVE BEEN VERBALLED AS 'THAT IS HOW IT IS', 
             THIS CODE REUSED A SCRATCH VARIABLE (L) WHICH WAS IN USE.
             SRN = DPT091 
             DEW 10/20/83    TKNCLAS
 CL51356  PREVENT COMPILER LOOP WHEN SUMMING UPON MORE THAN 2 DETAIL
          ITEMS.
          LVW    10/24/83    BODYGRP
 CL51358  FIX FILE-STATUS DECLARED IN LINKAGE SECTION.
          PROBLEM CAUSED BY ALLOCATION OF PARAMETER ASSOCIATION 
          LIST IN MIDDLE OF PARAMETER INSERTION LIST.  SOLUTION 
          IS TO PUT PARAMETER ASSOCIATION LIST IN USEBEFOR BLOCK
          AND ADDRESS INSERTION LIST BY USEORG$F INSTEAD OF BY
          LABEL.   MUST ALSO CHANGE C$ADSUB CALLING SEQUENCE TO 
          PASS NUMBER OF PARAMETERS IN PD USING.
          LVW     04/11/84     GBRANCH ,OBJDEFS,C$ADSUB 
 CL51360  ENSURES THAT WHEN THE LAST WORD TO BE WRITTEN TO IN ECS IS NOT
          FULL THAT THE ADDRESS OF THE CORRESPONDING WORD IN ECSBF IS 
          CORRECTLY DETERMINED.  THE PROCESSING PERFORMED BY THE CODE 
          CHANGED ENSURES THAT THE BACKGROUND CHARACTERS IN ECS ARE 
          PRESERVED.
          JEG    04/17/84    C$AN2EC
CL51363  ERRONEOUS COMPILE ERROR MESSAGE WAS GIVEN
         BECAUSE GTEXT WAS NOT DELETED PROPERLY.
         ALH    12/06/83    PTABLES 
 CL51366  FIX MOVE ALL SEMI-COLON TO 30 CHARACTERS OR MORE. 
          LVW    01/03/84   SUBSTR
 CL51370   PREVENT SCALING OF ARITHMETIC OPERANDS BEYOND RANGE
           OF POWERS OF TEN TABLES. 
           LVW     12/28/83     GARITH
 CL51373  ALLOW OBJECT LIBRARY TO RUN ON CMU AND NON-CMU MACHINES 
          WITHOUT CONDITIONAL CODE. 
          LVW    03/23/84    C$BCDCM,C$SETCS,C$COLSQ,C$CVCS 
                             C$IOSET,C$SMEX,C$SMIT,C$SORT4
 CL51379  FLAGS AN ATTEMPT TO USE REFERENCE MODIFICATION ON A SORT KEY AS 
          AN ERROR. 
          JEG    04/13/84    PTABLES,DIAGTXT
 CL51380  CHANGE C$PERF TO CLEAR STACK FOR 855 MACHINE. 
          PREVENTS FALL THROUGH AFTER PERFORM OF EMPTY
          PARAGRAPH IN SEGMENTED PROGRAM. 
          LVW     01/20/84     C$PERF 
 CL5B1383 FIX MOVE VARIABLE GROUP TO ALPHANUMERIC.
          LVW      01/30/84    GMOVVG 
 CL51384  FIX ALL LITERAL USED AS IMPLIED SUBJECT.
          LVW    01/03/84    SET2 
 CL51389  PREVENT ASM2-25 ABORT WHEN ALPHABETIC ITEM COMPARED TO
          INTEGER LITERAL.
          LVW    03/29/84    LP 
 CL51390  ENSURES THAT, WHEN THE OUTPUT FILE IS CONNECTED TO A TERMINAL,
          DISPLAY DEFAULTS TO 72 CHARACTERS.
          JEG    04/02/84    C$ACDSC
 CL51392  Z-TYPE RECORDS GARBLED ON CMU MACHINES ON 
          OUTPUT FROM SORT5/COBOL5. 
          GSP    3-13-84     C$SMEX 
 CL51395  ELIMINATE DAYFILE MESSAGE FROM SORT5. 
          THIS IDENT MUST BE INSTALLED AFTER IDENT
          ST5A353 HAS BEEN INSTALLED IN SORT5.
          GSP    3/14/84     C$SMIF 
 CL51396  FIX MOVE DATA ITEM TO REFERENCE MODIFIED ITEM,
          BROKEN BY CL51378.
          LVW    03/14/84    GMOVAN 
 CL51398   FIX MOVE UNSIGNED 10 CHARACTER ITEM TO SIGNED
           ITEM LESS THAN 10 CHARACTERS WITH DIFFERENT POINT
           LOCATION.
           LVW     03/14/84     GMOVSCA 
 CL51408  CONTROL FOOTING WITH SUBSCRIPTED SOURCE CAUSES COMPILER 
          ABORT.
          LVW    04/26/84    BODYGRP
 CL51414  INTERMINGLED DISPLAYS, OPENS, AND CLOSES ON THE 
          SAME FILE PRODUCE AN ERROR AT THE TIME OF THE SECOND
          OPEN DUE TO THE DUPLICATE FILE FLAG NOT BEING CLEARED 
          BY C$CLOSQ. THIS CODE PASSES THE PROCESSING ON TO 
          C$CLOSE (IN C$COMIO) WHERE THE DUPLICATE FILE FLAG
          IS CLEARED. 
          GSP    06-11-84    C$SQOC 
 CL51415  GENERATE CORRECT COLLATING SEQUENCE WHEN ALPHABET 
          IS DEFINED BY LITERAL PHRASE EXCLUDING COMMA AND
          SYSTEM DEFAULT IS ASCII.
          LVW    06/19/84    LP 
 CL51419  MAKE DIAGNOSTIC 4116 TRIVIAL. 
          LVW    06/19/84    DIAGTXT
 *L642*    ************************************************ 
 CL5B294  MAKE DD AND LO=M INDEPENDENT.  HANDLE DD WITH 
          EMPTY WORKING-STORAGE SECTION CORRECTLY.
          LVW    09/18/84    DATAMAP,COBOL5,TBLPROC 
 CL51325  SOURCE CLAUSE IN CONTROL FOOTING WITH CONTROL ITEM
          AS SUBSCRIPT SHOULD USE PRIOR VALUE.
          LVW    10/12/84    BODYGRP
 CL51413  REPLACING DOES NOT TAKE PLACE IN COPY REPLACING 
          WHEN TARGET CONSISTS OF MORE THAN ONE TOKEN AND 
          FIRST CHARACTER OF FIRST TOKEN IS A NUMBER
          GREATER THAN FIVE. (BROKEN BY CL51138). 
          JEG    11/12/84    TKNCLAS
 CL51421  INITIALIZE OF LEVEL 88 ITEM NOT DIAGNOSED.
          GSP    08-14-84    SET6, DIAGTXT
 CL51422  DO NOT GENERATE ABORT GTEXT WHEN EXIT IS NOT
          ALONE IN A PARAGRAPH (ERROR 7038).
          LVW    06/28/84    SET4 
 CL51423  FIX HANDLING OF APO PARAMETER AND QUOTE IS APOSTROPHE 
          CLAUSE. 
          LVW    06/28/84    CCKRACK,INITCCT
 CL51425  NUMBER OF PRUS OVERFLOWED REGISTER B3 AND 
          CAUSED COPY STATEMENT TO FAIL WHEN THE COPY 
          OLDPL WAS LARGER THAN 7777B PRUS. 
          GSP    07-06-84    COBIO,COBIOM 
          SUGGESTED CODE FROM WESTERN MINING CORP. LTD
          AND THE UNIVERSITY OF ARIZONA (CL51424 AND 25)
*CL51427  FIXES C$AL2AE TO OBTAIN THE REPEAT COUNT FOR LONG INSERTIONS
          AND LONG COPYS CORRECTLY. 
          JEG    07/18/84    C$AL2AE
 CL51431  PREVENT LOOP WHEN RD IS NOT FOLLOWED BY LEVEL 01. 
          LVW    08/07/84    F$ANALY
 CL51432  FIX MOVE NUMERIC EDITED ITEM WITH CONSTANT SUBSCRIPTS 
          TO ALPHANUMERIC.
          LVW    08/06/84    GMOVE
 CL51457 MULTIPLY WITH MULTIPLE EDITED RECEIVING FIELDS GIVES 
          INACCURATE RESULTS. 
          LVW    09/21/84    GARITH 
 CL51458  FIX MOVE SPECIAL CASE SUBSCRIPTED SENDER TO SMALLER 
          JUSTIFIED RECEIVER. 
          LVW    09/10/84    GMOVSA 
 CL51459  FIX POOLING LITERAL IN VALUE OF CLAUSE WHEN FIRST 
          WORD MATCHES LAST ENTRY.
          LVW    10/01/84    CRFIT
 CL51461  PREVENT ALLOCATION OF A NEW BUFFER EACH TIME AN 
          EXISTING FILE IS REOPENED, BY NOT SETTING FWB TO ZERO AFTER 
          EVICT.
          LVW    10/12/84    C$SQOC 
 *L650*    ************************************************ 
 CL5B300  MJH     CRFIT 
          CODE TO PROVIDE NECESSARY FOR FMA REVERSE MIGRATION 
 CL5B303  ENSURES THAT RUNTIME ROUTINES WHICH DO CODE MODIFICATION
          CLEAR THE INSTRUCTION STACK BEFORE EXECUTING THE MODIFIED 
          CODE. 
          JEG.   08/05/85    C$BCDCM
 CL51465 CHANGE ASM2-25 ABORT PROCESSING. 
         LVW    02/11/85    ASM2
 CL51473  FIX MOVE DISPLAY TO SMALLER NUMERIC EDITED WHERE
          BCP SOURCE PLUS SIZE DIFFERENCE GREATER THAN 19.
          LVW    02/15/85    GMOVND 
 CL51476  USE SYSTEM DEFINED IP.PD AND IP.PS FOR GETPAGE
          ON NOS/BE.
          LVW    03/15/84    PUTMSG 
 CL51485   PREVENT COMPLIER ABORT CAUSED BY SUBSCRIPT NUMBER
          WHICH OVERFLOWS GTEXT SUBCODE FIELD.
          LVW    05/23/85     PQ,SET1 
 CL51489  PREVENT PROPAGATED ERRORS CAUSED BY (NOW) TRIVIAL ERROR 
          4116, CF. CL51419.
          LVW    05/24/85    DA3
 CL51490  FIX COMPARE NUMERIC ITEM TO LITERAL WITH LARGER 
          INTEGER LENGTH. 
          LVW    05/21/85    LP 
 CL51492  FIX RENAMES WHERE BYTE OFFSET OF RENAMED ITEM 
          EXCEEDS 262142. 
          LVW    05/29/85    DA2
 CL51505  THIS CODE ENSURES THAT FOR A PROGRAM WHICH USES CDCS THE
          POINTER C.RUSAG (WHICH POINTS TO A TABLE OF RELATIONS)
          POINTS TO A TABLE WHICH HAS ACTUALLY BEEN GENERATED.
          ACTUALLY BEEN GENERATED. THIS IS NECESSARY BECAUSE THE TABLE
          IS ONLY GENERATED IF THERE IS A REFERENCE TO THE RELATIONS
          IN THE PROCEDURE DIVISION. THIS CODE ENSURES THAT A VALID 
          TABLE IS POINTED TO REGARDLESS OF WHETHER THE FIRST REFERENCE 
          TO THE RELATIONS OCCURED IN THE PROCEDURE DIVISION OF THE 
          MAIN PROGRAM OR THAT OF A SUBPROGRAM. 
          JEG    85/10/08    C$DMSUB
 CL51510  ISSUES A CATASTROPHIC ERROR IF THE NUMBER OF GTEXT
          ENTRIES EXCEEDS 377777 OCTAL. 
          JEG.   10/03/85    PROCTAB,DIAGTXT
 *L670*    ************************************************ 
 CL5B307  THIS CODE ADDS THE PARAMETER CS TO COBOL5. SPECIFICATION
          OF THE CS PARAMETER RESULTS IN THE COMPILER LISTING THE 
          SIZES OF THE DNAT, GTEXT, AND PNAT TABLES.  THIS ALLOWS 
          THE USER TO DETERMINE WHETHER A PROGRAM IS APPROACHING
          THE LIMITS OF THE COMPILER.  THE COMPILER IS LIMITED TO 
          377777 OCTAL FOR ADDRESSING AND 18 BIT ARITHMETIC. IN 
          PARTICULAR THE COMPILER MAY FAIL IF THE SEGMENT TABLE 
          HAS TO POINT AT A GTEXT ENTRY WITH AN INDEX LARGER THAN 
          377777 OCTAL OR IF THE GTEXT TABLE HAS TO POINT TO A
          DNAT OR PNAT ENTRY WITH AN INDEX LARGER THAN 377777 OCTAL.
          JEG    86/03/03    CCT, CCKRACK, PROCTAB
 CL51501  THIS CODE ENSURES THAT A CORRECT PARAMETER LIST IS GENERATED
          FOR THE CALL TO =XRMKDEF BY THE RUNTIME ROUTINE C$KYDEF WHEN
          BOTH "OMITTED WHEN" AND "USE WHEN" ARE SPECIFIED FOR A FILE.
          JEG    85/10/15    C$KYDEF
 CL51507  THIS CODE EXPANDS THE SIZE OF THE CORRESPONDENCE TABLE
          BY INCREASING THE DEF FOR CT$SIZE FROM 555 TO 1500. 
          JEG    85/10/22    DBCORTAB 
 CL51509  THIS CODE EXTENDS THE TABLE USED BY THE ROUNDOF FUNCTION. 
          JEG    85/10/09    VALFUNC
 CL51523  THIS CODE CHANGES THE CORRESPONDENCE TABLE FROM ONE WORD
          PER ENTRY TO TWO WORDS PER ENTRY.  THIS IS NECESSARY TO 
          ALLOW A LARGER FIELD FOR THE WORD ADDRESS OF AN ITEM IN 
          THE FILE CONTAINING THE SUBSCEMA TABLES.
          JEG    86/04/11    DBCORTAB 
 *L688*    ************************************************ 
 CL51520  A NEGATIVE NUMERIC DISPLAY ITEM WITH DIGITS TO RIGHT OF THE 
          DECIMAL POINT AND TEN DIGITS TO LEFT OF DECIMAL POINT 
          MOVED TO AN UNSIGNED NUMERIC DISPLAY ITEM LONGER THAN TEN 
          DIGITS  MOVES THE NINE'S COMPLEMENT VALUE.
  
          THIS CODE FIXES THE PROBLEM.
  
          DJF    12/03/86    GMOVSCA
  
 CL51537  THIS CODE ENSURES THAT THE ANSWERS FOR MOST *DIVIDE*
          STATEMENTS (BUT NOT *COMPUTE*) ARE PRECISE. 
          *DIVIDE* STATEMENTS WITH *ON SIZE ERROR* ARE NOT CORRECTED. 
          IT ALSO FIXES CERTAIN CASES OF LOADING 281474976710657
          (I.E. 2**48+1). 
  
  
          CONSIDER, 
            NUMERATOR     PIC 9(AI)V9(AF) 
            DENOMINATOR   PIC 9(BI)V9(BF) 
            QUOTIENT      PIC 9(CI)V9(CF) 
  
          IF MAX(AI,BI,CI) + MAX(AF,BF+CF) < 29 
          THEN THE QUOTIENT WILL BE PRECISE.
  
          AS AN EXPLANATION OF THIS FORMULA, FOR QUALIFIED CASES
          THE MATHEMATICAL VALUE OF THE DENOMINATOR IS MULTIPLIED 
          BY AT LEAST 10**BF TO ENSURE ACCURACY,
          AND THE MATHEMATICAL VALUE OF THE NUMERATOR IS MULTIPLIED 
          BY 10**CF MORE THAN THE DENOMINATOR (I.E. AT LEAST 10**(BF+CF). 
          SO IF AF IS LESS THAN BF+CF 
              MULTIPLY NUMERATOR BY 10**(BF+CF) 
              MULTIPLY DENOMINATOR BY 10**BF
          ELSE
              MULTIPLY NUMERATOR BY 10**AF
              MULTIPLY DENOMINATOR BY 10**(AF-CF).
          THIS WILL LEAVE THE REGISTER VALUE OF THE QUOTIENT 10**CF TIMES 
          THE MATHEMATICAL VALUE OF THE QUOTIENT. 
          BY MULTIPLYING OPERANDS BY A POWER OF TEN AS THEY ARE PICKED UP 
          NO DIVISION IS DONE AND THEREFORE NO BIT ERROR IS INTRODUCED
          TRYING TO REPRESENT A FRACTION LESS THAN 1.0. THE INTEGER PART
          OF THE FLOATING POINT REGISTER VALUE IS PRECISELY THE 
          MATHEMATICAL VALUE TIMES THE POWER OF TEN.
          FURTHERMORE, THE NUMERATOR WILL BE 10**CF MORE THAN THE 
          DENOMINATOR TO ENSURE SUFFICIENT ACCURACY FOR THE INTEGER 
          PART OF THE QUOTIENT. THEN THE QUOTIENT IN THE REGISTER 
          (WITH ITS VALUE 10**CF LARGER THAN ITS MATHEMATICAL VALUE)
          IS TRUNCATED TO AN INTEGER SO THAT WHEN ITS RIGHT-MOST CF 
          DECIMAL DIGITS ARE CONVERTED TO A DECIMAL FRACTION, 
          THEN THE NECESSARY BIT ERROR WILL NOT INTERACT WITH THE 
          (NOW ELIMINATED) BITS TO PROPAGATE A CARRY INTO A DIGIT 
          IN MEMORY.  THE DECIMAL FRACTION WILL ALWAYS BE WRONG BY
          AS MUCH AS A BIT UNLESS THE DECIMAL FRACTION IS EXACTLY 
          A MULTIPLE OF A BIT.
  
          OF COURSE, THIS CODE DOES NOT WORK IF ANY OF THE OPERANDS 
          ARE COMPUTATIONAL-2 ITEMS.
          AND IT WILL WORK WITH P'S IN ANY PICTURE. 
  
          DJF    86/10/21    GARITH, OBJDEFS, C$S18R4,ADDS DECK C$R4TRU 
 CL51540  EXPONENTIATION GETS UNSATISFIED EXTERNALS ON LOAD AND 
          MODE 1 ERROR ON EXECUTION AT SITES THAT DO NOT HAVE FORTRAN 5.
          THIS IS BECAUSE THE COBOL 5 LIBRARY REFERENCES ROUTINES IN
          THE FORTRAN 5 LIBRARY, EVEN THOUGH COBOL SITES DO NOT HAVE TO 
          BUY FORTRAN 5.
  
          THE PROBLEM IS FIXED BY COPYING SELECT PORTIONS OF THE
          FORTRAN 5 LIBRARY TO THE COBOL 5 LIBRARY. FORTUNATELY, THESE
          ROUTINES ARE STABLE (LEVEL 670).
  
          DJF    12/01/86    C$DTOD, C$DTOI, C$DTOR, C$RTOI, C$RTOR,
                             NEW DECKS C$DEXP, C$DLOG 
  
 CL51548  WHEN COMPILED WITH THE U-OPTION, THE COMPASS SOURCE 
          FOR REFERENCE TO SUBSCRIPT TEMPORARY ITEMS HAD CODE 
          REFERRING TO ABSOLUTE VALUES INSTEAD OF THE CORRECT 
          RELOCATABLE ADDRESS.
  
          DJF    12/19/86    ASM2 
  
 CL51551  A VARIABLE-GROUP ITEM WAS NOT COMPARED PROPERLY AGAINST 
          A LITERAL.
  
          DJF    12/18/86    SET2 
  
CL51553   CDCS JOB WITH CALL/CANCEL GETS MODE 1 ERROR.
          DJF    5/18/87     C$DMSUB
  
 CL51555  THIS MODIFICATION ENSURES THAT COBOL5 SORTS WORK
          CORRECTLY FOR Z-TYPE INPUT RECORDS. 
          TWJ    03/27/87    C$SMEX 
  
 *L716*    ************************************************ 
 CL51550  A DIVISION YIELDED WRONG ANSWERS. 
          THIS WAS WHEN THE SCALING NEEDED TO PREPARE THE NUMERATOR 
          WAS LARGER THAN 1.0E+20. FOR EXAMPLE, THIS COULD HAPPEN 
          WHEN THE NUMERATOR WAS PIC 9(N), THE DENOMINATOR WAS 9V9(18), 
          AND THE RESULT WAS 9V9(18).  IN ORDER TO YIELD ACCURATE 
          ANSWERS, THE NUMERATOR IS FIRST MULTIPLIED BY 1.0E+36 AND 
          THE DENOMINATOR IS MULTIPLIED BY 1.0E+18.  THEN THE DIVISION
          IS DONE, AND THE FIRST 18 DIGITS TO THE LEFT OF THE POINT 
          ARE COMPLETELY ACCURATE.
          HOWEVER, THE CONVERSION TABLE WAS NOT LARGE ENOUGH. 
          DJF    8/7/87      FTENSTBL (C$FTENS) 
  
 CL51561  THIS CODE RESTORES CODE REMOVED BY CL51501 AND ENSURES
          THAT THE "USE/OMITTED WHEN DATANAME" AND "OMITTED WHEN KEY" 
          CLAUSES CAN BE USED TOGETHER BY ENSURING THAT THE CORRECT 
          CALLS ARE MADE BY ETABLES TO E$SUBS PROCEDURES WHEN 
          PARSING THESE CLAUSES AND THAT E$SUBS REFERENCES THE
          CORRECT AUXT ENTRY WHEN SETTING THE AX$KEYSPACES AND
          AX$KEYZEROES FIELDS. AN UNNECESSARY AND INCORRECT TEST OF 
          THE OMIT SPARSE KEY BIT IN C$KYDEF IS REMOVED.
          JEG, TWJ 87/08/05    C$KYDEF,E$SUBS,ETABLES 
 *L739*    ************************************************ 
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 CL5B319  CORRECT EXPANSION OF *DATE-COMPILED* IN *DATECMP* AND 
          DAY-OF-WEEK COMPUTATION IN *C$ACCDW* TO ALLOW FOR DATES 
          IN THE 21ST CENTURY.  ALSO CORRECT *C$LABLS* TO PUT THE 
          CORRECT *ISO* CENTURY CHARACTER INTO TAPE LABELS. 
          RED.   96/05/21.   DATECMP, C$ACCDW, C$LABLS. 
  
 *L859*    ************************************************ 
 *L871*    ************************************************ 
PSRLEVEL  MODIFY PSR LEVEL IN COBOL 5 
          BAO  92/10/02   CB5TEXT 
          THIS IS THE END OF THE COBOL5 HISTORY FILE
 CL5B195  SET COLLATING SEQUENCE CORRECTLY FOR S/M 5
          ALSO RETURN RECORD CORRECTLY - DID RETURN GARBAGE REC 
          ALSO SET KEY TYPE CORRECTLY FOR COMP-1 KEYS 
          ALSO PRESENT MERGE FILES IN CORRECT ORDER 
          DFN    02/20/81    VALFUNC,C$SMEX,C$SMIF
